;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
INCL_DOSINCLUDED	EQU	1

ifndef INCL_BASEINCLUDED
IFTEMP00 = 0
IFDEF INCL_32
IFTEMP00 = 1
ENDIF
IFDEF INCL_16
IFTEMP00 = 1
ENDIF
IFE IFTEMP00
ifdef M_I386
INCL_32	EQU	1

else 
INCL_16	EQU	1

endif 
endif 
endif 
ifdef INCL_32  
ifdef INCL_DOS
INCL_DOSPROCESS	EQU	1

INCL_DOSFILEMGR	EQU	1

INCL_DOSMEMMGR	EQU	1

INCL_DOSSEMAPHORES	EQU	1

INCL_DOSDATETIME	EQU	1

INCL_DOSMODULEMGR	EQU	1

INCL_DOSRESOURCES	EQU	1

INCL_DOSNLS	EQU	1

INCL_DOSEXCEPTIONS	EQU	1

INCL_DOSMISC	EQU	1

INCL_DOSMONITORS	EQU	1

INCL_DOSQUEUES	EQU	1

INCL_DOSSESMGR	EQU	1

INCL_DOSDEVICES	EQU	1

INCL_DOSNMPIPES	EQU	1

INCL_DOSPROFILE	EQU	1

INCL_DOSMVDM	EQU	1

endif 
ifdef INCL_ERRORS
INCL_DOSERRORS	EQU	1

endif 
IFTEMP01 = 0
IFDEF INCL_DOSPROCESS
IFTEMP01 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP01 = 1
ENDIF
IF IFTEMP01
EXIT_THREAD	EQU	0 
EXIT_PROCESS	EQU	1 
endif 
ifdef INCL_DOSPROCESS
INCLUDE bsetib.INC
DCWA_PROCESS	EQU	0 
DCWA_PROCESSTREE	EQU	1 
DCWW_WAIT	EQU	0 
DCWW_NOWAIT	EQU	1 
CREATE_READY	EQU	0 
CREATE_SUSPENDED	EQU	1 
STACK_SPARSE	EQU	0 
STACK_COMMITTED	EQU	2 

RESULTCODES	STRUC
resc_codeTerminate	DD	?
resc_codeResult	DD	?
RESULTCODES	ENDS
TC_EXIT	EQU	0 
TC_HARDERROR	EQU	1 
TC_TRAP	EQU	2 
TC_KILLPROCESS	EQU	3 
TC_EXCEPTION	EQU	4 
EXLST_ADD	EQU	1 
EXLST_REMOVE	EQU	2 
EXLST_EXIT	EQU	3 
EXEC_SYNC	EQU	0 
EXEC_ASYNC	EQU	1 
EXEC_ASYNCRESULT	EQU	2 
EXEC_TRACE	EQU	3 
EXEC_BACKGROUND	EQU	4 
EXEC_LOAD	EQU	5 
EXEC_ASYNCRESULTDB	EQU	6 
PRTYS_PROCESS	EQU	0 
PRTYS_PROCESSTREE	EQU	1 
PRTYS_THREAD	EQU	2 
PRTYC_NOCHANGE	EQU	0 
PRTYC_IDLETIME	EQU	1 
PRTYC_REGULAR	EQU	2 
PRTYC_TIMECRITICAL	EQU	3 
PRTYC_FOREGROUNDSERVER	EQU	4 
PRTYD_MINIMUM	EQU	-31 
PRTYD_MAXIMUM	EQU	31 
DKP_PROCESSTREE	EQU	0 
DKP_PROCESS	EQU	1 
endif 
ifndef INCL_SAADEFS
CCHMAXPATH	EQU	260 
CCHMAXPATHCOMP	EQU	256 
endif  
IFTEMP02 = 0
IFDEF INCL_DOSFILEMGR
IFTEMP02 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP02 = 1
ENDIF
IF IFTEMP02
FILE_BEGIN	EQU	0000H   
FILE_CURRENT	EQU	0001H   
FILE_END	EQU	0002H   
HDIR_SYSTEM	EQU	1        
HDIR_CREATE	EQU	(-1 )    
DCPY_EXISTING	EQU	00001H          
DCPY_APPEND	EQU	00002H          
DCPY_FAILEAS	EQU	00004H          
FILE_NORMAL	EQU	0000H 
FILE_READONLY	EQU	0001H 
FILE_HIDDEN	EQU	0002H 
FILE_SYSTEM	EQU	0004H 
FILE_DIRECTORY	EQU	0010H 
FILE_ARCHIVED	EQU	0020H 
MUST_HAVE_READONLY	EQU	( (FILE_READONLY   SHL  8 )  OR  FILE_READONLY  )
MUST_HAVE_HIDDEN	EQU	( (FILE_HIDDEN     SHL  8 )  OR  FILE_HIDDEN    )
MUST_HAVE_SYSTEM	EQU	( (FILE_SYSTEM     SHL  8 )  OR  FILE_SYSTEM    )
MUST_HAVE_DIRECTORY	EQU	( (FILE_DIRECTORY  SHL  8 )  OR  FILE_DIRECTORY )
MUST_HAVE_ARCHIVED	EQU	( (FILE_ARCHIVED   SHL  8 )  OR  FILE_ARCHIVED  )
FILE_EXISTED	EQU	0001H 
FILE_CREATED	EQU	0002H 
FILE_TRUNCATED	EQU	0003H 
FILE_OPEN	EQU	0001H 
FILE_TRUNCATE	EQU	0002H 
FILE_CREATE	EQU	0010H 
OPEN_ACTION_FAIL_IF_EXISTS	EQU	0000H   
OPEN_ACTION_OPEN_IF_EXISTS	EQU	0001H   
OPEN_ACTION_REPLACE_IF_EXISTS	EQU	0002H   
OPEN_ACTION_FAIL_IF_NEW	EQU	0000H   
OPEN_ACTION_CREATE_IF_NEW	EQU	0010H   
OPEN_ACCESS_READONLY	EQU	0000H   
OPEN_ACCESS_WRITEONLY	EQU	0001H   
OPEN_ACCESS_READWRITE	EQU	0002H   
OPEN_SHARE_DENYREADWRITE	EQU	0010H   
OPEN_SHARE_DENYWRITE	EQU	0020H   
OPEN_SHARE_DENYREAD	EQU	0030H   
OPEN_SHARE_DENYNONE	EQU	0040H   
OPEN_FLAGS_NOINHERIT	EQU	0080H   
OPEN_FLAGS_NO_LOCALITY	EQU	0000H   
OPEN_FLAGS_SEQUENTIAL	EQU	0100H   
OPEN_FLAGS_RANDOM	EQU	0200H   
OPEN_FLAGS_RANDOMSEQUENTIAL	EQU	0300H   
OPEN_FLAGS_NO_CACHE	EQU	1000H   
OPEN_FLAGS_FAIL_ON_ERROR	EQU	2000H   
OPEN_FLAGS_WRITE_THROUGH	EQU	4000H   
OPEN_FLAGS_DASD	EQU	8000H   
OPEN_FLAGS_NONSPOOLED	EQU	00040000H 
OPEN_FLAGS_PROTECTED_HANDLE	EQU	40000000H 
SEARCH_PATH	EQU	0000H 
SEARCH_CUR_DIRECTORY	EQU	0001H 
SEARCH_ENVIRONMENT	EQU	0002H 
SEARCH_IGNORENETERRS	EQU	0004H 
FIL_STANDARD	EQU	1        
FIL_QUERYEASIZE	EQU	2        
FIL_QUERYEASFROMLIST	EQU	3        
FIL_QUERYFULLNAME	EQU	5        
FS_ATTACH	EQU	0        
FS_DETACH	EQU	1        
FS_SPOOLATTACH	EQU	2        
FS_SPOOLDETACH	EQU	3        
FSCTL_HANDLE	EQU	1        
FSCTL_PATHNAME	EQU	2        
FSCTL_FSDNAME	EQU	3        
FSCTL_ERROR_INFO	EQU	1        
FSCTL_MAX_EASIZE	EQU	2        

EASIZEBUF	STRUC
struct_cbMaxEASize	DW	?
struct_cbMaxEAListSize	DD	?
EASIZEBUF	ENDS
FSAIL_QUERYNAME	EQU	1        
FSAIL_DEVNUMBER	EQU	2        
FSAIL_DRVNUMBER	EQU	3        
FSAT_CHARDEV	EQU	1        
FSAT_PSEUDODEV	EQU	2        
FSAT_LOCALDRV	EQU	3        
FSAT_REMOTEDRV	EQU	4        

FSQBUFFER	STRUC
fsqbuf_iType	DW	?
fsqbuf_cbName	DW	?
fsqbuf_szName	DB	1 DUP (?)
fsqbuf_cbFSDName	DW	?
fsqbuf_szFSDName	DB	1 DUP (?)
fsqbuf_cbFSAData	DW	?
fsqbuf_rgFSAData	DB	1 DUP (?)
FSQBUFFER	ENDS

FSQBUFFER2	STRUC
fsqbuf_iType	DW	?
fsqbuf_cbName	DW	?
fsqbuf_cbFSDName	DW	?
fsqbuf_cbFSAData	DW	?
fsqbuf_szName	DB	1 DUP (?)
fsqbuf_szFSDName	DB	1 DUP (?)
fsqbuf_rgFSAData	DB	1 DUP (?)
FSQBUFFER2	ENDS

SPOOLATTACH	STRUC
Data_hNmPipe	DW	?
Data_ulKey	DD	?
SPOOLATTACH	ENDS
FSIL_ALLOC	EQU	1        
FSIL_VOLSER	EQU	2        
FHT_DISKFILE	EQU	0000H           
FHT_CHRDEV	EQU	0001H           
FHT_PIPE	EQU	0002H           
FHB_DSKREMOTE	EQU	8000H   
FHB_CHRDEVREMOTE	EQU	8000H   
FHB_PIPEREMOTE	EQU	8000H   
ifndef INCL_SAADEFS

FTIME	STRUC
	ftime_fs	DW  ?
FTIME	ENDS
ftime_twosecs	EQU	01fh
ftime_minutes	EQU	07e0h
ftime_hours	EQU	0f800h

FDATE	STRUC
	fdate_fs	DW  ?
FDATE	ENDS
fdate_day	EQU	01fh
fdate_month	EQU	01e0h
fdate_year	EQU	0fe00h
endif 

VOLUMELABEL	STRUC
vol_cch	DB	?
vol_szVolLabel	DB	12 DUP (?)
VOLUMELABEL	ENDS

FSINFO	STRUC
fsinf_ulVSN	DD	?
fsinf_vol	DB	SIZE VOLUMELABEL DUP (?)
FSINFO	ENDS
HANDTYPE_FILE	EQU	0000H 
HANDTYPE_DEVICE	EQU	0001H 
HANDTYPE_PIPE	EQU	0002H 
HANDTYPE_PROTECTED	EQU	4000H 
HANDTYPE_NETWORK	EQU	8000H 

FILELOCK	STRUC
flock_lOffset	DD	?
flock_lRange	DD	?
FILELOCK	ENDS
ifndef INCL_SAADEFS

FILEFINDBUF	STRUC
findbuf_fdateCreation	DB	SIZE FDATE DUP (?)
findbuf_ftimeCreation	DB	SIZE FTIME DUP (?)
findbuf_fdateLastAccess	DB	SIZE FDATE DUP (?)
findbuf_ftimeLastAccess	DB	SIZE FTIME DUP (?)
findbuf_fdateLastWrite	DB	SIZE FDATE DUP (?)
findbuf_ftimeLastWrite	DB	SIZE FTIME DUP (?)
findbuf_cbFile	DD	?
findbuf_cbFileAlloc	DD	?
findbuf_attrFile	DW	?
findbuf_cchName	DB	?
findbuf_achName	DB	CCHMAXPATHCOMP DUP (?)
FILEFINDBUF	ENDS

FILEFINDBUF2	STRUC
findbuf2_fdateCreation	DB	SIZE FDATE DUP (?)
findbuf2_ftimeCreation	DB	SIZE FTIME DUP (?)
findbuf2_fdateLastAccess	DB	SIZE FDATE DUP (?)
findbuf2_ftimeLastAccess	DB	SIZE FTIME DUP (?)
findbuf2_fdateLastWrite	DB	SIZE FDATE DUP (?)
findbuf2_ftimeLastWrite	DB	SIZE FTIME DUP (?)
findbuf2_cbFile	DD	?
findbuf2_cbFileAlloc	DD	?
findbuf2_attrFile	DW	?
findbuf2_cbList	DD	?
findbuf2_cchName	DB	?
findbuf2_achName	DB	CCHMAXPATHCOMP DUP (?)
FILEFINDBUF2	ENDS

FILEFINDBUF3	STRUC
findbuf3_oNextEntryOffset	DD	?
findbuf3_fdateCreation	DB	SIZE FDATE DUP (?)
findbuf3_ftimeCreation	DB	SIZE FTIME DUP (?)
findbuf3_fdateLastAccess	DB	SIZE FDATE DUP (?)
findbuf3_ftimeLastAccess	DB	SIZE FTIME DUP (?)
findbuf3_fdateLastWrite	DB	SIZE FDATE DUP (?)
findbuf3_ftimeLastWrite	DB	SIZE FTIME DUP (?)
findbuf3_cbFile	DD	?
findbuf3_cbFileAlloc	DD	?
findbuf3_attrFile	DD	?
findbuf3_cchName	DB	?
findbuf3_achName	DB	CCHMAXPATHCOMP DUP (?)
FILEFINDBUF3	ENDS

FILEFINDBUF4	STRUC
findbuf4_oNextEntryOffset	DD	?
findbuf4_fdateCreation	DB	SIZE FDATE DUP (?)
findbuf4_ftimeCreation	DB	SIZE FTIME DUP (?)
findbuf4_fdateLastAccess	DB	SIZE FDATE DUP (?)
findbuf4_ftimeLastAccess	DB	SIZE FTIME DUP (?)
findbuf4_fdateLastWrite	DB	SIZE FDATE DUP (?)
findbuf4_ftimeLastWrite	DB	SIZE FTIME DUP (?)
findbuf4_cbFile	DD	?
findbuf4_cbFileAlloc	DD	?
findbuf4_attrFile	DD	?
findbuf4_cbList	DD	?
findbuf4_cchName	DB	?
findbuf4_achName	DB	CCHMAXPATHCOMP DUP (?)
FILEFINDBUF4	ENDS

GEA	STRUC
gea_cbName	DB	?
gea_szName	DB	1 DUP (?)
GEA	ENDS

GEALIST	STRUC
geal_cbList	DD	?
geal_list	DB	SIZE GEA * 1 DUP (?)
GEALIST	ENDS

FEA	STRUC
fea_fEA	DB	?
fea_cbName	DB	?
fea_cbValue	DW	?
FEA	ENDS
FEA_NEEDEA	EQU	80H      

FEALIST	STRUC
feal_cbList	DD	?
feal_list	DB	SIZE FEA * 1 DUP (?)
FEALIST	ENDS

EAOP	STRUC
eaop_fpGEAList	DW	?
eaop_fpFEAList	DW	?
eaop_oError	DD	?
EAOP	ENDS

FEA2	STRUC
fea2_oNextEntryOffset	DD	?
fea2_fEA	DB	?
fea2_cbName	DB	?
fea2_cbValue	DW	?
fea2_szName	DB	1 DUP (?)
FEA2	ENDS
FEA_NEEDEA	EQU	80H      

FEA2LIST	STRUC
fea2l_cbList	DD	?
fea2l_list	DB	SIZE FEA2 * 1 DUP (?)
FEA2LIST	ENDS

GEA2	STRUC
gea2_oNextEntryOffset	DD	?
gea2_cbName	DB	?
gea2_szName	DB	1 DUP (?)
GEA2	ENDS

GEA2LIST	STRUC
gea2l_cbList	DD	?
gea2l_list	DB	SIZE GEA2 * 1 DUP (?)
GEA2LIST	ENDS

EAOP2	STRUC
eaop2_fpGEA2List	DW	?
eaop2_fpFEA2List	DW	?
eaop2_oError	DD	?
EAOP2	ENDS
EAT_BINARY	EQU	0FFFEH           
EAT_ASCII	EQU	0FFFDH           
EAT_BITMAP	EQU	0FFFBH           
EAT_METAFILE	EQU	0FFFAH           
EAT_ICON	EQU	0FFF9H           
EAT_EA	EQU	0FFEEH           
EAT_MVMT	EQU	0FFDFH           
EAT_MVST	EQU	0FFDEH           
EAT_ASN1	EQU	0FFDDH           

CNPATH	STRUC
CHANGENOTIFYPATH_oNextEntryOffset	DD	?
CHANGENOTIFYPATH_wFlags	DD	?
CHANGENOTIFYPATH_cbName	DW	?
CHANGENOTIFYPATH_szName	DB	1 DUP (?)
CNPATH	ENDS

CNINFO	STRUC
CHANGENOTIFYINFO_oNextEntryOffset	DD	?
CHANGENOTIFYINFO_bAction	DB	?
CHANGENOTIFYINFO_cbName	DW	?
CHANGENOTIFYINFO_szName	DB	1 DUP (?)
CNINFO	ENDS
RCNF_FILE_ADDED	EQU	0001H 
RCNF_FILE_DELETED	EQU	0002H 
RCNF_DIR_ADDED	EQU	0003H 
RCNF_DIR_DELETED	EQU	0004H 
RCNF_MOVED_IN	EQU	0005H 
RCNF_MOVED_OUT	EQU	0006H 
RCNF_CHANGED	EQU	0007H 
RCNF_OLDNAME	EQU	0008H 
RCNF_NEWNAME	EQU	0009H 
RCNF_DEVICE_ATTACHED	EQU	000AH 
RCNF_DEVICE_DETACHED	EQU	000BH 
endif  

FILESTATUS	STRUC
fsts_fdateCreation	DB	SIZE FDATE DUP (?)
fsts_ftimeCreation	DB	SIZE FTIME DUP (?)
fsts_fdateLastAccess	DB	SIZE FDATE DUP (?)
fsts_ftimeLastAccess	DB	SIZE FTIME DUP (?)
fsts_fdateLastWrite	DB	SIZE FDATE DUP (?)
fsts_ftimeLastWrite	DB	SIZE FTIME DUP (?)
fsts_cbFile	DD	?
fsts_cbFileAlloc	DD	?
fsts_attrFile	DW	?
FILESTATUS	ENDS

FILESTATUS2	STRUC
fsts2_fdateCreation	DB	SIZE FDATE DUP (?)
fsts2_ftimeCreation	DB	SIZE FTIME DUP (?)
fsts2_fdateLastAccess	DB	SIZE FDATE DUP (?)
fsts2_ftimeLastAccess	DB	SIZE FTIME DUP (?)
fsts2_fdateLastWrite	DB	SIZE FDATE DUP (?)
fsts2_ftimeLastWrite	DB	SIZE FTIME DUP (?)
fsts2_cbFile	DD	?
fsts2_cbFileAlloc	DD	?
fsts2_attrFile	DW	?
fsts2_cbList	DD	?
FILESTATUS2	ENDS

FILESTATUS3	STRUC
fsts3_fdateCreation	DB	SIZE FDATE DUP (?)
fsts3_ftimeCreation	DB	SIZE FTIME DUP (?)
fsts3_fdateLastAccess	DB	SIZE FDATE DUP (?)
fsts3_ftimeLastAccess	DB	SIZE FTIME DUP (?)
fsts3_fdateLastWrite	DB	SIZE FDATE DUP (?)
fsts3_ftimeLastWrite	DB	SIZE FTIME DUP (?)
fsts3_cbFile	DD	?
fsts3_cbFileAlloc	DD	?
fsts3_attrFile	DD	?
FILESTATUS3	ENDS

FILESTATUS4	STRUC
fsts4_fdateCreation	DB	SIZE FDATE DUP (?)
fsts4_ftimeCreation	DB	SIZE FTIME DUP (?)
fsts4_fdateLastAccess	DB	SIZE FDATE DUP (?)
fsts4_ftimeLastAccess	DB	SIZE FTIME DUP (?)
fsts4_fdateLastWrite	DB	SIZE FDATE DUP (?)
fsts4_ftimeLastWrite	DB	SIZE FTIME DUP (?)
fsts4_cbFile	DD	?
fsts4_cbFileAlloc	DD	?
fsts4_attrFile	DD	?
fsts4_cbList	DD	?
FILESTATUS4	ENDS

FSALLOCATE	STRUC
fsalloc_idFileSystem	DD	?
fsalloc_cSectorUnit	DD	?
fsalloc_cUnit	DD	?
fsalloc_cUnitAvail	DD	?
fsalloc_cbSector	DW	?
FSALLOCATE	ENDS
DSPI_WRTTHRU	EQU	10H     

DENA1	STRUC
_dena1_reserved	DB	?
_dena1_cbName	DB	?
_dena1_cbValue	DW	?
_dena1_szName	DB	1 DUP (?)
DENA1	ENDS
ENUMEA_LEVEL_NO_VALUE	EQU	1       
ENUMEA_REFTYPE_FHANDLE	EQU	0        
ENUMEA_REFTYPE_PATH	EQU	1        
ENUMEA_REFTYPE_MAX	EQU	ENUMEA_REFTYPE_PATH
endif 
IFTEMP03 = 0
IFDEF INCL_DOSMEMMGR
IFTEMP03 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP03 = 1
ENDIF
IF IFTEMP03
DosSubAlloc	EQU	DosSubAllocMem
DOSSUBALLOC	EQU	DosSubAllocMem
DosSubFree	EQU	DosSubFreeMem
DOSSUBFREE	EQU	DosSubFreeMem
DosSubSet	EQU	DosSubSetMem
DOSSUBSET	EQU	DosSubSetMem
DosSubUnset	EQU	DosSubUnsetMem
DOSSUBUNSET	EQU	DosSubUnsetMem
INCLUDE bsememf.INC
endif 
IFTEMP04 = 0
IFDEF INCL_DOSSEMAPHORES
IFTEMP04 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP04 = 1
ENDIF
IF IFTEMP04
DC_SEM_SHARED	EQU	01H       
DCMW_WAIT_ANY	EQU	02H       
DCMW_WAIT_ALL	EQU	04H       
DC_SEM_PM	EQU	40H       
PM_EVENT_POSTED	EQU	3000       
SEM_INDEFINITE_WAIT	EQU	0FFFFFFFFH 
SEM_IMMEDIATE_RETURN	EQU	0 

PSEMRECORD	STRUC
psr_hsemCur	DD	?
psr_ulUser	DD	?
PSEMRECORD	ENDS
endif 
ifdef INCL_DOSSEMAPHORES
endif 
IFTEMP05 = 0
IFDEF INCL_DOSDATETIME
IFTEMP05 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP05 = 1
ENDIF
IF IFTEMP05

DATETIME	STRUC
date_hours	DB	?
date_minutes	DB	?
date_seconds	DB	?
date_hundredths	DB	?
date_day	DB	?
date_month	DB	?
date_year	DW	?
date_timezone	DW	?
date_weekday	DB	?
DATETIME	ENDS
endif 
ifdef INCL_DOSDATETIME
endif 
ifdef INCL_DOSMODULEMGR
PT_16BIT	EQU	0 
PT_32BIT	EQU	1 
HW_CFG_MCA	EQU	00000001H 
HW_CFG_EISA	EQU	00000002H 
HW_CFG_ABIOS_SUPPORTED	EQU	00000004H 
HW_CFG_ABIOS_PRESENT	EQU	00000008H 
endif 
IFTEMP06 = 0
IFDEF INCL_DOSRESOURCES
IFTEMP06 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP06 = 1
ENDIF
IF IFTEMP06
RT_POINTER	EQU	1    
RT_BITMAP	EQU	2    
RT_MENU	EQU	3    
RT_DIALOG	EQU	4    
RT_STRING	EQU	5    
RT_FONTDIR	EQU	6    
RT_FONT	EQU	7    
RT_ACCELTABLE	EQU	8    
RT_RCDATA	EQU	9    
RT_MESSAGE	EQU	10   
RT_DLGINCLUDE	EQU	11   
RT_VKEYTBL	EQU	12   
RT_KEYTBL	EQU	13   
RT_CHARTBL	EQU	14   
RT_DISPLAYINFO	EQU	15   
RT_FKASHORT	EQU	16   
RT_FKALONG	EQU	17   
RT_HELPTABLE	EQU	18   
RT_HELPSUBTABLE	EQU	19   
RT_FDDIR	EQU	20   
RT_FD	EQU	21   
RT_MAX	EQU	22   
RF_ORDINALID	EQU	80000000H      
endif 
ifdef INCL_DOSRESOURCES
endif 
ifdef INCL_DOSNLS

COUNTRYCODE	STRUC
ctryc_country	DD	?
ctryc_codepage	DD	?
COUNTRYCODE	ENDS

COUNTRYINFO	STRUC
ctryi_country	DD	?
ctryi_codepage	DD	?
ctryi_fsDateFmt	DD	?
ctryi_szCurrency	DB	5 DUP (?)
ctryi_szThousandsSeparator	DB	2 DUP (?)
ctryi_szDecimal	DB	2 DUP (?)
ctryi_szDateSeparator	DB	2 DUP (?)
ctryi_szTimeSeparator	DB	2 DUP (?)
ctryi_fsCurrencyFmt	DB	?
ctryi_cDecimalPlace	DB	?
ctryi_fsTimeFmt	DB	?
ctryi_abReserved1	DW	2 DUP (?)
ctryi_szDataSeparator	DB	2 DUP (?)
ctryi_abReserved2	DW	5 DUP (?)
COUNTRYINFO	ENDS
endif 
ifdef INCL_DOSEXCEPTIONS
SIG_UNSETFOCUS	EQU	0 
SIG_SETFOCUS	EQU	1 
INCLUDE bsexcpt.INC
endif 
ifdef INCL_DOSQUEUES
IFTEMP07 = 0
IFDEF INCL_DOSFILEMGR
IFTEMP07 = 1
ENDIF
IFNDEF INCL_NOCOMMON
IFTEMP07 = 1
ENDIF
IF IFTEMP07

REQUESTDATA	STRUC
reqqdata_pid	DD	?
reqqdata_ulData	DD	?
REQUESTDATA	ENDS
QUE_FIFO	EQU	0 
QUE_LIFO	EQU	1 
QUE_PRIORITY	EQU	2 
QUE_NOCONVERT_ADDRESS	EQU	0 
QUE_CONVERT_ADDRESS	EQU	4 
else 
error PHFILE not defined - define INCL_DOSFILEMGR or undefine INCL_NOCOMMON
endif 
endif 
ifdef INCL_DOSMISC
DSP_IMPLIEDCUR	EQU	1  
DSP_PATHREF	EQU	2  
DSP_IGNORENETERR	EQU	4  
QSV_MAX_PATH_LENGTH	EQU	1 
Q_MAX_PATH_LENGTH	EQU	QSV_MAX_PATH_LENGTH
QSV_MAX_TEXT_SESSIONS	EQU	2 
QSV_MAX_PM_SESSIONS	EQU	3 
QSV_MAX_VDM_SESSIONS	EQU	4 
QSV_BOOT_DRIVE	EQU	5        
QSV_DYN_PRI_VARIATION	EQU	6        
QSV_MAX_WAIT	EQU	7        
QSV_MIN_SLICE	EQU	8        
QSV_MAX_SLICE	EQU	9        
QSV_PAGE_SIZE	EQU	10 
QSV_VERSION_MAJOR	EQU	11 
QSV_VERSION_MINOR	EQU	12 
QSV_VERSION_REVISION	EQU	13       
QSV_MS_COUNT	EQU	14       
QSV_TIME_LOW	EQU	15       
QSV_TIME_HIGH	EQU	16       
QSV_TOTPHYSMEM	EQU	17       
QSV_TOTRESMEM	EQU	18       
QSV_TOTAVAILMEM	EQU	19       
QSV_MAXPRMEM	EQU	20       
QSV_MAXSHMEM	EQU	21       
QSV_TIMER_INTERVAL	EQU	22       
QSV_MAX_COMP_LENGTH	EQU	23       
QSV_FGND_SG_ID	EQU	24       
QSV_FGND_PID	EQU	25       
QSV_MAX	EQU	QSV_MAX_COMP_LENGTH
FERR_DISABLEHARDERR	EQU	00000000H      
FERR_ENABLEHARDERR	EQU	00000001H      
FERR_ENABLEEXCEPTION	EQU	00000000H      
FERR_DISABLEEXCEPTION	EQU	00000002H      
DDP_DISABLEPROCDUMP	EQU	00000000H      
DDP_ENABLEPROCDUMP	EQU	00000001H      
DDP_PERFORMPROCDUMP	EQU	00000002H      
SPU_DISABLESUPPRESSION	EQU	00000000H      
SPU_ENABLESUPPRESSION	EQU	00000001H      
SIS_MMIOADDR	EQU	0 
SIS_MEC_TABLE	EQU	1 
SIS_SYS_LOG	EQU	2 
BEGIN_LIBPATH	EQU	1 
END_LIBPATH	EQU	2 
endif 
ifdef INCL_DOSSESMGR

STARTDATA	STRUC
stdata_Length	DW	?
stdata_Related	DW	?
stdata_FgBg	DW	?
stdata_TraceOpt	DW	?
stdata_PgmTitle	DD	?
stdata_PgmName	DD	?
stdata_PgmInputs	DD	?
stdata_TermQ	DD	?
stdata_Environment	DD	?
stdata_InheritOpt	DW	?
stdata_SessionType	DW	?
stdata_IconFile	DD	?
stdata_PgmHandle	DD	?
stdata_PgmControl	DW	?
stdata_InitXPos	DW	?
stdata_InitYPos	DW	?
stdata_InitXSize	DW	?
stdata_InitYSize	DW	?
stdata_Reserved	DW	?
stdata_ObjectBuffer	DD	?
stdata_ObjectBuffLen	DD	?
STARTDATA	ENDS
SSF_RELATED_INDEPENDENT	EQU	0 
SSF_RELATED_CHILD	EQU	1 
SSF_FGBG_FORE	EQU	0 
SSF_FGBG_BACK	EQU	1 
SSF_TRACEOPT_NONE	EQU	0 
SSF_TRACEOPT_TRACE	EQU	1 
SSF_TRACEOPT_TRACEALL	EQU	2 
SSF_INHERTOPT_SHELL	EQU	0 
SSF_INHERTOPT_PARENT	EQU	1 
SSF_TYPE_DEFAULT	EQU	0 
SSF_TYPE_FULLSCREEN	EQU	1 
SSF_TYPE_WINDOWABLEVIO	EQU	2 
SSF_TYPE_PM	EQU	3 
SSF_TYPE_VDM	EQU	4 
SSF_TYPE_GROUP	EQU	5 
SSF_TYPE_DLL	EQU	6 
SSF_TYPE_WINDOWEDVDM	EQU	7 
SSF_TYPE_PDD	EQU	8 
SSF_TYPE_VDD	EQU	9 
SSF_CONTROL_VISIBLE	EQU	0000H 
SSF_CONTROL_INVISIBLE	EQU	0001H 
SSF_CONTROL_MAXIMIZE	EQU	0002H 
SSF_CONTROL_MINIMIZE	EQU	0004H 
SSF_CONTROL_NOAUTOCLOSE	EQU	0008H 
SSF_CONTROL_SETPOS	EQU	8000H 

STATUSDATA	STRUC
stsdata_Length	DW	?
stsdata_SelectInd	DW	?
stsdata_BondInd	DW	?
STATUSDATA	ENDS
SET_SESSION_UNCHANGED	EQU	0 
SET_SESSION_SELECTABLE	EQU	1 
SET_SESSION_NON_SELECTABLE	EQU	2 
SET_SESSION_BOND	EQU	1 
SET_SESSION_NO_BOND	EQU	2 
STOP_SESSION_SPECIFIED	EQU	0 
STOP_SESSION_ALL	EQU	1 
endif 
IFTEMP08 = 0
IFDEF INCL_DOSSESMGR
IFTEMP08 = 1
ENDIF
IFDEF INCL_DOSFILEMGR
IFTEMP08 = 1
ENDIF
IF IFTEMP08
FAPPTYP_NOTSPEC	EQU	00000000H 
FAPPTYP_NOTWINDOWCOMPAT	EQU	00000001H 
FAPPTYP_WINDOWCOMPAT	EQU	00000002H 
FAPPTYP_WINDOWAPI	EQU	00000003H 
FAPPTYP_BOUND	EQU	00000008H 
FAPPTYP_DLL	EQU	00000010H 
FAPPTYP_DOS	EQU	00000020H 
FAPPTYP_PHYSDRV	EQU	00000040H  
FAPPTYP_VIRTDRV	EQU	00000080H  
FAPPTYP_PROTDLL	EQU	00000100H  
FAPPTYP_WINDOWSREAL	EQU	00000200H  
FAPPTYP_WINDOWSPROT	EQU	00000400H  
FAPPTYP_WINDOWSPROT31	EQU	00001000H  
FAPPTYP_32BIT	EQU	00004000H 
FAPPTYP_EXETYPE	EQU	FAPPTYP_WINDOWAPI
FAPPTYP_RESERVED	EQU	 NOT (FAPPTYP_WINDOWAPI  OR  FAPPTYP_BOUND  OR  FAPPTYP_DLL  OR  FAPPTYP_DOS  OR  FAPPTYP_PHYSDRV  OR  FAPPTYP_VIRTDRV  OR  FAPPTYP_PROTDLL  OR  FAPPTYP_32BIT)
ifdef INCL_DOSFILEMGR
EAT_APPTYP_PMAPI	EQU	00H             
EAT_APPTYP_DOS	EQU	01H             
EAT_APPTYP_PMW	EQU	02H             
EAT_APPTYP_NOPMW	EQU	03H             
EAT_APPTYP_EXETYPE	EQU	03H             
EAT_APPTYP_RESERVED	EQU	 NOT (EAT_APPTYP_EXETYPE)
endif 
endif 
ifdef INCL_DOSDEVICES
DEVINFO_PRINTER	EQU	0        
DEVINFO_RS232	EQU	1        
DEVINFO_FLOPPY	EQU	2        
DEVINFO_COPROCESSOR	EQU	3        
DEVINFO_SUBMODEL	EQU	4        
DEVINFO_MODEL	EQU	5        
DEVINFO_ADAPTER	EQU	6        
INFO_COUNT_PARTITIONABLE_DISKS	EQU	1        
INFO_GETIOCTLHANDLE	EQU	2        
INFO_FREEIOCTLHANDLE	EQU	3        
endif 
ifdef INCL_DOSNMPIPES

AVAILDATA	STRUC
AVAILDATA_cbpipe	DW	?
AVAILDATA_cbmessage	DW	?
AVAILDATA	ENDS

PIPEINFO	STRUC
nmpinf_cbOut	DW	?
nmpinf_cbIn	DW	?
nmpinf_cbMaxInst	DB	?
nmpinf_cbCurInst	DB	?
nmpinf_cbName	DB	?
nmpinf_szName	DB	1 DUP (?)
PIPEINFO	ENDS

PIPESEMSTATE	STRUC
nmpsmst_fStatus	DB	?
nmpsmst_fFlag	DB	?
nmpsmst_usKey	DW	?
nmpsmst_usAvail	DW	?
PIPESEMSTATE	ENDS
NP_INDEFINITE_WAIT	EQU	-1 
NP_DEFAULT_WAIT	EQU	0 
NP_STATE_DISCONNECTED	EQU	0001H 
NP_STATE_LISTENING	EQU	0002H 
NP_STATE_CONNECTED	EQU	0003H 
NP_STATE_CLOSING	EQU	0004H 
NP_ACCESS_INBOUND	EQU	0000H 
NP_ACCESS_OUTBOUND	EQU	0001H 
NP_ACCESS_DUPLEX	EQU	0002H 
NP_INHERIT	EQU	0000H 
NP_NOINHERIT	EQU	0080H 
NP_WRITEBEHIND	EQU	0000H 
NP_NOWRITEBEHIND	EQU	4000H 
NP_READMODE_BYTE	EQU	0000H 
NP_READMODE_MESSAGE	EQU	0100H 
NP_TYPE_BYTE	EQU	0000H 
NP_TYPE_MESSAGE	EQU	0400H 
NP_END_CLIENT	EQU	0000H 
NP_END_SERVER	EQU	4000H 
NP_WAIT	EQU	0000H 
NP_NOWAIT	EQU	8000H 
NP_UNLIMITED_INSTANCES	EQU	00FFH 
NPSS_EOI	EQU	0      
NPSS_RDATA	EQU	1      
NPSS_WSPACE	EQU	2      
NPSS_CLOSE	EQU	3      
NPSS_WAIT	EQU	01H   
NP_NBLK	EQU	8000H  
NP_SERVER	EQU	4000H  
NP_WMESG	EQU	0400H  
NP_RMESG	EQU	0100H  
NP_ICOUNT	EQU	00FFH  
NP_DISCONNECTED	EQU	1     
NP_LISTENING	EQU	2     
NP_CONNECTED	EQU	3     
NP_CLOSING	EQU	4     
endif 
ifdef INCL_DOSPROFILE
PROF_ORDINAL	EQU	133 
PROF_SYSTEM	EQU	0 
PROF_USER	EQU	1 
PROF_USEDD	EQU	2 
PROF_KERNEL	EQU	4 
PROF_VERBOSE	EQU	8 
PROF_ENABLE	EQU	16 
PROF_ALLOC	EQU	0 
PROF_CLEAR	EQU	1 
PROF_ON	EQU	2 
PROF_OFF	EQU	3 
PROF_DUMP	EQU	4 
PROF_FREE	EQU	5 
PROF_SHIFT	EQU	2 
PROF_MOD_NAME_SIZE	EQU	10 
PROF_END_OF_DATA	EQU	13 
endif 
ifdef INCL_DOSMVDM
endif 
else 
ifdef INCL_16
INCLUDE bsedos16.INC
endif 
endif 
