;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
;       SCCSID = @(#)fontfile.inc	6.1 90/11/16
;SCCSID = @(#)fontfile.inc	13.1 89/01/31
;Structures for CodePage Font Files

fontfilehdr	STRUC			;CodePage File header ;@@
ffh_length	dw	?		;Length of Header ;@@
ffh_flags	dw	?		;CodePage File flags ;@@
ffh_ptroffset	dw	?		;Offset of first font pointer ;@@
ffh_numfonts	dw	?		;Number of fonts in the file ;@@
fontfilehdr	ENDS			;@@

fonthdr		STRUC			;CodePage Font header ;@@
fh_length	dw	?		;Length of Font Entry ;@@
fh_hdrlen	dw	24		;Length of Header ;@@
fh_cpid		dw	?		;CodePage File flags ;@@
fh_type		dw	0		;Font Type ;@@
fh_flags	dw	0		;Font Flags ;@@
fh_cellcols	db	?		;Columns in character cell ;@@
fh_cellrows	db	?		;Rows in character cell ;@@
fh_basecols	db	0		;Columns in base cell ;@@
fh_baserows	db	0		;Rows in base cell ;@@
fh_dataoffset	dw	24		;Font data offset from header ;@@
fh_datalen	dw	?		;Length of the font data ;@@
fh_numpoints	dw	256		;Number of code points ;@@
fh_lowpoint	dw	0		;Lowest code point ;@@
fh_highpoint	dw	255		;Highest code point ;@@
fonthdr		ENDS			;@@

;@@ = 11/10/86 STJ, Structures defined for CodePage Font Files
