;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
OEM_PCI_BIOS_INFO  EQU 0
PciBiosInfo_P    STRUC
pbi_bPCIFunc    DB      ?
PciBiosInfo_P    ENDS

PCI_PBI_PARM_SIZE EQU SIZE PciBiosInfo_P

PciBiosInfo_D    STRUC
pbi_bReturn     DB      ?
pbi_bHWMech     DB      ?
pbi_bMajorRev   DB      ?
pbi_bMinorRev   DB      ?
pbi_bLastBus    DB      ?
PciBiosInfo_D    ENDS

PCI_PBI_DATA_SIZE EQU SIZE PciBiosInfo_D

OEM_PCI_FIND_DEVICE  EQU 1
PciFindDevice_P  STRUC
pfd_bPCIFunc    DB      ?
pfd_usDeviceID  DW      ?
pfd_usVendorID  DW      ?
pfd_bIndex      DB      ?
PciFindDevice_P  ENDS

PCI_PFD_PARM_SIZE EQU SIZE PciFindDevice_P

PciFindDevice_D  STRUC
pfd_bReturn     DB      ?
pfd_bBusNum     DB      ?
pfd_bDevFunc    DB      ?
PciFindDevice_D  ENDS

PCI_PFD_DATA_SIZE EQU SIZE PciFindDevice_D

OEM_PCI_FIND_CLASS_CODE  EQU 2
PciFindClassCode_P  STRUC
pfcc_bPCIFunc    DB      ?
pfcc_ulClassCode DD     ?
pfcc_bIndex      DB     ?
PciFindClassCode_P  ENDS

PCI_PFCC_PARM_SIZE EQU SIZE PciFindClassCode_P

PciFindClassCode_D  STRUC
pfcc_bReturn     DB     ?
pfcc_bBusNum     DB     ?
pfcc_bDevFunc    DB     ?
PciFindClassCode_D  ENDS

PCI_PFCC_DATA_SIZE EQU SIZE PciFindClassCode_D

OEM_PCI_READ_CONFIG  EQU 3                              ;#94979
PciReadConfig_P  STRUC
prc_bPCIFunc    DB     ?
prc_bBusNum     DB     ?
prc_bDevFunc    DB     ?
prc_bConfigReg  DB     ?
prc_bSize       DB     ?
PciReadConfig_P  ENDS

PCI_PRC_PARM_SIZE EQU SIZE PciReadConfig_P

PciReadConfig_D  STRUC
prc_bReturn     DB     ?
prc_ulData      DD     ?
PciReadConfig_D  ENDS

PCI_PRC_DATA_SIZE EQU SIZE PciReadConfig_D

OEM_PCI_WRITE_CONFIG  EQU 4                             ;#94979
PciWriteConfig_P  STRUC
pwc_bPCIFunc    DB     ?
pwc_bBusNum     DB     ?
pwc_bDevFunc    DB     ?
pwc_bConfigReg  DB     ?
pwc_bSize       DB     ?
pwc_ulData      DD     ?
PciWriteConfig_P  ENDS

PCI_PWC_PARM_SIZE EQU SIZE PciWriteConfig_P

PciWriteConfig_D  STRUC
pwc_bReturn     DB     ?
PciWriteConfig_D  ENDS

PCI_PWC_DATA_SIZE EQU SIZE PciWriteConfig_D


PCI_STACK_SIZE EQU     1024
PCI_ROM_ADDR   EQU     000F0000H
PCI_ENTRY_OFFSET       EQU     0FE6EH

PCI_BIOS_PRESENT       EQU     0B101H
PCI_FIND_DEVICE        EQU     0B102H
PCI_FIND_CLASS_CODE    EQU     0B103H
PCI_GENERATE_S_CYCLE   EQU     0B106H
PCI_READ_CONFIG_BYTE   EQU     0B108H
PCI_READ_CONFIG_WORD   EQU     0B109H
PCI_READ_CONFIG_DWORD  EQU     0B10AH
PCI_WRITE_CONFIG_BYTE  EQU     0B10BH
PCI_WRITE_CONFIG_WORD  EQU     0B10CH
PCI_WRITE_CONFIG_DWORD EQU     0B10DH
; only for 2.1 BIOS - unused now
PCI_GET_IRQ_ROUTING    EQU     0B10EH
PCI_SET_IRQ            EQU     0B10FH

PCI_BAD_VID            EQU     0FFFFH
PCI_BAD_DID            EQU     0FFFFH
PCI_NO_INTERRUPT_PIN   EQU         0H
PCI_FUNC_MASK          EQU       080H
PCI_MULTI_FUNC         EQU        07H
PCI_SINGLE_FUNC        EQU         0H

;PCI Configuration Space
PCI_CFG_VID             EQU        00H
PCI_CFG_DID             EQU        02H
PCI_CFG_CMD_REG         EQU        04H
PCI_CFG_STAT_REG        EQU        06H
PCI_CFG_REV_ID          EQU        08H
PCI_CFG_CLASS_CODE      EQU        09H
PCI_CFG_CACHE_LINE_SIZE EQU        0CH
PCI_CFG_LAT_TIMER       EQU        0DH
PCI_CFG_HEADER          EQU        0EH
PCI_CFG_BIST            EQU        0FH
PCI_CFG_INT_LEVEL       EQU       03CH
PCI_CFG_INT_PIN         EQU       03DH
PCI_CFG_MIN_GNT         EQU       03EH
PCI_CFG_MAX_LAT         EQU       03FH


PCI_MAX_NUM_DEV        EQU        20H

PCI_FNNUMBER           EQU        0BH

BIOS32_NAME            EQU        05f32335fh
PCI_NAME               EQU        049435024h

