;*DDK*************************************************************************/
;
; COPYRIGHT (C) Microsoft Corporation, 1989
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
;***	vcmospdd.inc
;
;
;
;
;
;	CMOS PDD/VDD shared structures/constants
;
;	MODIFICATION HISTORY
;	    02/02/90  MTS    Created.
;


;CMOS PDD component definitions

CLK_NAME	EQU	"CLOCK$"	;registered name for
					; VDD-PDD communication


;***	PDD function commands
;
;   Format:
;	(*fpfnClkVDDProc)(CLKCMD_*, ul1, ul2)
;
;   CLKCMD_REGISTER:
;	ul1 == segment of 16:32 VDD entry point
;	ul2 ==	offset of 16:32 VDD entry point
;
;   CLKCMD_READCMOS:
;	ul1 == f16pReadReq	;16:16 pointer to read request packet
;	ul2 == f16pCMOS		;16:16 pointer to output array
;

CLKCMD_REGISTER		EQU	<PDDCMD_REGISTER>		;register VDD
CLKCMD_READCMOS		EQU	(CLKCMD_REGISTER+1) ;read cmos contents

DefStruc ,readreq_s
    _BYTE	 rdrq_CMOSAddr	;CMOS port number to start reading
    _BYTE	 rdrq_nbCMOS	;number of bytes to read
EndStruc READREQ
