/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef DDT_BITS
#define DDT_BITS
#include "ddtos2.h"
class _Export Bits {
  public:
    Bits(ULONG);
    virtual ~Bits(){};
    virtual Bits &operator = (ULONG);
    virtual ULONG bit(UCHAR offset, UCHAR nbits=1);
    virtual Bits &operator = (Bits &);
  protected:
    ULONG bitstoulong();
    void ulongtobits(ULONG);
    struct
    {
      char bit0 : 1;
      char bit1 : 1;
      char bit2 : 1;
      char bit3 : 1;
      char bit4 : 1;
      char bit5 : 1;
      char bit6 : 1;
      char bit7 : 1;
      char bit8 : 1;
      char bit9 : 1;
      char bit10 : 1;
      char bit11 : 1;
      char bit12 : 1;
      char bit13 : 1;
      char bit14 : 1;
      char bit15 : 1;
      char bit16 : 1;
      char bit17 : 1;
      char bit18 : 1;
      char bit19 : 1;
      char bit20 : 1;
      char bit21 : 1;
      char bit22 : 1;
      char bit23 : 1;
      char bit24 : 1;
      char bit25 : 1;
      char bit26 : 1;
      char bit27 : 1;
      char bit28 : 1;
      char bit29 : 1;
      char bit30 : 1;
      char bit31 : 1;
    } bits;
};                  
#endif
