/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*
************************************************************************
**
** Classification: IBM Test Tool
**
** Original Author and Date: Jesse Chen (co-op, CAL), April 1994
**
** Filename:      CLSIORB.H
**
** Description:   A subclass of STRING, for bit info. retrieval
**
** Revisions:     Updated by Jesse Chen, 4/19/1994
**
** Comments:
**
*************************************************************************
*/

#ifndef clsiorb_h
#define clsiorb_h

class IStringIORB : public IString {
	protected:
		IString align1, align2, align3;
	public:
		// constructor with default initializers //
		IStringIORB(IString set1="",
			   IString set2="\n          ",
			   IString set3="")
		{ align1=set1; align2=set2; align3=set3;}

		// member functions //

		void CheckBit(int,int,IString,IString,IString);
		void CheckStatus(USHORT *);
		void CheckErrorCode(USHORT);
};

#endif

