/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*
************************************************************************
**
** Classification: IBM Test Tool
**
** Original Author and Date: Jesse Chen (co-op, CAL), April 1994
**
** Filename:      CLSPCMC.H
**
** Description:   A subclass of STRING, for bit info. retrieval
**
** Revisions:     Updated by Jesse Chen, 4/19/1994
**
** Comments:
**
*************************************************************************
*/

#ifndef clspcmc_h
#define clspcmc_h

class IStringPcmc : public IString {
	protected:
		IString align1, align2, align3;
		struct PMEntry{
			USHORT	Voltage		:12;
			USHORT	Unused		:1;
			USHORT	Vpp2		:1;
			USHORT	Vpp1		:1;
			USHORT	Vcc		:1;
			};

	public:
		IStringPcmc(IString set1, IString set2, IString set3)
		{
			align1 = set1;
			align2 = set2;
			align3 = set3;
		}

		void CheckBit(int,int,IString,IString,IString);
		void CheckEntry(int, USHORT*);
};

#endif

