/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*
************************************************************************
**
** Classification: IBM Test Tool
**
** Original Author and Date: Kishan Kasety, July 1994.
**
** Revisions:
**
** Comments:
**   This file provides the functional description for the SCSI stub
**   routines for device driver test.
**
** Public Class/ Functions:
**   Declarations for:
**
*************************************************************************
*/

#ifndef DDTSCSI_H
#define DDTSCSI_H
#include "ddt.h"

extern "C" {
APIRET _export SCSI_Open( Kwd_List& );
APIRET _export SCSI_Close( Kwd_List& );
APIRET _export SCSI_ReadDevParams(  Kwd_List& );
APIRET _export SCSI_ResetInitialize( Kwd_List& );
APIRET _export SCSI_EnableAdapterCache( Kwd_List& );
APIRET _export SCSI_DisableAdapterCache( Kwd_List& );
APIRET _export SCSI_AdaptCacheStatus( Kwd_List& );
APIRET _export SCSI_SetDeviceTimeout( Kwd_List& );
APIRET _export SCSI_ReadDeviceTimeout( Kwd_List& );
APIRET _export SCSI_TransferSCB( Kwd_List& );
APIRET _export SCSI_AllocateDevice( Kwd_List& );
APIRET _export SCSI_DeallocateDevice( Kwd_List& );
APIRET _export SCSI_PeripheralTypeCount( Kwd_List& );
APIRET _export SCSI_SendAbort( Kwd_List& );
}
#endif
