/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*
************************************************************************
**
** Classification: IBM Test Tool
**
** Original Author and Date: Kishan Kasety, July 1994.
**
** Revisions:
**
** Comments:
**   This file provides the functional description for the SCSI ADD stub
**   routines for device driver test.
**
** Public Class/ Functions:
**   Declarations for:
**
*************************************************************************
*/

#ifndef SCSIADD_H
#define SCSIADD_H

extern "C" {

APIRET _export scsiadd_open( Kwd_List& );
APIRET _export scsiadd_GetDrivers( Kwd_List& );
APIRET _export scsiadd_GetDeviceTable( Kwd_List& );
APIRET _export scsiadd_ReadCapacity( Kwd_List & );
APIRET _export scsiadd_LockUnlockCache( Kwd_List & );
APIRET _export scsiadd_Read6( Kwd_List & );
APIRET _export scsiadd_Read10( Kwd_List & );
APIRET _export scsiadd_Seek6( Kwd_List & );
APIRET _export scsiadd_RezeroUnit( Kwd_List & );
APIRET _export scsiadd_PreFetch( Kwd_List & );
APIRET _export scsiadd_LockUnlockMedia( Kwd_List & );
APIRET _export scsiadd_StartStopUnit( Kwd_List & );
APIRET _export scsiadd_Sync_Cache( Kwd_List & );
APIRET _export scsiadd_Write6( Kwd_List & );
APIRET _export scsiadd_Write10( Kwd_List & );
APIRET _export scsiadd_WriteAndVerify( Kwd_List & );
APIRET _export scsiadd_WriteSame( Kwd_List & );
APIRET _export scsiadd_ReadLong( Kwd_List & );
APIRET _export scsiadd_WriteLong( Kwd_List & );
APIRET _export scsiadd_SetLimits( Kwd_List & );
APIRET _export scsiadd_Verify( Kwd_List & );
APIRET _export scsiadd_ReadDefectData( Kwd_List & );
APIRET _export scsiadd_Inquiry( Kwd_List & );
APIRET _export scsiadd_TestUnitReady( Kwd_List & );
APIRET _export scsiadd_SendDiagnostic( Kwd_List & );
APIRET _export scsiadd_Reserve( Kwd_List & );
APIRET _export scsiadd_Release( Kwd_List & );
APIRET _export scsiadd_CDB12( Kwd_List & );
APIRET _export scsiadd_CDB10( Kwd_List & );
APIRET _export scsiadd_CDB6( Kwd_List & );
APIRET _export scsiadd_close( Kwd_List& );
APIRET _export scsiadd_printstatus(Kwd_List &);

}
#endif
