/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GREATTR_H
#define GREATTR_H

/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name:  GREATTR
 *
 * Purpose:  Include file for GREATTR DLL
 *
 * Revision Log: 10/24/90, PDVT, Donna Williams
 *                     - initial creation
 *
 * SRS References: Section 6.5
 *
 * Contents: This file contains the following definitions
 *
 *           - function prototypes
 *           - defines specific to GREATTR
 *
 * Limitations:    None
 *
 *\\end
****************************************************************************/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo );

VOID  APIENTRY GreDeviceSetGlobalAttributesExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreDeviceSetGetAttrExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetLineAttrExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreNotifyClipChangeExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreNotifyTransformChangeExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

VOID  APIENTRY GreDeviceSetGlobalAttributesRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreDeviceGetAttributesRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreDeviceSetAttributesRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreNotifyClipChangeRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreNotifyTransformChangeRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetupDCRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetDCOriginRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS  12

#endif
