/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#if !defined (GREBNDS_H)
#define GREBNDS_H
/***************************************************************************
 *\\ddd
 * Subtask Name: pdvt
 *
 * Module name:  grebnds.c
 *
 * Purpose: gre bounds dll include file
 *
 *  $header$
 *
 * Revision Log:  <date>, <project>, <author>
 *                      - <reason for revision>
 *
 * Contents: <list items accessed via this header file>
 *
 * Limitations:
 *
 *\\end
 ***************************************************************************/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY GreBoundsApp(HPS hps, HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreResetBoundsRc(HPS hps, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetBoundsDataRc(HPS hps, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreAccumulateBoundsRc(HPS hps, HWND hWndClient, BOOL SelectionCall);

#define NTESTS 4

PCHAR pGroupName = "GRE Bounds";
PCHAR pTestName0 = "GreBoundsApp";
PCHAR pTestName1 = "GreResetBoundsRc";
PCHAR pTestName2 = "GreGetBoundsDataRc";
PCHAR pTestName3 = "GreAccumulateBoundsRc";

#endif
