/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GENERIC_H
#define GENERIC_H

#define randI(a, b) ((a) + (rand() % ((b)-(a)+1)))
#define MAXRGNCOORD 32765L
#define MINRGNCOORD -32767L

 /***************************************************************************
 *\\ddd
 * Subtask Name: Graphics Engine Tests
 *
 * Module name: GreClip Test Case
 *
 * Purpose: GreClip.dll include file
 *
 *  $header$
 *
 * Revision Log:   12/17/91,      Graphics Suite Extension, Thom Bain
 *                                Initial Design.
 *
 * Contents:  This file contains the following definitions:
 *
 *    - function prototypes
 *    - number of tests
 *    - name of tests
 *
 * Limitations:
 *  None
 *
 *\\end
 ***************************************************************************/

EXTERN CHAR szAddMessage[400];// Buffer used for printing log messages
EXTERN CHAR achLogLine[200];  // Buffer used for printing log messages
EXTERN LONG ErrorCount;       // Error counter.

// global variables for environment checking
EXTERN LONG    lDCType;
EXTERN DEVOPENSTRUC   dop;
EXTERN DRIVDATA driv;

# endif
