/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GREGENFC_H
#define GREGENFC_H
/***************************************************************************
 *\\ddd
 * Subtask Name:  PDVT
 *
 * Module name:  GREGENFC
 *
 * Purpose: Include file for Gregenfc dll.
 *
 *  $header$
 *
 * Revision Log:  11/1/90, PDVT, Gisselle Labault
 *                      - created initial file
 *
 * SRS References: Section 6.12
 *
 * Contents: This file contains the following definitions:
               - function prototypes
               - define's specific to GREGENFC
 *
 * Limitations:
 *
 *\\end
 ***************************************************************************/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID APIENTRY GreLockDeviceExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreUnlockDeviceExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreErasePSExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreLockDeviceRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreUnlockDeviceRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreErasePSRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS 6 /* number of test case functions or entry points */
#endif
