/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = GRELINE.H
 *
 * DESCRIPTIVE NAME = Header file for Gre Line test case DLL
 *
 *
 *      DISCLAIMER OF WARRANTIES.  The following enclosed code is
 *      sample code created by IBM Corporation. This sample code is not
 *      part of any standard or IBM product and is provided to you solely
 *      for  the purpose of assisting you in the development of your
 *      applications.  The code is provided "AS IS", without
 *      warranty of any kind.  IBM shall not be liable for any damages
 *      arising out of your use of the sample code, even if they have been
 *      advised of the possibility of such damages.
 *
 * VERSION = V1.1
 *
 * DATE      10/31/92
 *
 * DESCRIPTION  This file contains the following definitions:
 *                - function prototypes
 *                - define's specific to GRELINE
 *
 * FUNCTIONS    None
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/

#ifndef GRELINE_H
#define GRELINE_H


 /*
 **  declare all dll functions
 */

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY gre_line_pre(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GrePolyLineExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreDrawLinesInPathExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

VOID  APIENTRY GrePolyLineRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreDrawLinesInPathRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GrePolyShortLineRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GrePolyScanLineRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetLineOriginRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetLineOriginRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetStyleRatioRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetStyleRatioRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetCurrentPositionRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetCurrentPositionRC(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreLineOriginExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS  15   /* number of functions or entry points in this dll */
#define FIXEDTOLONG 65536;

PCHAR test_name_0  = "GreLinePre";
PCHAR test_name_1  = "GrePolyLineExh";
PCHAR test_name_2  = "GreDrawLinesInPathExh";
PCHAR test_name_3  = "GreLineOriginExh";
PCHAR test_name_4  = "GrePolyLineRC";
PCHAR test_name_5  = "GreDrawLinesInPathRC";
PCHAR test_name_6  = "GrePolyShortLineRC";
PCHAR test_name_7  = "GrePolyScanLineRC";
PCHAR test_name_8  = "GreGetLineOriginRC";
PCHAR test_name_9  = "GreSetLineOriginRC";
PCHAR test_name_10 = "GreGetStyleRatioRC";
PCHAR test_name_11 = "GreSetStyleRatioRC";
PCHAR test_name_12 = "GreGetCurrentPositionRC";
PCHAR test_name_13 = "GreSetCurrentPositionRC";

#endif
