/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GREMARK_H
#define GREMARK_H
/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name: GREMARK
 *
 * Purpose: Include file for GreMark dll.
 *
 *  $header$
 *
 * Revision Log: 10/29/90, PDVT, Kim Cairns
 *               - created initial file
 *
 * SRS References:  Section 6.1
 *
 * Contents:  This file contains the following definitions:
 *
 *              - function prototypes
 *              - defines specific to GREMARK
 *
 * Limitations:
 *           none
 *
 *\\end
****************************************************************************/

/* declare all dll functions */
VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY gre_mark_pre(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY gre_mark_exh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY gre_mark_rc(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS  2     /* number of functions or entry points in this dll   */

MARKERBUNDLE  mbnd;   /* these variables are used to set marker attributes */
PBUNDLE       pAttrs;

/* functions called by gre_mark_rc() */
VOID hdc_busy(HPS hPS, HDC hDC, HWND hWndClient);

#endif
