/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GREMDEV_H
#define GREMDEV_H
/*****************************************************************************
 *\\ddd
 * Subtask Name: GSE
 *
 * Module Name: GREMDEV
 *
 * Purpose: Include file for GREMDEV.DLL
 *
 *  $header$
 *
 * Revision Log: 12/12/91, GSE, Stanley L. Logan
 *                 - created initial file
 *
 * SRS References:
 *
 * Contents:
 *
 * Limitations:
 *           none
 *\\end
 *****************************************************************************/



/*---------------------- Declare all dll functions -----------------------*/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
//VOID APIENTRY GreDeviceSetAVIOFontExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GreDeviceInvalidateVisRegionExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
//VOID  APIENTRY GreDeathAndResurrectionExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GreDeviceSetDCOriginExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);

VOID  APIENTRY GreDeviceSetAVIOFontRc(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreDeviceInvalidateVisRegionRc(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreDeathRc(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreResurrectionRc(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreDeviceSetDCOriginRc(HPS hPS,HWND hWndClient,BOOL SelectionCall);
/*------------------------------------------------------------------------*/

/*---------------------- Declare all dll subroutines ---------------------*/

/*------------------------------------------------------------------------*/


#define TOKENIZEFUNCTIONNAME(FunctionName) {#FunctionName,FunctionName}

static  NAMES_AND_ADDRESSES EntryPointList[]=
    {
//        TOKENIZEFUNCTIONNAME(GreDeviceSetAVIOFontExh),
        TOKENIZEFUNCTIONNAME(GreDeviceInvalidateVisRegionExh),
//        TOKENIZEFUNCTIONNAME(GreDeathAndResurrectionExh),
        TOKENIZEFUNCTIONNAME(GreDeviceSetDCOriginExh),

        TOKENIZEFUNCTIONNAME(GreDeviceSetAVIOFontRc),
        TOKENIZEFUNCTIONNAME(GreDeviceInvalidateVisRegionRc),
        TOKENIZEFUNCTIONNAME(GreDeathRc),
        TOKENIZEFUNCTIONNAME(GreResurrectionRc),
        TOKENIZEFUNCTIONNAME(GreDeviceSetDCOriginRc)
    };

#define FORMAT_CGA      1
#define FORMAT_4BYTE    3
#define MAXROW         10
#define MAXCOL         80
#define REALIZE_FONT    1
#define REALIZE_ENGINE_FONT        2
#define randL(a, b) (LONG)((a) + (((LONG)rand() << 15 | (LONG)rand()) % \
                                                        ((b) - (a) + 1)))


#ifdef MAINSOURCEFILE

HAB    hAB;
PCHAR  TestCaseName = "GreMDev";
POINTL ptl;
CHAR   achLogLine[100];
BOOL   bSuccess;
ULONG  lSuccess;
LONG   ErrorCount;
USHORT VIOReturn;

#else

extern HAB    hAB;
extern POINTL ptl;
extern CHAR   achLogLine[];
extern BOOL   bSuccess;
extern ULONG  lSuccess;
extern LONG   ErrorCount;
extern USHORT VIOReturn;
#endif

extern HDC    hDC;
extern ULONG  pDcl;
ULONG GetDDC(void);
/*
#ifdef ABORTENTRY
#undef ABORTENTRY
#endif

#define ABORTENTRY(EntryName, Setting)                                   \
        (VOID) AbortEntry(hWndClient, EntryName, Setting)
*/


#endif
