/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT (C) Microsoft Corporation, 1989                                 */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = DTTSCRPT.H
 *
 * DESCRIPTIVE NAME = This header file contains all the constants, variables,
 *                    function prototypes for use by the DTTSCRPT.C module.
 *
 *
 *
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION :
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/

#define DELAYLENGTH    5000L
#define STACKSIZE      16384
#define PRIVATE        0
#define SCR_NO_CMD    -1
#define SCR_CMD        1
#define SCR_CMD_PARM   2
#define SCR_DELAY      9996
#define SCR_COMMENT    9997
#define SCR_BLANK_LINE 9998
#define SCR_BAD_CMD    9999

typedef struct script_cmd_structure {
  USHORT msg;
  USHORT usQProc;
  USHORT usDDriver;
  USHORT usTestCase;
  LONG   lDCType;
  ULONG  ulPSType;
  ULONG  ulPSUnits;
  CHAR   szDataType[10];
} SCRIPTCMD, *PSCRIPTCMD;

/*
** local function prototypes
*/

TID  startScriptThread (VOID);

   VOID _cdecl ScriptThread (PVOID Dummy);

VOID GetScriptCmd(PCHAR line, PSCRIPTCMD pscriptcmd);

/*
** local variables
*/

HMQ hMQScriptThread;
HAB hABScriptThread;

/*
** extern variables
*/

extern HMQ hMQPrintThread;
