/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*********************** START OF SPECIFICATIONS *******************************
*
* SOURCE FILE NAME: PMADEXT.H
*
* DESCRIPTIVE NAME: Audio Device Driver external Definitons.
*
* FUNCTION: external variable defines.
*
*
*/
extern STREAMDATA      aStreamData[MAXSTREAMS];     /* Array of Stream data  */
extern ACTIVEHANDLERS  aActiveHandlers[MAXHANDLERS];/* Active Handlers array */
extern ULONG           ulIndex;                     /* Stream Index          */
extern USHORT          HandlerCount;                /* Handler Count         */
extern USHORT          StreamCount;                 /* Stream Count          */
extern MMTIME          mmtimeCurrTime;              /* MMTIME struct         */
extern SZ              szScriptFile[126];           /* Script File Name      */
extern SZ              szDefaultFont[24];           /* Default Font          */
extern HWND            hwndc1,hwnd1, hwndActLst;    /* Window Handles        */
extern HWND            hwndActWinFrm,hwndClActWin;  /* Window Handles        */
extern HWND            hwndComWinFrm,hwndClComWin;  /* Window Handles        */
extern HWND            hwndEveWinFrm,hwndClEveWin;  /* Window Handles        */
extern HWND            hwndActMLE,hwndEveMLE;       /* MLE Handles           */
extern HWND            hwndComMLE;                  /* Cmnd monitor MLE      */
extern HMODULE         hModPMADDE;                  /* Module handle         */
extern HAB             hab;                         /* Anchor Block          */
extern IPT             ipt, iptComMle,iptEveMle;    /* Insertion points      */
extern HFILE           hfileScript;                 /* Script file handle    */
extern HWND            hwndHelpInstance;            /* Help Inst habdle      */
extern HELPINIT        helpinit;                    /* Help Init Struct      */
extern SHORT           cxChar,cyChar;               /* Charecter dimensions  */
extern HAND            aHand[20];                   /* Handler array         */
extern ULONG           ulNumHand ;                  /* Number of handlers    */
extern FONTMETRICS     fm;                          /* Font metrics struct   */
extern MCI_AUDIO_STATUS rAudioStatus;               /* Audio Device Status   */
extern SHORT            sACPAOpened;                /* Audio PDD open        */
extern PHYSDEV_DATA PhysicalDevData[MAXDEVICES];    /* Audio device Data     */
extern struct FileInfo FileInfoStr ;                /* File Info struct      */
extern HMTX            hmtxPrntSem;
