/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*********************** START OF SPECIFICATIONS *******************************
*
* SOURCE FILE NAME: PMADGLOB.H
*
* DESCRIPTIVE NAME: Audio Device Driver external Definitons.
*
* FUNCTION: Global variable defines.
*
*
*/

STREAMDATA      aStreamData[MAXSTREAMS];         /* Array of Stream data  */
ACTIVEHANDLERS  aActiveHandlers[MAXHANDLERS];    /* Active Handlers array */
ULONG           ulIndex;                         /* Stream Index          */
USHORT          HandlerCount;                    /* Handler Count         */
USHORT          StreamCount;                     /* Stream Count          */
MMTIME          mmtimeCurrTime;                  /* MMTIME struct         */
SZ              szScriptFile[126];               /* Script File Name      */
SZ              szDefaultFont[24];               /* Default Font          */
HWND            hwndc1, hwnd1, hwndActLst;       /* Window Handles        */
HWND            hwndActWinFrm,hwndClActWin;      /* Window Handles        */
HWND            hwndComWinFrm,hwndClComWin;      /* Window Handles        */
HWND            hwndEveWinFrm,hwndClEveWin;      /* Window Handles        */
HWND            hwndActMLE,hwndEveMLE;           /* MLE Handles           */
HWND            hwndComMLE;                      /* Cmnd monitor MLE      */
HMODULE         hModPMADDE;                      /* Module handle         */
HAB             hab;                             /* Anchor Block          */
IPT             ipt, iptComMle, iptEveMle;       /* Insertion points      */
HFILE           hfileScript;                     /* Script file handle    */
HWND            hwndHelpInstance;                /* Help Inst habdle      */
HELPINIT        helpinit;                        /* Help Init Struct      */
SHORT           cxChar,cyChar;                   /* Charecter dimensions  */
HAND            aHand[20];                       /* Handler array         */
ULONG           ulNumHand;                       /* Number of handlers    */
FONTMETRICS     fm;                              /* Font metrics struct   */
MCI_AUDIO_STATUS rAudioStatus;                   /* Audio Device Status   */
PHYSDEV_DATA     PhysicalDevData[MAXDEVICES] ;   /* Audio Device Info     */
SHORT            sACPAOpened;                    /* Audio device open     */
BOOL             fScriptMode;                    /* Script Enable         */
HMTX             hmtxPrntSem;                    /* Sem for Prnt Act Info */
