/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef ARC_GRID_H
#define ARC_GRID_H
/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name: ARC_GRID.H
 * RCB 10/29/91:  NOTE: THIS FILE IS BASICALLY GPI_GRID.H WITH MINOR CHANGES
 *                MADE IN ORDER TO ALLOW LIMITED INTEGRATED USE OF PHASE I AND
 *                PHASE II FUNCTIONS FOR GPIARC.DLL.  GPIARC IS A PHASE I DLL,
 *                BUT IT WAS BENEFICIAL TO WRITE THE RETURN CODE TESTS UTILIZING
 *                PHASE II FUNCTIONS.  PHASE I AND PHASE II ARE NORMALLY
 *                INCOMPATIBLE.
 *
 *
 * Purpose: Include file for arc_grid.obj
 *
 *  $header$
 *
 * Revision Log: 10/29/90, PDVT, Kim Cairns
 *               - created initial file
 *               02/11/91, PDVT, Kim Cairns
 *               - changed defines to longs
 *
 * Contents:  This file contains the following definitions:
 *
 *              - function prototypes
 *              - defines specific to ARC_GRID
 *
 * Limitations:
 *           None
 *
 *\\end
****************************************************************************/

#define HALFINCH 1L
#define INCH            2L
#define TWOINCH  4L

VOID EXPENTRY arc_grid (HPS hPS, LONG scale);

#endif
