#  gpiarc.mak make file creates gpiarc.dll
#  for the Printer Driver Testing Tool
#  11/02/93

CFLAGS = /c /G3 /W3 /DLINT_ARGS /Sp /Ti- /O- /Mp /Gd+ /Gm+ /Ge- /Sm /Ss
LFLAGS = /NOD /M /STACK:64000 /SE:3000 /PACKC /PACKD, , DDE4MBS DDE4MBM OS2386

OBJS = gpiarc.obj   gpiarcp.obj  gpiarcx.obj  \
       gpiarcx2.obj gpiarcx3.obj  \
       arc_grid.obj arc_util.obj arcutil2.obj \
       pttdllvr.obj common.obj

gpiarc.dll: $(OBJS) gpiarc.def
    link386 $(OBJS), $@ $(LFLAGS), gpiarc.def;

gpiarc.obj: gpiarc.c gpiarc.h pttdlldf.h arc_util.h
    icc $(CFLAGS) /Fo$@ gpiarc.c

gpiarcp.obj:  gpiarcp.c gpiarc.h pttdlldf.h arc_grid.h arc_util.h
    icc $(CFLAGS) /Fo$@ gpiarcp.c

gpiarcx.obj:  gpiarcx.c gpiarc.h pttdlldf.h arc_grid.h arc_util.h
    icc $(CFLAGS) /Fo$@ gpiarcx.c

gpiarcx2.obj: gpiarcx2.c gpiarc.h pttdlldf.h arc_grid.h arc_util.h
    icc $(CFLAGS) /Fo$@ gpiarcx2.c

gpiarcx3.obj: gpiarcx3.c gpiarc.h pttdlldf.h arc_util.h
    icc $(CFLAGS) /Fo$@ gpiarcx3.c

arc_grid.obj:  arc_grid.c arc_grid.h pttdlldf.h arc_util.h
    icc $(CFLAGS) /Fo$@ arc_grid.c

arc_util.obj:  arc_util.c arc_util.h pttdlldf.h
    icc $(CFLAGS) /Fo$@ arc_util.c

arcutil2.obj:  arcutil2.c arc_util.h pttdlldf.h
    icc $(CFLAGS) /Fo$@ arcutil2.c

