# Makefile for GPICHAR
# 11/03/93

CFLAGS = /c /G3 /W3 /DLINT_ARGS /Sp /Ti+ /O- /Mp /Gd+ /Gm+ /Ge- /Sm /Ss
LFLAGS    = /CO /NOD /M /STACK:64000 /PACKC /PACKD


LIBS      = DDE4MBS DDE4MBM OS2386   #   Lib's to link DLLs with.
TESTNAME  = gpichar
MAPNAME   = GPICHAR.MAP       #   Map file name. Supplied to the LINKER.
RESFILE   = $(TESTNAME).RES   #   Resource file name produced from .RC file
ARFFILE   = $(TESTNAME).ARF   #   Automatic Response File. Used for linking.
DEFFILE   = $(TESTNAME).DEF   #   Definition file name.
DEPLIST   = $(LOBJ1)  $(LOBJ2)  $(LOBJ3)

           # Bitmap Files that need to be included within DLLs as
           # resources.

BITMAP    =


LOBJ1 = PTTdllvr.obj common.obj
LOBJ2 = gpichar.obj  gpichar2.obj gpicharr.obj
LOBJ3 =


          #  Header files that are common to one DLL.

HFILES    = $(TESTNAME).h       common.h


.SUFFIXES: .RES .RC .DLL   # make 'make.exe'  aware of these uncommon file
#                            extensions.

.RC.RES:
      @RC -R $*.RC

$(TESTNAME).DLL: $(DEPLIST)
     @LINK386  $(LFLAGS) @<<$(ARFFILE)
   $(LOBJ1)+
   $(LOBJ2)+
   $(LOBJ3),
   $(TESTNAME).DLL,
   $(MAPNAME),
   $(LIBS),
   $(DEFFILE)
<<

# @IF exist $(RESFILE) RC $(RESFILE) $(TESTNAME).DLL
 @IF exist $(ARFFILE) DEL $(ARFFILE) >NUL

gpichar2.obj:   gpichar2.c      gpichar.h       common.h
  icc $(CFLAGS) /Fo$@ gpichar2.c

gpichar.obj:    gpichar.c       gpichar.h       common.h
  icc $(CFLAGS) /Fo$@ gpichar.c

gpicharr.obj:   gpicharr.c      gpichar.h       common.h
  icc $(CFLAGS) /Fo$@ gpicharr.c

common.obj:             common.c        common.h
  icc $(CFLAGS) /Fo$@ common.c

PTTDLLVR.OBJ    : PTTDLLVR.C  PTTDLLDF.H  ERRORS.H
  icc $(CFLAGS) /Fo$@ PTTDLLVR.C
