/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPILINE_H
#define GPILINE_H

/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name:  GPILINE
 *
 * Purpose:  Include file for GPILINE DLL
 *
 * Revision Log: 10/24/90, PDVT, Donna Williams
 *                     - initial creation
 *
 * SRS References: Section 5.12
 *
 * Contents: This file contains the following definitions:
 *
 *           - function prototypes
 *           - defines specific to GPILINE
 *
 * Limitations:  NONE
 *
 *\\end
****************************************************************************/

VOID  APIENTRY gpi_line_pre(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY gpi_line_app(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiBoxExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiLineExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiPolyLineExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS  5

#ifdef MAINSOURCEFILE

LONG ErrorCount;          //Error counter.

#endif

#endif
