/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPIMARK_H
#define GPIMARK_H
/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name: GPIMARK
 *
 * Purpose: Include file for gpimark.dll.
 *
 *  $header$
 *
 * Revision Log: 12/04/90, PDVT, Kim Cairns
 *               - created initial file
 *
 * SRS References:  Section 5.1
 *
 * Contents:  This file contains the following definitions:
 *
 *              - function prototypes
 *              - defines specific to GPIMARK
 *
 * Limitations:
 *           none
 *
 *\\end
****************************************************************************/

/* declare all dll functions */
VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY gpi_mark_pre(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY gpi_mark_app(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiMarkerExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiPolyMarkerExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS  4     /* number of functions or entry points in this dll */

LONG    lErrorCount;

#endif
