;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/

EisaMemoryInfo	STRUC
emi_fb	DB	?
emi_fbDataSize	DB	?
emi_usPaddrLSW	DW	?
emi_bPaddrMSB	DB	?
emi_usMemorySize	DW	?
EisaMemoryInfo	ENDS

EisaIRQInfo	STRUC
eiri_fb	DB	?
eiri_bReserved	DB	?
EisaIRQInfo	ENDS

EisaDMAInfo	STRUC
edi_fbChan	DB	?
edi_fbType	DB	?
EisaDMAInfo	ENDS

EisaPortInfo	STRUC
epi_fb	DB	?
epi_usAddress	DW	?
EisaPortInfo	ENDS

EisaSlotInfo	STRUC
esi_bReturn	DB	?
esi_fb	DB	?
esi_bMajorRev	DB	?
esi_bMinorRev	DB	?
esi_usChecksum	DW	?
esi_cbFunc	DB	?
esi_fbFunc	DB	?
esi_ulID	DD	?
EisaSlotInfo	ENDS

EisaFuncInfo	STRUC
efi_bReturn	DB	?
efi_ID	DD	?
efi_fbID	DB	?
efi_fbSlot	DB	?
efi_bMinorRev	DB	?
efi_bMajorRev	DB	?
efi_abSelections	DB	26 DUP (?)
efi_fbFunction	DB	?
efi_achType	DB	80 DUP (?)
efi_emi	DB	SIZE EisaMemoryInfo * 9 DUP (?)
efi_eiri	DB	SIZE EisaIRQInfo * 7 DUP (?)
efi_edi	DB	SIZE EisaDMAInfo * 4 DUP (?)
efi_epi	DB	SIZE EisaPortInfo * 20 DUP (?)
efi_achInitInfo	DB	60 DUP (?)
EisaFuncInfo	ENDS

EisaCallParameters	STRUC
ecp_SubFunction	DB	?
ecp_SlotNumber	DB	?
ecp_FunctionNumber	DB	?
EisaCallParameters	ENDS
EISA_STACK_SIZE	EQU	1900         
EISA_PARAMETER_SIZE	EQU	3            
EISA_SLOT_SIZE	EQU	6            
EISA_FUNC_SIZE	EQU	321          
EISA_ROM_ADDR	EQU	000F0000H   
EISA_ENTRY_OFFSET	EQU	0F859H      
EISA_SLOT_INFO_16	EQU	0D800H      
EISA_FUNC_INFO_16	EQU	0D801H      
EISA_FNNUMBER	EQU	4            
EISA_ERROR_EMPTY_SLOT	EQU	83H         
EISA_HAS_IRQ_ENTRIES	EQU	04H         
EISA_IRQ_LAST	EQU	80H         
EISA_IRQ_SHARABLE	EQU	40H         
EISA_IRQ_LEVEL	EQU	20H         
EISA_HAS_IO_ENTRIES	EQU	10H         
EISA_FUNCTION_REQUEST	EQU	01H         
EISA_SLOT_REQUEST	EQU	00H         
EISA_INVALID_BIOS_CALL	EQU	86H         
EISA_DEVICE_TYPE_LEN	EQU	50H         
EISA_NUMBER_PORTS	EQU	1FH         
EISA_DMA_BUFFER_CH	EQU	2000H       
EisaNMI_Port1	EQU	61H 
EisaNMI_IoChk	EQU	40H         
EisaNMI_Parity	EQU	80H         
EisaNMI_IoChk_Control	EQU	04H         
EisaNMI_Parity_Control	EQU	08H         
EisaNMI_Port2	EQU	461H 
EisaNMI_Software	EQU	20H         
EisaNMI_Bus	EQU	40H         
EisaNMI_FailSafe	EQU	80H         
EisaNMI_Software_Control	EQU	02H         
EisaNMI_Bus_Control	EQU	08H         
EisaNMI_FailSafe_Control	EQU	04H         
EisaNMI_Ports_Mask	EQU	3e0H 
EisaNMINum_Software	EQU	5 
EisaNMINum_Bus	EQU	6 
EisaNMINum_FailSafe	EQU	7 
EisaNMINum_IoChk	EQU	8 
EisaNMINum_Parity	EQU	9 
EISA_IT_ICOUNTL	EQU	0FFFFH           
EISA_IT_ICOUNTH	EQU	0FFFFH           
EISA_IT_PERIOD	EQU	220              
EISA_IT2_C0_COUNT	EQU	48H             
EISA_IT2_COMMAND	EQU	4bH             
EISA_INVALID_SLOT	EQU	80H 
EISA_EMPTY_SLOT	EQU	83H 
EISA_FUNC_ENABLED	EQU	80H 
EISA_HAS_MEMORY	EQU	02H 
EISA_MORE_ENTRIES	EQU	80H 
ESI_FLAG_RESERVED	EQU	0C0H 
EFI_FUNC_FLAG_RESERVED	EQU	40H 
EISA_MEMORY_TYPE_MASK	EQU	18H 
