;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
PMWINP_INCLUDED	EQU	1

ifndef INCL_32         
ifndef INCL_16      
ifdef M_I386
INCL_32	EQU	1

else
INCL_16	EQU	1

endif
endif
endif
ifndef INCL_WINP_SELECTIVE
INCL_WINP_ALL	EQU	1

endif
ifdef INCL_WINP_ALL
INCL_WINP_SEI	EQU	1

INCL_WINP_FSRS	EQU	1

INCL_WINP_MISC	EQU	1

INCL_WINP_WININSTDATA	EQU	1

INCL_WINP_DISP32	EQU	1

endif
WPTR_ARROW	EQU	32512 
WPTR_UPARROW	EQU	32516 
WPTR_CROSS	EQU	32515 
WPTR_IBEAM	EQU	32513 
WPTR_ICON	EQU	32641 
WPTR_SIZE	EQU	32640 
WPTR_SIZENS	EQU	32645 
WPTR_SIZEWE	EQU	32644 
WPTR_SIZENWSE	EQU	32642 
WPTR_SIZENESW	EQU	32643 
WPTR_WAIT	EQU	32514 
ifndef RC_INVOKED
ifdef INCL_WINP_SEI
ifndef SEI_PMWIN                                                       
SEI_PMWINP	EQU	1

INCLUDE pmsei.INC
endif 
endif 
ifdef INCL_WINP_FSRS

FSRSEM	STRUC
fsrs_Length	DW	?
fsrs_Padding	DW	?
fsrs_ProcID	DW	?
fsrs_ThrdID	DW	?
fsrs_Usage	DW	?
fsrs_Client	DW	?
fsrs_Timeout	DD	?
fsrs_RAMsem	DD	?
FSRSEM	ENDS
endif 
EXLST_PRTY_UNLOCK	EQU	1080H       
EXLST_PRTY_PMDRIVERS	EQU	0ad00H       
endif 
ifdef INCL_WINP_MISC
ifndef RC_INVOKED
HK_PREACCEL	EQU	17 

INPUTINFO	STRUC
inpi_KbdType	DW	?
inpi_NumFunc	DW	?
inpi_HasBreak	DW	?
inpi_MouType	DW	?
inpi_NumButtons	DW	?
inpi_NumMickeys	DW	?
INPUTINFO	ENDS

KBDEVENT	STRUC
kevt_monFlags	DB	?
kevt_scancode	DB	?
kevt_xlatedchar	DB	?
kevt_xlatedscan	DB	?
kevt_shiftDBCS	DW	?
kevt_shiftstate	DW	?
kevt_time	DD	?
kevt_ddFlags	DW	?
KBDEVENT	ENDS
KDD_MULTIMAKE	EQU	0100H 
KDD_BREAK	EQU	0040H 
KDD_EXTENDEDKEY	EQU	0020H   
KDD_SHIFTKEY	EQU	0007H 
KDD_PAUSEKEY	EQU	0008H 
KDD_BREAKKEY	EQU	0011H 
KDD_PSEUDOBREAK	EQU	0012H 
ifdef INCL_32
else
endif
endif      
KB_AT	EQU	0        
KB_ENHANCED	EQU	1        
KB_SUPERSPORT	EQU	2        
KB_JAGUAR	EQU	3        
KBID_AT	EQU	1           
KBID_SUPERSPORT	EQU	0AB85H   
KBID_JAGUAR	EQU	0AB86H   
ifdef INCL_NLS                  
KB_DBCSFIRST	EQU	0002H      
KB_DBCSLAST	EQU	0010H      
endif 
KBD_MSG	EQU	0200H        
LG_VKEY	EQU	1        
LG_BE	EQU	2        
LG_CF	EQU	3        
LG_DK	EQU	4        
LG_FR	EQU	5        
LG_GR	EQU	6        
LG_IT	EQU	7        
LG_LA	EQU	8        
LG_NL	EQU	9        
LG_NO	EQU	10        
LG_PO	EQU	11        
LG_SF	EQU	12        
LG_SG	EQU	13        
LG_SP	EQU	14        
LG_SU	EQU	15        
LG_SV	EQU	16        
LG_UK	EQU	17        
LG_US	EQU	18        
LG_FR_NEW	EQU	19        
LG_IT_NEW	EQU	20        
LG_UK_NEW	EQU	21        
LG_TR	EQU	22          
LG_CS	EQU	23          
LG_CS_NEW	EQU	24          
LG_HU	EQU	25          
LG_YU	EQU	26          
LG_PL	EQU	27          
LG_IC	EQU	28          
LG_BR	EQU	29          
LG_BR_NEW	EQU	34          
LG_ALPHANUMERIC	EQU	50H 
LG_KATAKANA	EQU	51H 
LG_KATAR	EQU	52H 
LG_HIRAGANA	EQU	53H 
LG_HIRAR	EQU	54H 
OUT_GLYPH	EQU	0        
OUT_VKEY	EQU	1        
ifndef RC_INVOKED

VKEYGLYPHXLATETBL	STRUC
vkglxl_cbHeader	DW	?
vkglxl_signature	DW	?
vkglxl_idKeyboardtype	DW	?
vkglxl_idNationalKeyboard	DW	?
vkglxl_iOutputType	DW	?
vkglxl_cShiftKeys	DW	?
vkglxl_offShiftKeys	DW	?
vkglxl_cTglKeys	DW	?
vkglxl_offTglKeys	DW	?
vkglxl_cShiftStates	DW	?
vkglxl_offShiftXLate	DW	?
VKEYGLYPHXLATETBL	ENDS

VKEYGLYPHXLATETBL2	STRUC
vkglxl2_cbHeader	DW	?
vkglxl2_signature	DW	?
vkglxl2_idKeyboardtype	DW	?
vkglxl2_idNationalKeyboard	DW	?
vkglxl2_iOutputType	DW	?
vkglxl2_cShiftKeys	DW	?
vkglxl2_offShiftKeys	DW	?
vkglxl2_cTglKeys	DW	?
vkglxl2_offTglKeys	DW	?
vkglxl2_cShiftStates	DW	?
vkglxl2_offShiftXLate	DW	?
vkglxl2_offTglKeys2	DW	?
VKEYGLYPHXLATETBL2	ENDS
VKEYGLYPHXLATETBL_SIG	EQU	4758H   

SHIFTKEYS	STRUC
scsh_rgShiftKeys	DB	 1  DUP (?)
scsh_rgShiftPriority	DB	 1  DUP (?)
SHIFTKEYS	ENDS
XL_TOGGLERESET	EQU	80H 

TOGGLEKEYS	STRUC
sctg_rgTglKeys	DB	 1  DUP (?)
sctg_rgoffTglInfo	DW	 1  DUP (?)
TOGGLEKEYS	ENDS

TOGGLEKEYS2	STRUC
sctg2_rgTglKeys	DB	 1  DUP (?)
sctg2_rgoffTglInfo	DW	 1  DUP (?)
sctg2_rgTglShiftState	DB	 1  DUP (?)
TOGGLEKEYS2	ENDS
tglshft_base_state	EQU	00H 
tglshft_shift_state	EQU	01H 
tglshft_ctrl_state	EQU	02H 
tglshft_ctrl_shift_state	EQU	03H 
tglshft_alt_state	EQU	04H 
tglshft_alt_shift_state	EQU	05H 
tglshft_alt_ctrl_state	EQU	06H 
tglshft_alt_ctrl_shift_state	EQU	07H 

TOGGLEINFO	STRUC
tgi_nTglShiftPri	DB	?
tgi_cTglKeyRanges	DB	?
tgi_rgTglKeys	DW	 1  DUP (?)
TOGGLEINFO	ENDS

SHIFTXLATE	STRUC
shxl_rgoffScanXLate	DW	 1  DUP (?)
SHIFTXLATE	ENDS

SCANXLATE	STRUC
scxl_cScanRanges	DW	?
scxl_bScanLow	DB	?
scxl_bScanHigh	DB	?
scxl_rgScanXLate	DW	 1  DUP (?)
SCANXLATE	ENDS
XL_NOXLATE	EQU	0000H 
XL_NOTENHANCED	EQU	00FFH                                      
XL_GLYPHMASK	EQU	7FFFH 
XL_VKEYMASK	EQU	00FFH 
XL_VKEYBITS	EQU	7F00H 
XL_NORETRY	EQU	8000H 

CHARXLATETBL	STRUC
chxl_cbHeader	DW	?
chxl_signature	DW	?
chxl_idCodePage	DW	?
chxl_cGlyphRanges	DW	?
chxl_offGlyphTbl	DW	?
chxl_cCharRanges	DW	?
chxl_offCharTbl	DW	?
CHARXLATETBL	ENDS
CHARXLATETBL_SIG	EQU	4358H   

GLYPHTBL	STRUC
gltb_wGlyphLow	DW	?
gltb_wGlyphHigh	DW	?
gltb_rgChars	DW	 1  DUP (?)
GLYPHTBL	ENDS

CHARTBL	STRUC
chtb_wCharLow	DW	?
chtb_wCharHigh	DW	?
chtb_rgGlyphs	DW	 1  DUP (?)
CHARTBL	ENDS

DKEYTBL	STRUC
dktb_wDKeyLow	DW	?
dktb_wDKeyHigh	DW	?
dktb_rgoffDKeyInfo	DW	 1  DUP (?)
DKEYTBL	ENDS

DKEYINFO	STRUC
dki_cDKeyComb	DW	?
dki_rgDKeyComb	DW	 1  DUP (?)
dki_rgDKeyGlyph	DW	 1  DUP (?)
DKEYINFO	ENDS
ifdef INCL_32
else
endif
endif      
SMID_SEPARATOR1	EQU	-2 
SMID_SEPARATOR2	EQU	-3 
endif 
ifdef INCL_WINP_SELSERVER
endif 
ifdef INCL_WINPOINTERS
SBMP_CLOSEBUTTON	EQU	50 
SBMP_CLOSEBUTTONDEP	EQU	51 
endif      
ifdef INCL_WINP_WININSTDATA
endif 
ifdef INCL_WINHELP
endif
