;*DDK*************************************************************************/
;
; COPYRIGHT (C) Microsoft Corporation, 1989
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
; static char *SCCSID = "@(#)ptimer.h   6.1 91/02/18";  
;***    ptimer.h
;*
;*      SCCSID = @(#)ptimer.h   1.00 90/10/13
;*
;*      Physical Timer Device Service Public Constants
;*
;*      MODIFICATION HISTORY
;*      10/13/90 MTS    Created.
;  
;***************************************************************************  
;                                                                             
;                                                                             
;                                                                             
;***************************************************************************  
;***    Beep Services
;*
;*  (*fpfnPTBeep)(ULONG ulFunc, ULONG ulFreq);
;*
;*  ulFunc == PTBEEP_OFF:
;*      ENTRY           None
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT         Any
;*
;*  ulFunc == PTBEEP_ON:
;*      ENTRY           None
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT Any
;*
;*  ulFunc == PTBEEP_FREQ:
;*      ENTRY           ulFreq - beep freq. in Hz
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT         Any
;*
;*  ulFunc == PTBEEP_OPEN:
;*      ENTRY           None
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT         Any
;*
;*  ulFunc == PTBEEP_CLOSE:
;*      ENTRY           None
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT         Any
;  
PTBEEP_OFF	EQU	0 
PTBEEP_ON	EQU	1 
PTBEEP_FREQ	EQU	2 
PTBEEP_OPEN	EQU	3 
PTBEEP_CLOSE	EQU	4 
;       Beep Public Constants
BEEPFREQ_LO	EQU	19       ; beep freq. lower limit (19Hz)
TIMERFREQ_LO	EQU	34cfH   ; timer freq. in Hz
TIMERFREQ_HI	EQU	12H     ;   = 1193167 Hz
;***    Timer 0 Arbitration Services
;*
;*  (*fpfnPTTimer0)(USHORT ulFunc);
;*
;*  ulFunc == PTT0_OPEN
;*      ENTRY           None
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT         Task
;*
;*  ulFunc == PTT0_CLOSE
;*      ENTRY           None
;*      EXIT-SUCCESS    (eax)=0
;*      EXIT-FAILURE    (eax)=error code (ERROR_INVALID_FUNCTION)
;*      CONTEXT         Task
;  
PTT0_OPEN	EQU	0 
PTT0_CLOSE	EQU	1 
