;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
ifndef __BSESUB__
ifdef INCL_SUB
INCL_KBD	EQU	1

INCL_VIO	EQU	1

INCL_MOU	EQU	1

endif 
ifdef INCL_KBD
Kbd16CharIn	EQU	KBD16CHARIN
Kbd16Close	EQU	KBD16CLOSE
Kbd16DeRegister	EQU	KBD16DEREGISTER
Kbd16FlushBuffer	EQU	KBD16FLUSHBUFFER
Kbd16FreeFocus	EQU	KBD16FREEFOCUS
Kbd16GetCp	EQU	KBD16GETCP
Kbd16GetFocus	EQU	KBD16GETFOCUS
Kbd16GetHWID	EQU	KBD16GETHWID
Kbd16GetStatus	EQU	KBD16GETSTATUS
Kbd16Open	EQU	KBD16OPEN
Kbd16Peek	EQU	KBD16PEEK
Kbd16Register	EQU	KBD16REGISTER
Kbd16SetCp	EQU	KBD16SETCP
Kbd16SetCustXt	EQU	KBD16SETCUSTXT
Kbd16SetFgnd	EQU	KBD16SETFGND
Kbd16SetHWID	EQU	KBD16SETHWID
Kbd16SetStatus	EQU	KBD16SETSTATUS
Kbd16StringIn	EQU	KBD16STRINGIN
Kbd16Synch	EQU	KBD16SYNCH
Kbd16Xlate	EQU	KBD16XLATE
KbdCharIn	EQU	KBD16CHARIN
KbdClose	EQU	KBD16CLOSE
KbdDeRegister	EQU	KBD16DEREGISTER
KbdFlushBuffer	EQU	KBD16FLUSHBUFFER
KbdFreeFocus	EQU	KBD16FREEFOCUS
KbdGetCp	EQU	KBD16GETCP
KbdGetFocus	EQU	KBD16GETFOCUS
KbdGetHWID	EQU	KBD16GETHWID
KbdGetStatus	EQU	KBD16GETSTATUS
KbdOpen	EQU	KBD16OPEN
KbdPeek	EQU	KBD16PEEK
KbdRegister	EQU	KBD16REGISTER
KbdSetCp	EQU	KBD16SETCP
KbdSetCustXt	EQU	KBD16SETCUSTXT
KbdSetFgnd	EQU	KBD16SETFGND
KbdSetHWID	EQU	KBD16SETHWID
KbdSetStatus	EQU	KBD16SETSTATUS
KbdStringIn	EQU	KBD16STRINGIN
KbdSynch	EQU	KBD16SYNCH
KbdXlate	EQU	KBD16XLATE
KR_KBDCHARIN	EQU	00000001H 
KR_KBDPEEK	EQU	00000002H 
KR_KBDFLUSHBUFFER	EQU	00000004H 
KR_KBDGETSTATUS	EQU	00000008H 
KR_KBDSETSTATUS	EQU	00000010H 
KR_KBDSTRINGIN	EQU	00000020H 
KR_KBDOPEN	EQU	00000040H 
KR_KBDCLOSE	EQU	00000080H 
KR_KBDGETFOCUS	EQU	00000100H 
KR_KBDFREEFOCUS	EQU	00000200H 
KR_KBDGETCP	EQU	00000400H 
KR_KBDSETCP	EQU	00000800H 
KR_KBDXLATE	EQU	00001000H 
KR_KBDSETCUSTXT	EQU	00002000H 
IO_WAIT	EQU	0 
IO_NOWAIT	EQU	1 

KBDKEYINFO	STRUC
kbci_chChar	DB	?
kbci_chScan	DB	?
kbci_fbStatus	DB	?
kbci_bNlsShift	DB	?
kbci_fsState	DW	?
kbci_time	DD	?
KBDKEYINFO	ENDS

STRINGINBUF	STRUC
kbsi_cb	DW	?
kbsi_cchIn	DW	?
STRINGINBUF	ENDS
KEYBOARD_ECHO_ON	EQU	0001H 
KEYBOARD_ECHO_OFF	EQU	0002H 
KEYBOARD_BINARY_MODE	EQU	0004H 
KEYBOARD_ASCII_MODE	EQU	0008H 
KEYBOARD_MODIFY_STATE	EQU	0010H 
KEYBOARD_MODIFY_INTERIM	EQU	0020H 
KEYBOARD_MODIFY_TURNAROUND	EQU	0040H 
KEYBOARD_2B_TURNAROUND	EQU	0080H 
KEYBOARD_SHIFT_REPORT	EQU	0100H 
ifndef INCL_DOSDEVIOCTL  
KBDSTF_RIGHTSHIFT	EQU	0001H 
KBDSTF_LEFTSHIFT	EQU	0002H 
KBDSTF_CONTROL	EQU	0004H 
KBDSTF_ALT	EQU	0008H 
KBDSTF_SCROLLLOCK_ON	EQU	0010H 
KBDSTF_NUMLOCK_ON	EQU	0020H 
KBDSTF_CAPSLOCK_ON	EQU	0040H 
KBDSTF_INSERT_ON	EQU	0080H 
KBDSTF_LEFTCONTROL	EQU	0100H 
KBDSTF_LEFTALT	EQU	0200H 
KBDSTF_RIGHTCONTROL	EQU	0400H 
KBDSTF_RIGHTALT	EQU	0800H 
KBDSTF_SCROLLLOCK	EQU	1000H 
KBDSTF_NUMLOCK	EQU	2000H 
KBDSTF_CAPSLOCK	EQU	4000H 
KBDSTF_SYSREQ	EQU	8000H 
endif  

KBDINFO	STRUC
kbst_cb	DW	?
kbst_fsMask	DW	?
kbst_chTurnAround	DW	?
kbst_fsInterim	DW	?
kbst_fsState	DW	?
KBDINFO	ENDS

KBDHWID	STRUC
kbhw_cb	DW	?
kbhw_idKbd	DW	?
kbhw_usReserved1	DW	?
kbhw_usReserved2	DW	?
KBDHWID	ENDS
KBDTRF_SHIFT_KEY_IN	EQU	01H 
KBDTRF_CONVERSION_REQUEST	EQU	20H 
KBDTRF_FINAL_CHAR_IN	EQU	40H 
KBDTRF_INTERIM_CHAR_IN	EQU	80H 

KBDTRANS	STRUC
kbxl_chChar	DB	?
kbxl_chScan	DB	?
kbxl_fbStatus	DB	?
kbxl_bNlsShift	DB	?
kbxl_fsState	DW	?
kbxl_time	DD	?
kbxl_fsDD	DW	?
kbxl_fsXlate	DW	?
kbxl_fsShift	DW	?
kbxl_sZero	DW	?
KBDTRANS	ENDS
endif 
ifdef INCL_VIO
VioCheckCharType	EQU	VIO16CHECKCHARTYPE
VioDeRegister	EQU	VIO16DEREGISTER
VioEndPopUp	EQU	VIO16ENDPOPUP
VioGetAnsi	EQU	VIO16GETANSI
VioGetBuf	EQU	VIO16GETBUF
VioGetConfig	EQU	VIO16GETCONFIG
VioGetCp	EQU	VIO16GETCP
VioGetCurPos	EQU	VIO16GETCURPOS
VioGetCurType	EQU	VIO16GETCURTYPE
VioGetFont	EQU	VIO16GETFONT
VioGetMode	EQU	VIO16GETMODE
VioGetPhysBuf	EQU	VIO16GETPHYSBUF
VioGetState	EQU	VIO16GETSTATE
VioModeUndo	EQU	VIO16MODEUNDO
VioModeWait	EQU	VIO16MODEWAIT
VioPopUp	EQU	VIO16POPUP
VioPrtSc	EQU	VIO16PRTSC
VioPrtScToggle	EQU	VIO16PRTSCTOGGLE
VioReadCellStr	EQU	VIO16READCELLSTR
VioReadCharStr	EQU	VIO16READCHARSTR
VioRedrawSize	EQU	VIO16REDRAWSIZE
VioRegister	EQU	VIO16REGISTER
VioSavRedrawUndo	EQU	VIO16SAVREDRAWUNDO
VioSavRedrawWait	EQU	VIO16SAVREDRAWWAIT
VioScrLock	EQU	VIO16SCRLOCK
VioScrUnLock	EQU	VIO16SCRUNLOCK
VioScrollDn	EQU	VIO16SCROLLDN
VioScrollLf	EQU	VIO16SCROLLLF
VioScrollRt	EQU	VIO16SCROLLRT
VioScrollUp	EQU	VIO16SCROLLUP
VioSetAnsi	EQU	VIO16SETANSI
VioSetCp	EQU	VIO16SETCP
VioSetCurPos	EQU	VIO16SETCURPOS
VioSetCurType	EQU	VIO16SETCURTYPE
VioSetFont	EQU	VIO16SETFONT
VioSetMode	EQU	VIO16SETMODE
VioSetState	EQU	VIO16SETSTATE
VioShowBuf	EQU	VIO16SHOWBUF
VioWrtCellStr	EQU	VIO16WRTCELLSTR
VioWrtCharStr	EQU	VIO16WRTCHARSTR
VioWrtCharStrAtt	EQU	VIO16WRTCHARSTRATT
VioWrtNAttr	EQU	VIO16WRTNATTR
VioWrtNCell	EQU	VIO16WRTNCELL
VioWrtNChar	EQU	VIO16WRTNCHAR
VioWrtTTY	EQU	VIO16WRTTTY
Vio16CheckCharType	EQU	VIO16CHECKCHARTYPE
Vio16DeRegister	EQU	VIO16DEREGISTER
Vio16EndPopUp	EQU	VIO16ENDPOPUP
Vio16GetAnsi	EQU	VIO16GETANSI
Vio16GetBuf	EQU	VIO16GETBUF
Vio16GetConfig	EQU	VIO16GETCONFIG
Vio16GetCp	EQU	VIO16GETCP
Vio16GetCurPos	EQU	VIO16GETCURPOS
Vio16GetCurType	EQU	VIO16GETCURTYPE
Vio16GetFont	EQU	VIO16GETFONT
Vio16GetMode	EQU	VIO16GETMODE
Vio16GetPhysBuf	EQU	VIO16GETPHYSBUF
Vio16GetState	EQU	VIO16GETSTATE
Vio16ModeUndo	EQU	VIO16MODEUNDO
Vio16ModeWait	EQU	VIO16MODEWAIT
Vio16PopUp	EQU	VIO16POPUP
Vio16PrtSc	EQU	VIO16PRTSC
Vio16PrtScToggle	EQU	VIO16PRTSCTOGGLE
Vio16ReadCellStr	EQU	VIO16READCELLSTR
Vio16ReadCharStr	EQU	VIO16READCHARSTR
Vio16RedrawSize	EQU	VIO16REDRAWSIZE
Vio16Register	EQU	VIO16REGISTER
Vio16SavRedrawUndo	EQU	VIO16SAVREDRAWUNDO
Vio16SavRedrawWait	EQU	VIO16SAVREDRAWWAIT
Vio16ScrLock	EQU	VIO16SCRLOCK
Vio16ScrUnLock	EQU	VIO16SCRUNLOCK
Vio16ScrollDn	EQU	VIO16SCROLLDN
Vio16ScrollLf	EQU	VIO16SCROLLLF
Vio16ScrollRt	EQU	VIO16SCROLLRT
Vio16ScrollUp	EQU	VIO16SCROLLUP
Vio16SetAnsi	EQU	VIO16SETANSI
Vio16SetCp	EQU	VIO16SETCP
Vio16SetCurPos	EQU	VIO16SETCURPOS
Vio16SetCurType	EQU	VIO16SETCURTYPE
Vio16SetFont	EQU	VIO16SETFONT
Vio16SetMode	EQU	VIO16SETMODE
Vio16SetState	EQU	VIO16SETSTATE
Vio16ShowBuf	EQU	VIO16SHOWBUF
Vio16WrtCellStr	EQU	VIO16WRTCELLSTR
Vio16WrtCharStr	EQU	VIO16WRTCHARSTR
Vio16WrtCharStrAtt	EQU	VIO16WRTCHARSTRATT
Vio16WrtNAttr	EQU	VIO16WRTNATTR
Vio16WrtNCell	EQU	VIO16WRTNCELL
Vio16WrtNChar	EQU	VIO16WRTNCHAR
Vio16WrtTTY	EQU	VIO16WRTTTY
VR_VIOGETCURPOS	EQU	00000001H 
VR_VIOGETCURTYPE	EQU	00000002H 
VR_VIOGETMODE	EQU	00000004H 
VR_VIOGETBUF	EQU	00000008H 
VR_VIOGETPHYSBUF	EQU	00000010H 
VR_VIOSETCURPOS	EQU	00000020H 
VR_VIOSETCURTYPE	EQU	00000040H 
VR_VIOSETMODE	EQU	00000080H 
VR_VIOSHOWBUF	EQU	00000100H 
VR_VIOREADCHARSTR	EQU	00000200H 
VR_VIOREADCELLSTR	EQU	00000400H 
VR_VIOWRTNCHAR	EQU	00000800H 
VR_VIOWRTNATTR	EQU	00001000H 
VR_VIOWRTNCELL	EQU	00002000H 
VR_VIOWRTTTY	EQU	00004000H 
VR_VIOWRTCHARSTR	EQU	00008000H 
VR_VIOWRTCHARSTRATT	EQU	00010000H 
VR_VIOWRTCELLSTR	EQU	00020000H 
VR_VIOSCROLLUP	EQU	00040000H 
VR_VIOSCROLLDN	EQU	00080000H 
VR_VIOSCROLLLF	EQU	00100000H 
VR_VIOSCROLLRT	EQU	00200000H 
VR_VIOSETANSI	EQU	00400000H 
VR_VIOGETANSI	EQU	00800000H 
VR_VIOPRTSC	EQU	01000000H 
VR_VIOSCRLOCK	EQU	02000000H 
VR_VIOSCRUNLOCK	EQU	04000000H 
VR_VIOSAVREDRAWWAIT	EQU	08000000H 
VR_VIOSAVREDRAWUNDO	EQU	10000000H 
VR_VIOPOPUP	EQU	20000000H 
VR_VIOENDPOPUP	EQU	40000000H 
VR_VIOPRTSCTOGGLE	EQU	80000000H 
VR_VIOMODEWAIT	EQU	00000001H 
VR_VIOMODEUNDO	EQU	00000002H 
VR_VIOGETFONT	EQU	00000004H 
VR_VIOGETCONFIG	EQU	00000008H 
VR_VIOSETCP	EQU	00000010H 
VR_VIOGETCP	EQU	00000020H 
VR_VIOSETFONT	EQU	00000040H 
VR_VIOGETSTATE	EQU	00000080H 
VR_VIOSETSTATE	EQU	00000100H 

VIOCURSORINFO	STRUC
vioci_yStart	DW	?
vioci_cEnd	DW	?
vioci_cx	DW	?
vioci_attr	DW	?
VIOCURSORINFO	ENDS
COLORS_2	EQU	0001H 
COLORS_4	EQU	0002H 
COLORS_16	EQU	0004H 

VIOMODEINFO	STRUC
viomi_cb	DW	?
viomi_fbType	DB	?
viomi_color	DB	?
viomi_col	DW	?
viomi_row	DW	?
viomi_hres	DW	?
viomi_vres	DW	?
viomi_fmt_ID	DB	?
viomi_attrib	DB	?
viomi_buf_addr	DD	?
viomi_buf_length	DD	?
viomi_full_length	DD	?
viomi_partial_length	DD	?
viomi_ext_data_addr	DD	?
VIOMODEINFO	ENDS
VGMT_OTHER	EQU	01H 
VGMT_GRAPHICS	EQU	02H 
VGMT_DISABLEBURST	EQU	04H 

VIOPHYSBUF	STRUC
viopb_pBuf	DD	?
viopb_cb	DD	?
viopb_asel	DW	1 DUP (?)
VIOPHYSBUF	ENDS
VCC_SBCSCHAR	EQU	0 
VCC_DBCSFULLCHAR	EQU	1 
VCC_DBCS1STHALF	EQU	2 
VCC_DBCS2NDHALF	EQU	3 
ANSI_ON	EQU	1 
ANSI_OFF	EQU	0 
VSRWI_SAVEANDREDRAW	EQU	0 
VSRWI_REDRAW	EQU	1 
VSRWN_SAVE	EQU	0 
VSRWN_REDRAW	EQU	1 
UNDOI_GETOWNER	EQU	0 
UNDOI_RELEASEOWNER	EQU	1 
UNDOK_ERRORCODE	EQU	0 
UNDOK_TERMINATE	EQU	1 
VMWR_POPUP	EQU	0 
VMWN_POPUP	EQU	0 
LOCKIO_NOWAIT	EQU	0 
LOCKIO_WAIT	EQU	1 
LOCK_SUCCESS	EQU	0 
LOCK_FAIL	EQU	1 
VP_NOWAIT	EQU	0000H 
VP_WAIT	EQU	0001H 
VP_OPAQUE	EQU	0000H 
VP_TRANSPARENT	EQU	0002H 
DISPLAY_MONOCHROME	EQU	0000H 
DISPLAY_CGA	EQU	0001H 
DISPLAY_EGA	EQU	0002H 
DISPLAY_VGA	EQU	0003H 
DISPLAY_8514A	EQU	0007H 
DISPLAY_IMAGEADAPTER	EQU	0008H 
DISPLAY_XGA	EQU	0009H 
MONITOR_MONOCHROME	EQU	0000H 
MONITOR_COLOR	EQU	0001H 
MONITOR_ENHANCED	EQU	0002H 
MONITOR_8503	EQU	0003H 
MONITOR_851X_COLOR	EQU	0004H 
MONITOR_8514	EQU	0009H 
MONITOR_FLATPANEL	EQU	000AH 
MONITOR_8507_8604	EQU	000BH 
MONITOR_8515	EQU	000CH 
MONITOR_9515	EQU	000FH 
MONITOR_9517	EQU	0011H 
MONITOR_9518	EQU	0012H 

VIOCONFIGINFO	STRUC
vioin_cb	DW	?
vioin_adapter	DW	?
vioin_display	DW	?
vioin_cbMemory	DD	?
vioin_Configuration	DW	?
vioin_VDHVersion	DW	?
vioin_Flags	DW	?
vioin_HWBufferSize	DD	?
vioin_FullSaveSize	DD	?
vioin_PartSaveSize	DD	?
vioin_EMAdaptersOFF	DW	?
vioin_EMDisplaysOFF	DW	?
VIOCONFIGINFO	ENDS
VIO_CONFIG_CURRENT	EQU	0 
VIO_CONFIG_PRIMARY	EQU	1 
VIO_CONFIG_SECONDARY	EQU	2 

VIOFONTINFO	STRUC
viofi_cb	DW	?
viofi_type	DW	?
viofi_cxCell	DW	?
viofi_cyCell	DW	?
viofi_pbData	DD	?
viofi_cbData	DW	?
VIOFONTINFO	ENDS
VGFI_GETCURFONT	EQU	0 
VGFI_GETROMFONT	EQU	1 

VIOPALSTATE	STRUC
viopal_cb	DW	?
viopal_type	DW	?
viopal_iFirst	DW	?
viopal_acolor	DW	1 DUP (?)
VIOPALSTATE	ENDS

VIOOVERSCAN	STRUC
vioos_cb	DW	?
vioos_type	DW	?
vioos_color	DW	?
VIOOVERSCAN	ENDS

VIOINTENSITY	STRUC
vioint_cb	DW	?
vioint_type	DW	?
vioint_fs	DW	?
VIOINTENSITY	ENDS

VIOCOLORREG	STRUC
viocreg_cb	DW	?
viocreg_type	DW	?
viocreg_firstcolorreg	DW	?
viocreg_numcolorregs	DW	?
viocreg_colorregaddr	DD	?
VIOCOLORREG	ENDS

VIOSETULINELOC	STRUC
viouline_cb	DW	?
viouline_type	DW	?
viouline_scanline	DW	?
VIOSETULINELOC	ENDS

VIOSETTARGET	STRUC
viosett_cb	DW	?
viosett_type	DW	?
viosett_defaultalgorithm	DW	?
VIOSETTARGET	ENDS
endif 
ifdef INCL_MOU
MouClose	EQU	MOU16CLOSE
MouDeRegister	EQU	MOU16DEREGISTER
MouDrawPtr	EQU	MOU16DRAWPTR
MouFlushQue	EQU	MOU16FLUSHQUE
MouGetDevStatus	EQU	MOU16GETDEVSTATUS
MouGetEventMask	EQU	MOU16GETEVENTMASK
MouGetNumButtons	EQU	MOU16GETNUMBUTTONS
MouGetNumMickeys	EQU	MOU16GETNUMMICKEYS
MouGetNumQueEl	EQU	MOU16GETNUMQUEEL
MouGetPtrPos	EQU	MOU16GETPTRPOS
MouGetPtrShape	EQU	MOU16GETPTRSHAPE
MouGetScaleFact	EQU	MOU16GETSCALEFACT
MouGetThreshold	EQU	MOU16GETTHRESHOLD
MouInitReal	EQU	MOU16INITREAL
MouOpen	EQU	MOU16OPEN
MouReadEventQue	EQU	MOU16READEVENTQUE
MouRegister	EQU	MOU16REGISTER
MouRemovePtr	EQU	MOU16REMOVEPTR
MouSetDevStatus	EQU	MOU16SETDEVSTATUS
MouSetEventMask	EQU	MOU16SETEVENTMASK
MouSetPtrPos	EQU	MOU16SETPTRPOS
MouSetPtrShape	EQU	MOU16SETPTRSHAPE
MouSetScaleFact	EQU	MOU16SETSCALEFACT
MouSetThreshold	EQU	MOU16SETTHRESHOLD
MouSynch	EQU	MOU16SYNCH
Mou16Close	EQU	MOU16CLOSE
Mou16DeRegister	EQU	MOU16DEREGISTER
Mou16DrawPtr	EQU	MOU16DRAWPTR
Mou16FlushQue	EQU	MOU16FLUSHQUE
Mou16GetDevStatus	EQU	MOU16GETDEVSTATUS
Mou16GetEventMask	EQU	MOU16GETEVENTMASK
Mou16GetNumButtons	EQU	MOU16GETNUMBUTTONS
Mou16GetNumMickeys	EQU	MOU16GETNUMMICKEYS
Mou16GetNumQueEl	EQU	MOU16GETNUMQUEEL
Mou16GetPtrPos	EQU	MOU16GETPTRPOS
Mou16GetPtrShape	EQU	MOU16GETPTRSHAPE
Mou16GetScaleFact	EQU	MOU16GETSCALEFACT
Mou16GetThreshold	EQU	MOU16GETTHRESHOLD
Mou16InitReal	EQU	MOU16INITREAL
Mou16Open	EQU	MOU16OPEN
Mou16ReadEventQue	EQU	MOU16READEVENTQUE
Mou16Register	EQU	MOU16REGISTER
Mou16RemovePtr	EQU	MOU16REMOVEPTR
Mou16SetDevStatus	EQU	MOU16SETDEVSTATUS
Mou16SetEventMask	EQU	MOU16SETEVENTMASK
Mou16SetPtrPos	EQU	MOU16SETPTRPOS
Mou16SetPtrShape	EQU	MOU16SETPTRSHAPE
Mou16SetScaleFact	EQU	MOU16SETSCALEFACT
Mou16SetThreshold	EQU	MOU16SETTHRESHOLD
Mou16Synch	EQU	MOU16SYNCH
MR_MOUGETNUMBUTTONS	EQU	00000001H 
MR_MOUGETNUMMICKEYS	EQU	00000002H 
MR_MOUGETDEVSTATUS	EQU	00000004H 
MR_MOUGETNUMQUEEL	EQU	00000008H 
MR_MOUREADEVENTQUE	EQU	00000010H 
MR_MOUGETSCALEFACT	EQU	00000020H 
MR_MOUGETEVENTMASK	EQU	00000040H 
MR_MOUSETSCALEFACT	EQU	00000080H 
MR_MOUSETEVENTMASK	EQU	00000100H 
MR_MOUOPEN	EQU	00000800H 
MR_MOUCLOSE	EQU	00001000H 
MR_MOUGETPTRSHAPE	EQU	00002000H 
MR_MOUSETPTRSHAPE	EQU	00004000H 
MR_MOUDRAWPTR	EQU	00008000H 
MR_MOUREMOVEPTR	EQU	00010000H 
MR_MOUGETPTRPOS	EQU	00020000H 
MR_MOUSETPTRPOS	EQU	00040000H 
MR_MOUINITREAL	EQU	00080000H 
MR_MOUSETDEVSTATUS	EQU	00100000H 
MHK_BUTTON1	EQU	0001H 
MHK_BUTTON2	EQU	0002H 
MHK_BUTTON3	EQU	0004H 

PTRLOC	STRUC
moupl_row	DW	?
moupl_col	DW	?
PTRLOC	ENDS

PTRSHAPE	STRUC
moups_cb	DW	?
moups_col	DW	?
moups_row	DW	?
moups_colHot	DW	?
moups_rowHot	DW	?
PTRSHAPE	ENDS
MOUSE_QUEUEBUSY	EQU	0001H 
MOUSE_BLOCKREAD	EQU	0002H 
MOUSE_FLUSH	EQU	0004H 
MOUSE_UNSUPPORTED_MODE	EQU	0008H 
MOUSE_DISABLED	EQU	0100H 
MOUSE_MICKEYS	EQU	0200H 
MOU_NOWAIT	EQU	0000H 
MOU_WAIT	EQU	0001H 

MOUEVENTINFO	STRUC
mouev_fs	DW	?
mouev_time	DD	?
mouev_row	DW	?
mouev_col	DW	?
MOUEVENTINFO	ENDS

MOUQUEINFO	STRUC
mouqi_cEvents	DW	?
mouqi_cmaxEvents	DW	?
MOUQUEINFO	ENDS
MOUSE_MOTION	EQU	0001H 
MOUSE_MOTION_WITH_BN1_DOWN	EQU	0002H 
MOUSE_BN1_DOWN	EQU	0004H 
MOUSE_MOTION_WITH_BN2_DOWN	EQU	0008H 
MOUSE_BN2_DOWN	EQU	0010H 
MOUSE_MOTION_WITH_BN3_DOWN	EQU	0020H 
MOUSE_BN3_DOWN	EQU	0040H 

SCALEFACT	STRUC
mousc_rowScale	DW	?
mousc_colScale	DW	?
SCALEFACT	ENDS

NOPTRRECT	STRUC
mourt_row	DW	?
mourt_col	DW	?
mourt_cRow	DW	?
mourt_cCol	DW	?
NOPTRRECT	ENDS
MOU_NODRAW	EQU	0001H 
MOU_DRAW	EQU	0000H 
MOU_MICKEYS	EQU	0002H 
MOU_PELS	EQU	0000H 

THRESHOLD	STRUC
threshold_Length	DW	?
threshold_Level1	DW	?
threshold_Lev1Mult	DW	?
threshold_Level2	DW	?
threshold_lev2Mult	DW	?
THRESHOLD	ENDS
endif 
endif 
