;*DDK*************************************************************************/
;
; COPYRIGHT    Copyright (C) 1995 IBM Corporation
;
;    The following IBM OS/2 WARP source code is provided to you solely for
;    the purpose of assisting you in your development of OS/2 WARP device
;    drivers. You may use this code in accordance with the IBM License
;    Agreement provided in the IBM Device Driver Source Kit for OS/2. This
;    Copyright statement may not be removed.;
;*****************************************************************************/
PMERR_INCLUDED	EQU	1

ifdef INCL_WINERRORS
ifndef INCL_WINERRORS_INCL
PMERR_INVALID_HWND	EQU	1001H 
PMERR_INVALID_HMQ	EQU	1002H 
PMERR_PARAMETER_OUT_OF_RANGE	EQU	1003H 
PMERR_WINDOW_LOCK_UNDERFLOW	EQU	1004H 
PMERR_WINDOW_LOCK_OVERFLOW	EQU	1005H 
PMERR_BAD_WINDOW_LOCK_COUNT	EQU	1006H 
PMERR_WINDOW_NOT_LOCKED	EQU	1007H 
PMERR_INVALID_SELECTOR	EQU	1008H 
PMERR_CALL_FROM_WRONG_THREAD	EQU	1009H 
PMERR_RESOURCE_NOT_FOUND	EQU	100AH 
PMERR_INVALID_STRING_PARM	EQU	100BH 
PMERR_INVALID_HHEAP	EQU	100CH 
PMERR_INVALID_HEAP_POINTER	EQU	100DH 
PMERR_INVALID_HEAP_SIZE_PARM	EQU	100EH 
PMERR_INVALID_HEAP_SIZE	EQU	100FH 
PMERR_INVALID_HEAP_SIZE_WORD	EQU	1010H 
PMERR_HEAP_OUT_OF_MEMORY	EQU	1011H 
PMERR_HEAP_MAX_SIZE_REACHED	EQU	1012H 
PMERR_INVALID_HATOMTBL	EQU	1013H 
PMERR_INVALID_ATOM	EQU	1014H 
PMERR_INVALID_ATOM_NAME	EQU	1015H 
PMERR_INVALID_INTEGER_ATOM	EQU	1016H 
PMERR_ATOM_NAME_NOT_FOUND	EQU	1017H 
PMERR_QUEUE_TOO_LARGE	EQU	1018H 
PMERR_INVALID_FLAG	EQU	1019H 
PMERR_INVALID_HACCEL	EQU	101AH 
PMERR_INVALID_HPTR	EQU	101BH 
PMERR_INVALID_HENUM	EQU	101CH 
PMERR_INVALID_SRC_CODEPAGE	EQU	101DH 
PMERR_INVALID_DST_CODEPAGE	EQU	101EH 
PMERR_UNKNOWN_COMPONENT_ID	EQU	101fH 
PMERR_UNKNOWN_ERROR_CODE	EQU	1020H 
PMERR_SEVERITY_LEVELS	EQU	1021H 
PMERR_INVALID_RESOURCE_FORMAT	EQU	1034H 
WINDBG_WINDOW_UNLOCK_WAIT	EQU	1035H 
PMERR_NO_MSG_QUEUE	EQU	1036H 
PMERR_CANNOT_SET_FOCUS	EQU	1037H 
PMERR_QUEUE_FULL	EQU	1038H 
PMERR_LIBRARY_LOAD_FAILED	EQU	1039H 
PMERR_PROCEDURE_LOAD_FAILED	EQU	103AH 
PMERR_LIBRARY_DELETE_FAILED	EQU	103BH 
PMERR_PROCEDURE_DELETE_FAILED	EQU	103CH 
PMERR_ARRAY_TOO_LARGE	EQU	103DH 
PMERR_ARRAY_TOO_SMALL	EQU	103EH 
PMERR_DATATYPE_ENTRY_BAD_INDEX	EQU	103FH 
PMERR_DATATYPE_ENTRY_CTL_BAD	EQU	1040H 
PMERR_DATATYPE_ENTRY_CTL_MISS	EQU	1041H 
PMERR_DATATYPE_ENTRY_INVALID	EQU	1042H 
PMERR_DATATYPE_ENTRY_NOT_NUM	EQU	1043H 
PMERR_DATATYPE_ENTRY_NOT_OFF	EQU	1044H 
PMERR_DATATYPE_INVALID	EQU	1045H 
PMERR_DATATYPE_NOT_UNIQUE	EQU	1046H 
PMERR_DATATYPE_TOO_LONG	EQU	1047H 
PMERR_DATATYPE_TOO_SMALL	EQU	1048H 
PMERR_DIRECTION_INVALID	EQU	1049H 
PMERR_INVALID_HAB	EQU	104AH 
PMERR_INVALID_HSTRUCT	EQU	104DH 
PMERR_LENGTH_TOO_SMALL	EQU	104EH 
PMERR_MSGID_TOO_SMALL	EQU	104FH 
PMERR_NO_HANDLE_ALLOC	EQU	1050H 
PMERR_NOT_IN_A_PM_SESSION	EQU	1051H 
PMERR_MSG_QUEUE_ALREADY_EXISTS	EQU	1052H 
PMERR_OLD_RESOURCE	EQU	1055H 
PMERR_BIDI_FIRST	EQU	10F0H 
PMERR_BIDI_LAST	EQU	10FFH 
ifdef SOM2VERSION                                                             
PMERR_WPDSERVER_IS_ACTIVE	EQU	1056H 
PMERR_WPDSERVER_NOT_STARTED	EQU	1057H 
PMERR_SOMDD_IS_ACTIVE	EQU	1058H 
PMERR_SOMDD_NOT_STARTED	EQU	1059H 
endif                                                                         
endif 
endif 
ifdef INCL_SHLERRORS
ifndef INCL_SHLERRORS_INCL
PMERR_INVALID_PIB	EQU	1101H 
PMERR_INSUFF_SPACE_TO_ADD	EQU	1102H 
PMERR_INVALID_GROUP_HANDLE	EQU	1103H 
PMERR_DUPLICATE_TITLE	EQU	1104H 
PMERR_INVALID_TITLE	EQU	1105H 
PMERR_HANDLE_NOT_IN_GROUP	EQU	1107H 
PMERR_INVALID_TARGET_HANDLE	EQU	1106H 
PMERR_INVALID_PATH_STATEMENT	EQU	1108H 
PMERR_NO_PROGRAM_FOUND	EQU	1109H 
PMERR_INVALID_BUFFER_SIZE	EQU	110AH 
PMERR_BUFFER_TOO_SMALL	EQU	110BH 
PMERR_PL_INITIALISATION_FAIL	EQU	110CH 
PMERR_CANT_DESTROY_SYS_GROUP	EQU	110DH 
PMERR_INVALID_TYPE_CHANGE	EQU	110EH 
PMERR_INVALID_PROGRAM_HANDLE	EQU	110FH 
PMERR_NOT_CURRENT_PL_VERSION	EQU	1110H 
PMERR_INVALID_CIRCULAR_REF	EQU	1111H 
PMERR_MEMORY_ALLOCATION_ERR	EQU	1112H 
PMERR_MEMORY_DEALLOCATION_ERR	EQU	1113H 
PMERR_TASK_HEADER_TOO_BIG	EQU	1114H 
PMERR_INVALID_INI_FILE_HANDLE	EQU	1115H 
PMERR_MEMORY_SHARE	EQU	1116H 
PMERR_OPEN_QUEUE	EQU	1117H 
PMERR_CREATE_QUEUE	EQU	1118H 
PMERR_WRITE_QUEUE	EQU	1119H 
PMERR_READ_QUEUE	EQU	111AH 
PMERR_CALL_NOT_EXECUTED	EQU	111BH 
PMERR_UNKNOWN_APIPKT	EQU	111CH 
PMERR_INITHREAD_EXISTS	EQU	111DH 
PMERR_CREATE_THREAD	EQU	111EH 
PMERR_NO_HK_PROFILE_INSTALLED	EQU	111FH 
PMERR_INVALID_DIRECTORY	EQU	1120H 
PMERR_WILDCARD_IN_FILENAME	EQU	1121H 
PMERR_FILENAME_BUFFER_FULL	EQU	1122H 
PMERR_FILENAME_TOO_LONG	EQU	1123H 
PMERR_INI_FILE_IS_SYS_OR_USER	EQU	1124H 
PMERR_BROADCAST_PLMSG	EQU	1125H 
PMERR_190_INIT_DONE	EQU	1126H 
PMERR_HMOD_FOR_PMSHAPI	EQU	1127H 
PMERR_SET_HK_PROFILE	EQU	1128H 
PMERR_API_NOT_ALLOWED	EQU	1129H 
PMERR_INI_STILL_OPEN	EQU	112AH 
PMERR_PROGDETAILS_NOT_IN_INI	EQU	112BH 
PMERR_PIBSTRUCT_NOT_IN_INI	EQU	112CH 
PMERR_INVALID_DISKPROGDETAILS	EQU	112DH 
PMERR_PROGDETAILS_READ_FAILURE	EQU	112EH 
PMERR_PROGDETAILS_WRITE_FAILURE	EQU	112FH 
PMERR_PROGDETAILS_QSIZE_FAILURE	EQU	1130H 
PMERR_INVALID_PROGDETAILS	EQU	1131H 
PMERR_SHEPROFILEHOOK_NOT_FOUND	EQU	1132H 
PMERR_190PLCONVERTED	EQU	1133H 
PMERR_FAILED_TO_CONVERT_INI_PL	EQU	1134H 
PMERR_PMSHAPI_NOT_INITIALISED	EQU	1135H 
PMERR_INVALID_SHELL_API_HOOK_ID	EQU	1136H 
PMERR_DOS_ERROR	EQU	1200H 
PMERR_NO_SPACE	EQU	1201H 
PMERR_INVALID_SWITCH_HANDLE	EQU	1202H 
PMERR_NO_HANDLE	EQU	1203H 
PMERR_INVALID_PROCESS_ID	EQU	1204H 
PMERR_NOT_SHELL	EQU	1205H 
PMERR_INVALID_WINDOW	EQU	1206H 
PMERR_INVALID_POST_MSG	EQU	1207H 
PMERR_INVALID_PARAMETERS	EQU	1208H 
PMERR_INVALID_PROGRAM_TYPE	EQU	1209H 
PMERR_NOT_EXTENDED_FOCUS	EQU	120AH 
PMERR_INVALID_SESSION_ID	EQU	120BH 
PMERR_SMG_INVALID_ICON_FILE	EQU	120CH 
PMERR_SMG_ICON_NOT_CREATED	EQU	120DH 
PMERR_SHL_DEBUG	EQU	120EH 
PMERR_OPENING_INI_FILE	EQU	1301H 
PMERR_INI_FILE_CORRUPT	EQU	1302H 
PMERR_INVALID_PARM	EQU	1303H 
PMERR_NOT_IN_IDX	EQU	1304H 
PMERR_NO_ENTRIES_IN_GROUP	EQU	1305H 
PMERR_INI_WRITE_FAIL	EQU	1306H 
PMERR_IDX_FULL	EQU	1307H 
PMERR_INI_PROTECTED	EQU	1308H 
PMERR_MEMORY_ALLOC	EQU	1309H 
PMERR_INI_INIT_ALREADY_DONE	EQU	130AH 
PMERR_INVALID_INTEGER	EQU	130BH 
PMERR_INVALID_ASCIIZ	EQU	130CH 
PMERR_CAN_NOT_CALL_SPOOLER	EQU	130DH 
PMERR_VALIDATION_REJECTED	EQU	PMERR_CAN_NOT_CALL_SPOOLER
PMERR_WARNING_WINDOW_NOT_KILLED	EQU	1401H 
PMERR_ERROR_INVALID_WINDOW	EQU	1402H 
PMERR_ALREADY_INITIALIZED	EQU	1403H 
PMERR_MSG_PROG_NO_MOU	EQU	1405H 
PMERR_MSG_PROG_NON_RECOV	EQU	1406H 
PMERR_WINCONV_INVALID_PATH	EQU	1407H 
PMERR_PI_NOT_INITIALISED	EQU	1408H 
PMERR_PL_NOT_INITIALISED	EQU	1409H 
PMERR_NO_TASK_MANAGER	EQU	140AH 
PMERR_SAVE_NOT_IN_PROGRESS	EQU	140BH 
PMERR_NO_STACK_SPACE	EQU	140CH 
PMERR_INVALID_COLR_FIELD	EQU	140dH 
PMERR_INVALID_COLR_VALUE	EQU	140eH 
PMERR_COLR_WRITE	EQU	140fH 
PMERR_TARGET_FILE_EXISTS	EQU	1501H 
PMERR_SOURCE_SAME_AS_TARGET	EQU	1502H 
PMERR_SOURCE_FILE_NOT_FOUND	EQU	1503H 
PMERR_INVALID_NEW_PATH	EQU	1504H 
PMERR_TARGET_FILE_NOT_FOUND	EQU	1505H 
PMERR_INVALID_DRIVE_NUMBER	EQU	1506H 
PMERR_NAME_TOO_LONG	EQU	1507H 
PMERR_NOT_ENOUGH_ROOM_ON_DISK	EQU	1508H 
PMERR_NOT_ENOUGH_MEM	EQU	1509H 
PMERR_LOG_DRV_DOES_NOT_EXIST	EQU	150BH 
PMERR_INVALID_DRIVE	EQU	150CH 
PMERR_ACCESS_DENIED	EQU	150DH 
PMERR_NO_FIRST_SLASH	EQU	150EH 
PMERR_READ_ONLY_FILE	EQU	150FH 
PMERR_GROUP_PROTECTED	EQU	151FH 
PMERR_INVALID_PROGRAM_CATEGORY	EQU	152FH 
PMERR_INVALID_APPL	EQU	1530H 
PMERR_CANNOT_START	EQU	1531H 
PMERR_STARTED_IN_BACKGROUND	EQU	1532H 
PMERR_INVALID_HAPP	EQU	1533H 
PMERR_CANNOT_STOP	EQU	1534H 
PMERR_INTERNAL_ERROR_1	EQU	1601H 
PMERR_INTERNAL_ERROR_2	EQU	1602H 
PMERR_INTERNAL_ERROR_3	EQU	1603H 
PMERR_INTERNAL_ERROR_4	EQU	1604H 
PMERR_INTERNAL_ERROR_5	EQU	1605H 
PMERR_INTERNAL_ERROR_6	EQU	1606H 
PMERR_INTERNAL_ERROR_7	EQU	1607H 
PMERR_INTERNAL_ERROR_8	EQU	1608H 
PMERR_INTERNAL_ERROR_9	EQU	1609H 
PMERR_INTERNAL_ERROR_10	EQU	160AH 
PMERR_INTERNAL_ERROR_11	EQU	160BH 
PMERR_INTERNAL_ERROR_12	EQU	160CH 
PMERR_INTERNAL_ERROR_13	EQU	160DH 
PMERR_INTERNAL_ERROR_14	EQU	160EH 
PMERR_INTERNAL_ERROR_15	EQU	160FH 
PMERR_INTERNAL_ERROR_16	EQU	1610H 
PMERR_INTERNAL_ERROR_17	EQU	1611H 
PMERR_INTERNAL_ERROR_18	EQU	1612H 
PMERR_INTERNAL_ERROR_19	EQU	1613H 
PMERR_INTERNAL_ERROR_20	EQU	1614H 
PMERR_INTERNAL_ERROR_21	EQU	1615H 
PMERR_INTERNAL_ERROR_22	EQU	1616H 
PMERR_INTERNAL_ERROR_23	EQU	1617H 
PMERR_INTERNAL_ERROR_24	EQU	1618H 
PMERR_INTERNAL_ERROR_25	EQU	1619H 
PMERR_INTERNAL_ERROR_26	EQU	161AH 
PMERR_INTERNAL_ERROR_27	EQU	161BH 
PMERR_INTERNAL_ERROR_28	EQU	161CH 
PMERR_INTERNAL_ERROR_29	EQU	161DH 
PMERR_INVALID_FREE_MESSAGE_ID	EQU	1630H 
PMERR_FUNCTION_NOT_SUPPORTED	EQU	1641H 
PMERR_INVALID_ARRAY_COUNT	EQU	1642H 
PMERR_INVALID_LENGTH	EQU	1643H 
PMERR_INVALID_BUNDLE_TYPE	EQU	1644H 
PMERR_INVALID_PARAMETER	EQU	1645H 
PMERR_INVALID_NUMBER_OF_PARMS	EQU	1646H 
PMERR_GREATER_THAN_64K	EQU	1647H 
PMERR_INVALID_PARAMETER_TYPE	EQU	1648H 
PMERR_NEGATIVE_STRCOND_DIM	EQU	1649H 
PMERR_INVALID_NUMBER_OF_TYPES	EQU	164AH 
PMERR_INCORRECT_HSTRUCT	EQU	164BH 
PMERR_INVALID_ARRAY_SIZE	EQU	164CH 
PMERR_INVALID_CONTROL_DATATYPE	EQU	164DH 
PMERR_INCOMPLETE_CONTROL_SEQU	EQU	164EH 
PMERR_INVALID_DATATYPE	EQU	164FH 
PMERR_INCORRECT_DATATYPE	EQU	1650H 
PMERR_NOT_SELF_DESCRIBING_DTYP	EQU	1651H 
PMERR_INVALID_CTRL_SEQ_INDEX	EQU	1652H 
PMERR_INVALID_TYPE_FOR_LENGTH	EQU	1653H 
PMERR_INVALID_TYPE_FOR_OFFSET	EQU	1654H 
PMERR_INVALID_TYPE_FOR_MPARAM	EQU	1655H 
PMERR_INVALID_MESSAGE_ID	EQU	1656H 
PMERR_C_LENGTH_TOO_SMALL	EQU	1657H 
PMERR_APPL_STRUCTURE_TOO_SMALL	EQU	1658H 
PMERR_INVALID_ERRORINFO_HANDLE	EQU	1659H 
PMERR_INVALID_CHARACTER_INDEX	EQU	165AH 
endif 
endif 
ifdef INCL_WPERRORS
ifndef INCL_WPERRORS_INCL
WPERR_PROTECTED_CLASS	EQU	1700H 
WPERR_INVALID_CLASS	EQU	1701H 
WPERR_INVALID_SUPERCLASS	EQU	1702H 
WPERR_NO_MEMORY	EQU	1703H 
WPERR_SEMAPHORE_ERROR	EQU	1704H 
WPERR_BUFFER_TOO_SMALL	EQU	1705H 
WPERR_CLSLOADMOD_FAILED	EQU	1706H 
WPERR_CLSPROCADDR_FAILED	EQU	1707H 
WPERR_OBJWORD_LOCATION	EQU	1708H 
WPERR_INVALID_OBJECT	EQU	1709H 
WPERR_MEMORY_CLEANUP	EQU	170AH 
WPERR_INVALID_MODULE	EQU	170BH 
WPERR_INVALID_OLDCLASS	EQU	170CH 
WPERR_INVALID_NEWCLASS	EQU	170DH 
WPERR_NOT_IMMEDIATE_CHILD	EQU	170EH 
WPERR_NOT_WORKPLACE_CLASS	EQU	170FH 
WPERR_CANT_REPLACE_METACLS	EQU	1710H 
WPERR_INI_FILE_WRITE	EQU	1711H 
WPERR_INVALID_FOLDER	EQU	1712H 
WPERR_BUFFER_OVERFLOW	EQU	1713H 
WPERR_OBJECT_NOT_FOUND	EQU	1714H 
WPERR_INVALID_HFIND	EQU	1715H 
WPERR_INVALID_COUNT	EQU	1716H 
WPERR_INVALID_BUFFER	EQU	1717H 
WPERR_ALREADY_EXISTS	EQU	1718H 
WPERR_INVALID_FLAGS	EQU	1719H 
WPERR_INVALID_OBJECTID	EQU	1720H 
WPERR_INVALID_TARGET_OBJECT	EQU	1721H 
endif 
endif 
ifdef INCL_GPIERRORS
ifndef INCL_GPIERRORS_INCL
PMERR_OK	EQU	0000H 
PMERR_ALREADY_IN_AREA	EQU	2001H 
PMERR_ALREADY_IN_ELEMENT	EQU	2002H 
PMERR_ALREADY_IN_PATH	EQU	2003H 
PMERR_ALREADY_IN_SEG	EQU	2004H 
PMERR_AREA_INCOMPLETE	EQU	2005H 
PMERR_BASE_ERROR	EQU	2006H 
PMERR_BITBLT_LENGTH_EXCEEDED	EQU	2007H 
PMERR_BITMAP_IN_USE	EQU	2008H 
PMERR_BITMAP_IS_SELECTED	EQU	2009H 
PMERR_BITMAP_NOT_FOUND	EQU	200AH 
PMERR_BITMAP_NOT_SELECTED	EQU	200BH 
PMERR_BOUNDS_OVERFLOW	EQU	200CH 
PMERR_CALLED_SEG_IS_CHAINED	EQU	200DH 
PMERR_CALLED_SEG_IS_CURRENT	EQU	200EH 
PMERR_CALLED_SEG_NOT_FOUND	EQU	200FH 
PMERR_CANNOT_DELETE_ALL_DATA	EQU	2010H 
PMERR_CANNOT_REPLACE_ELEMENT_0	EQU	2011H 
PMERR_COL_TABLE_NOT_REALIZABLE	EQU	2012H 
PMERR_COL_TABLE_NOT_REALIZED	EQU	2013H 
PMERR_COORDINATE_OVERFLOW	EQU	2014H 
PMERR_CORR_FORMAT_MISMATCH	EQU	2015H 
PMERR_DATA_TOO_LONG	EQU	2016H 
PMERR_DC_IS_ASSOCIATED	EQU	2017H 
PMERR_DESC_STRING_TRUNCATED	EQU	2018H 
PMERR_DEVICE_DRIVER_ERROR_1	EQU	2019H 
PMERR_DEVICE_DRIVER_ERROR_2	EQU	201AH 
PMERR_DEVICE_DRIVER_ERROR_3	EQU	201BH 
PMERR_DEVICE_DRIVER_ERROR_4	EQU	201CH 
PMERR_DEVICE_DRIVER_ERROR_5	EQU	201DH 
PMERR_DEVICE_DRIVER_ERROR_6	EQU	201EH 
PMERR_DEVICE_DRIVER_ERROR_7	EQU	201FH 
PMERR_DEVICE_DRIVER_ERROR_8	EQU	2020H 
PMERR_DEVICE_DRIVER_ERROR_9	EQU	2021H 
PMERR_DEVICE_DRIVER_ERROR_10	EQU	2022H 
PMERR_DEV_FUNC_NOT_INSTALLED	EQU	2023H 
PMERR_DOSOPEN_FAILURE	EQU	2024H 
PMERR_DOSREAD_FAILURE	EQU	2025H 
PMERR_DRIVER_NOT_FOUND	EQU	2026H 
PMERR_DUP_SEG	EQU	2027H 
PMERR_DYNAMIC_SEG_SEQ_ERROR	EQU	2028H 
PMERR_DYNAMIC_SEG_ZERO_INV	EQU	2029H 
PMERR_ELEMENT_INCOMPLETE	EQU	202AH 
PMERR_ESC_CODE_NOT_SUPPORTED	EQU	202BH 
PMERR_EXCEEDS_MAX_SEG_LENGTH	EQU	202CH 
PMERR_FONT_AND_MODE_MISMATCH	EQU	202DH 
PMERR_FONT_FILE_NOT_LOADED	EQU	202EH 
PMERR_FONT_NOT_LOADED	EQU	202FH 
PMERR_FONT_TOO_BIG	EQU	2030H 
PMERR_HARDWARE_INIT_FAILURE	EQU	2031H 
PMERR_HBITMAP_BUSY	EQU	2032H 
PMERR_HDC_BUSY	EQU	2033H 
PMERR_HRGN_BUSY	EQU	2034H 
PMERR_HUGE_FONTS_NOT_SUPPORTED	EQU	2035H 
PMERR_ID_HAS_NO_BITMAP	EQU	2036H 
PMERR_IMAGE_INCOMPLETE	EQU	2037H 
PMERR_INCOMPAT_COLOR_FORMAT	EQU	2038H 
PMERR_INCOMPAT_COLOR_OPTIONS	EQU	2039H 
PMERR_INCOMPATIBLE_BITMAP	EQU	203AH 
PMERR_INCOMPATIBLE_METAFILE	EQU	203BH 
PMERR_INCORRECT_DC_TYPE	EQU	203CH 
PMERR_INSUFFICIENT_DISK_SPACE	EQU	203DH 
PMERR_INSUFFICIENT_MEMORY	EQU	203EH 
PMERR_INV_ANGLE_PARM	EQU	203FH 
PMERR_INV_ARC_CONTROL	EQU	2040H 
PMERR_INV_AREA_CONTROL	EQU	2041H 
PMERR_INV_ARC_POINTS	EQU	2042H 
PMERR_INV_ATTR_MODE	EQU	2043H 
PMERR_INV_BACKGROUND_COL_ATTR	EQU	2044H 
PMERR_INV_BACKGROUND_MIX_ATTR	EQU	2045H 
PMERR_INV_BITBLT_MIX	EQU	2046H 
PMERR_INV_BITBLT_STYLE	EQU	2047H 
PMERR_INV_BITMAP_DIMENSION	EQU	2048H 
PMERR_INV_BOX_CONTROL	EQU	2049H 
PMERR_INV_BOX_ROUNDING_PARM	EQU	204AH 
PMERR_INV_CHAR_ANGLE_ATTR	EQU	204BH 
PMERR_INV_CHAR_DIRECTION_ATTR	EQU	204CH 
PMERR_INV_CHAR_MODE_ATTR	EQU	204DH 
PMERR_INV_CHAR_POS_OPTIONS	EQU	204EH 
PMERR_INV_CHAR_SET_ATTR	EQU	204FH 
PMERR_INV_CHAR_SHEAR_ATTR	EQU	2050H 
PMERR_INV_CLIP_PATH_OPTIONS	EQU	2051H 
PMERR_INV_CODEPAGE	EQU	2052H 
PMERR_INV_COLOR_ATTR	EQU	2053H 
PMERR_INV_COLOR_DATA	EQU	2054H 
PMERR_INV_COLOR_FORMAT	EQU	2055H 
PMERR_INV_COLOR_INDEX	EQU	2056H 
PMERR_INV_COLOR_OPTIONS	EQU	2057H 
PMERR_INV_COLOR_START_INDEX	EQU	2058H 
PMERR_INV_COORD_OFFSET	EQU	2059H 
PMERR_INV_COORD_SPACE	EQU	205AH 
PMERR_INV_COORDINATE	EQU	205BH 
PMERR_INV_CORRELATE_DEPTH	EQU	205CH 
PMERR_INV_CORRELATE_TYPE	EQU	205DH 
PMERR_INV_CURSOR_BITMAP	EQU	205EH 
PMERR_INV_DC_DATA	EQU	205FH 
PMERR_INV_DC_TYPE	EQU	2060H 
PMERR_INV_DEVICE_NAME	EQU	2061H 
PMERR_INV_DEV_MODES_OPTIONS	EQU	2062H 
PMERR_INV_DRAW_CONTROL	EQU	2063H 
PMERR_INV_DRAW_VALUE	EQU	2064H 
PMERR_INV_DRAWING_MODE	EQU	2065H 
PMERR_INV_DRIVER_DATA	EQU	2066H 
PMERR_INV_DRIVER_NAME	EQU	2067H 
PMERR_INV_DRAW_BORDER_OPTION	EQU	2068H 
PMERR_INV_EDIT_MODE	EQU	2069H 
PMERR_INV_ELEMENT_OFFSET	EQU	206AH 
PMERR_INV_ELEMENT_POINTER	EQU	206BH 
PMERR_INV_END_PATH_OPTIONS	EQU	206CH 
PMERR_INV_ESC_CODE	EQU	206DH 
PMERR_INV_ESCAPE_DATA	EQU	206EH 
PMERR_INV_EXTENDED_LCID	EQU	206FH 
PMERR_INV_FILL_PATH_OPTIONS	EQU	2070H 
PMERR_INV_FIRST_CHAR	EQU	2071H 
PMERR_INV_FONT_ATTRS	EQU	2072H 
PMERR_INV_FONT_FILE_DATA	EQU	2073H 
PMERR_INV_FOR_THIS_DC_TYPE	EQU	2074H 
PMERR_INV_FORMAT_CONTROL	EQU	2075H 
PMERR_INV_FORMS_CODE	EQU	2076H 
PMERR_INV_FONTDEF	EQU	2077H 
PMERR_INV_GEOM_LINE_WIDTH_ATTR	EQU	2078H 
PMERR_INV_GETDATA_CONTROL	EQU	2079H 
PMERR_INV_GRAPHICS_FIELD	EQU	207AH 
PMERR_INV_HBITMAP	EQU	207BH 
PMERR_INV_HDC	EQU	207CH 
PMERR_INV_HJOURNAL	EQU	207DH 
PMERR_INV_HMF	EQU	207EH 
PMERR_INV_HPS	EQU	207FH 
PMERR_INV_HRGN	EQU	2080H 
PMERR_INV_ID	EQU	2081H 
PMERR_INV_IMAGE_DATA_LENGTH	EQU	2082H 
PMERR_INV_IMAGE_DIMENSION	EQU	2083H 
PMERR_INV_IMAGE_FORMAT	EQU	2084H 
PMERR_INV_IN_AREA	EQU	2085H 
PMERR_INV_IN_CALLED_SEG	EQU	2086H 
PMERR_INV_IN_CURRENT_EDIT_MODE	EQU	2087H 
PMERR_INV_IN_DRAW_MODE	EQU	2088H 
PMERR_INV_IN_ELEMENT	EQU	2089H 
PMERR_INV_IN_IMAGE	EQU	208AH 
PMERR_INV_IN_PATH	EQU	208BH 
PMERR_INV_IN_RETAIN_MODE	EQU	208CH 
PMERR_INV_IN_SEG	EQU	208DH 
PMERR_INV_IN_VECTOR_SYMBOL	EQU	208EH 
PMERR_INV_INFO_TABLE	EQU	208FH 
PMERR_INV_JOURNAL_OPTION	EQU	2090H 
PMERR_INV_KERNING_FLAGS	EQU	2091H 
PMERR_INV_LENGTH_OR_COUNT	EQU	2092H 
PMERR_INV_LINE_END_ATTR	EQU	2093H 
PMERR_INV_LINE_JOIN_ATTR	EQU	2094H 
PMERR_INV_LINE_TYPE_ATTR	EQU	2095H 
PMERR_INV_LINE_WIDTH_ATTR	EQU	2096H 
PMERR_INV_LOGICAL_ADDRESS	EQU	2097H 
PMERR_INV_MARKER_BOX_ATTR	EQU	2098H 
PMERR_INV_MARKER_SET_ATTR	EQU	2099H 
PMERR_INV_MARKER_SYMBOL_ATTR	EQU	209AH 
PMERR_INV_MATRIX_ELEMENT	EQU	209BH 
PMERR_INV_MAX_HITS	EQU	209CH 
PMERR_INV_METAFILE	EQU	209DH 
PMERR_INV_METAFILE_LENGTH	EQU	209EH 
PMERR_INV_METAFILE_OFFSET	EQU	209FH 
PMERR_INV_MICROPS_DRAW_CONTROL	EQU	20A0H 
PMERR_INV_MICROPS_FUNCTION	EQU	20A1H 
PMERR_INV_MICROPS_ORDER	EQU	20A2H 
PMERR_INV_MIX_ATTR	EQU	20A3H 
PMERR_INV_MODE_FOR_OPEN_DYN	EQU	20A4H 
PMERR_INV_MODE_FOR_REOPEN_SEG	EQU	20A5H 
PMERR_INV_MODIFY_PATH_MODE	EQU	20A6H 
PMERR_INV_MULTIPLIER	EQU	20A7H 
PMERR_INV_NESTED_FIGURES	EQU	20A8H 
PMERR_INV_OR_INCOMPAT_OPTIONS	EQU	20A9H 
PMERR_INV_ORDER_LENGTH	EQU	20AAH 
PMERR_INV_ORDERING_PARM	EQU	20ABH 
PMERR_INV_OUTSIDE_DRAW_MODE	EQU	20ACH 
PMERR_INV_PAGE_VIEWPORT	EQU	20ADH 
PMERR_INV_PATH_ID	EQU	20AEH 
PMERR_INV_PATH_MODE	EQU	20AFH 
PMERR_INV_PATTERN_ATTR	EQU	20B0H 
PMERR_INV_PATTERN_REF_PT_ATTR	EQU	20B1H 
PMERR_INV_PATTERN_SET_ATTR	EQU	20B2H 
PMERR_INV_PATTERN_SET_FONT	EQU	20B3H 
PMERR_INV_PICK_APERTURE_OPTION	EQU	20B4H 
PMERR_INV_PICK_APERTURE_POSN	EQU	20B5H 
PMERR_INV_PICK_APERTURE_SIZE	EQU	20B6H 
PMERR_INV_PICK_NUMBER	EQU	20B7H 
PMERR_INV_PLAY_METAFILE_OPTION	EQU	20B8H 
PMERR_INV_PRIMITIVE_TYPE	EQU	20B9H 
PMERR_INV_PS_SIZE	EQU	20BAH 
PMERR_INV_PUTDATA_FORMAT	EQU	20BBH 
PMERR_INV_QUERY_ELEMENT_NO	EQU	20BCH 
PMERR_INV_RECT	EQU	20BDH 
PMERR_INV_REGION_CONTROL	EQU	20BEH 
PMERR_INV_REGION_MIX_MODE	EQU	20BFH 
PMERR_INV_REPLACE_MODE_FUNC	EQU	20C0H 
PMERR_INV_RESERVED_FIELD	EQU	20C1H 
PMERR_INV_RESET_OPTIONS	EQU	20C2H 
PMERR_INV_RGBCOLOR	EQU	20C3H 
PMERR_INV_SCAN_START	EQU	20C4H 
PMERR_INV_SEG_ATTR	EQU	20C5H 
PMERR_INV_SEG_ATTR_VALUE	EQU	20C6H 
PMERR_INV_SEG_CH_LENGTH	EQU	20C7H 
PMERR_INV_SEG_NAME	EQU	20C8H 
PMERR_INV_SEG_OFFSET	EQU	20C9H 
PMERR_INV_SETID	EQU	20CAH 
PMERR_INV_SETID_TYPE	EQU	20CBH 
PMERR_INV_SET_VIEWPORT_OPTION	EQU	20CCH 
PMERR_INV_SHARPNESS_PARM	EQU	20CDH 
PMERR_INV_SOURCE_OFFSET	EQU	20CEH 
PMERR_INV_STOP_DRAW_VALUE	EQU	20CFH 
PMERR_INV_TRANSFORM_TYPE	EQU	20D0H 
PMERR_INV_USAGE_PARM	EQU	20D1H 
PMERR_INV_VIEWING_LIMITS	EQU	20D2H 
PMERR_JFILE_BUSY	EQU	20D3H 
PMERR_JNL_FUNC_DATA_TOO_LONG	EQU	20D4H 
PMERR_KERNING_NOT_SUPPORTED	EQU	20D5H 
PMERR_LABEL_NOT_FOUND	EQU	20D6H 
PMERR_MATRIX_OVERFLOW	EQU	20D7H 
PMERR_METAFILE_INTERNAL_ERROR	EQU	20D8H 
PMERR_METAFILE_IN_USE	EQU	20D9H 
PMERR_METAFILE_LIMIT_EXCEEDED	EQU	20DAH 
PMERR_NAME_STACK_FULL	EQU	20DBH 
PMERR_NOT_CREATED_BY_DEVOPENDC	EQU	20DCH 
PMERR_NOT_IN_AREA	EQU	20DDH 
PMERR_NOT_IN_DRAW_MODE	EQU	20DEH 
PMERR_NOT_IN_ELEMENT	EQU	20DFH 
PMERR_NOT_IN_IMAGE	EQU	20E0H 
PMERR_NOT_IN_PATH	EQU	20E1H 
PMERR_NOT_IN_RETAIN_MODE	EQU	20E2H 
PMERR_NOT_IN_SEG	EQU	20E3H 
PMERR_NO_BITMAP_SELECTED	EQU	20E4H 
PMERR_NO_CURRENT_ELEMENT	EQU	20E5H 
PMERR_NO_CURRENT_SEG	EQU	20E6H 
PMERR_NO_METAFILE_RECORD_HANDLE	EQU	20E7H 
PMERR_ORDER_TOO_BIG	EQU	20E8H 
PMERR_OTHER_SET_ID_REFS	EQU	20E9H 
PMERR_OVERRAN_SEG	EQU	20EAH 
PMERR_OWN_SET_ID_REFS	EQU	20EBH 
PMERR_PATH_INCOMPLETE	EQU	20ECH 
PMERR_PATH_LIMIT_EXCEEDED	EQU	20EDH 
PMERR_PATH_UNKNOWN	EQU	20EEH 
PMERR_PEL_IS_CLIPPED	EQU	20EFH 
PMERR_PEL_NOT_AVAILABLE	EQU	20F0H 
PMERR_PRIMITIVE_STACK_EMPTY	EQU	20F1H 
PMERR_PROLOG_ERROR	EQU	20F2H 
PMERR_PROLOG_SEG_ATTR_NOT_SET	EQU	20F3H 
PMERR_PS_BUSY	EQU	20F4H 
PMERR_PS_IS_ASSOCIATED	EQU	20F5H 
PMERR_RAM_JNL_FILE_TOO_SMALL	EQU	20F6H 
PMERR_REALIZE_NOT_SUPPORTED	EQU	20F7H 
PMERR_REGION_IS_CLIP_REGION	EQU	20F8H 
PMERR_RESOURCE_DEPLETION	EQU	20F9H 
PMERR_SEG_AND_REFSEG_ARE_SAME	EQU	20FAH 
PMERR_SEG_CALL_RECURSIVE	EQU	20FBH 
PMERR_SEG_CALL_STACK_EMPTY	EQU	20FCH 
PMERR_SEG_CALL_STACK_FULL	EQU	20FDH 
PMERR_SEG_IS_CURRENT	EQU	20FEH 
PMERR_SEG_NOT_CHAINED	EQU	20FFH 
PMERR_SEG_NOT_FOUND	EQU	2100H 
PMERR_SEG_STORE_LIMIT_EXCEEDED	EQU	2101H 
PMERR_SETID_IN_USE	EQU	2102H 
PMERR_SETID_NOT_FOUND	EQU	2103H 
PMERR_STARTDOC_NOT_ISSUED	EQU	2104H 
PMERR_STOP_DRAW_OCCURRED	EQU	2105H 
PMERR_TOO_MANY_METAFILES_IN_USE	EQU	2106H 
PMERR_TRUNCATED_ORDER	EQU	2107H 
PMERR_UNCHAINED_SEG_ZERO_INV	EQU	2108H 
PMERR_UNSUPPORTED_ATTR	EQU	2109H 
PMERR_UNSUPPORTED_ATTR_VALUE	EQU	210AH 
PMERR_ENDDOC_NOT_ISSUED	EQU	210BH 
PMERR_PS_NOT_ASSOCIATED	EQU	210CH 
PMERR_INV_FLOOD_FILL_OPTIONS	EQU	210DH 
PMERR_INV_FACENAME	EQU	210EH 
PMERR_PALETTE_SELECTED	EQU	210FH 
PMERR_NO_PALETTE_SELECTED	EQU	2110H 
PMERR_INV_HPAL	EQU	2111H 
PMERR_PALETTE_BUSY	EQU	2112H 
PMERR_START_POINT_CLIPPED	EQU	2113H 
PMERR_NO_FILL	EQU	2114H 
PMERR_INV_FACENAMEDESC	EQU	2115H 
PMERR_INV_BITMAP_DATA	EQU	2116H 
PMERR_INV_CHAR_ALIGN_ATTR	EQU	2117H 
PMERR_INV_HFONT	EQU	2118H 
PMERR_HFONT_IS_SELECTED	EQU	2119H 
PMERR_DRVR_NOT_SUPPORTED	EQU	2120H 
endif 
endif 
ifdef INCL_SPLERRORS
ifndef INCL_SPLERRORS_INCL
PMERR_SPL_DRIVER_ERROR	EQU	4001H 
PMERR_SPL_DEVICE_ERROR	EQU	4002H 
PMERR_SPL_DEVICE_NOT_INSTALLED	EQU	4003H 
PMERR_SPL_QUEUE_ERROR	EQU	4004H 
PMERR_SPL_INV_HSPL	EQU	4005H 
PMERR_SPL_NO_DISK_SPACE	EQU	4006H 
PMERR_SPL_NO_MEMORY	EQU	4007H 
PMERR_SPL_PRINT_ABORT	EQU	4008H 
PMERR_SPL_SPOOLER_NOT_INSTALLED	EQU	4009H 
PMERR_SPL_INV_FORMS_CODE	EQU	400AH 
PMERR_SPL_INV_PRIORITY	EQU	400BH 
PMERR_SPL_NO_FREE_JOB_ID	EQU	400CH 
PMERR_SPL_NO_DATA	EQU	400DH 
PMERR_SPL_INV_TOKEN	EQU	400EH 
PMERR_SPL_INV_DATATYPE	EQU	400FH 
PMERR_SPL_PROCESSOR_ERROR	EQU	4010H 
PMERR_SPL_INV_JOB_ID	EQU	4011H 
PMERR_SPL_JOB_NOT_PRINTING	EQU	4012H 
PMERR_SPL_JOB_PRINTING	EQU	4013H 
PMERR_SPL_QUEUE_ALREADY_EXISTS	EQU	4014H 
PMERR_SPL_INV_QUEUE_NAME	EQU	4015H 
PMERR_SPL_QUEUE_NOT_EMPTY	EQU	4016H 
PMERR_SPL_DEVICE_ALREADY_EXISTS	EQU	4017H 
PMERR_SPL_DEVICE_LIMIT_REACHED	EQU	4018H 
PMERR_SPL_STATUS_STRING_TRUNC	EQU	4019H 
PMERR_SPL_INV_LENGTH_OR_COUNT	EQU	401AH 
PMERR_SPL_FILE_NOT_FOUND	EQU	401BH 
PMERR_SPL_CANNOT_OPEN_FILE	EQU	401CH 
PMERR_SPL_DRIVER_NOT_INSTALLED	EQU	401DH 
PMERR_SPL_INV_PROCESSOR_DATTYPE	EQU	401EH 
PMERR_SPL_INV_DRIVER_DATATYPE	EQU	401FH 
PMERR_SPL_PROCESSOR_NOT_INST	EQU	4020H 
PMERR_SPL_NO_SUCH_LOG_ADDRESS	EQU	4021H 
PMERR_SPL_PRINTER_NOT_FOUND	EQU	4022H 
PMERR_SPL_DD_NOT_FOUND	EQU	4023H 
PMERR_SPL_QUEUE_NOT_FOUND	EQU	4024H 
PMERR_SPL_MANY_QUEUES_ASSOC	EQU	4025H 
PMERR_SPL_NO_QUEUES_ASSOCIATED	EQU	4026H 
PMERR_SPL_INI_FILE_ERROR	EQU	4027H 
PMERR_SPL_NO_DEFAULT_QUEUE	EQU	4028H 
PMERR_SPL_NO_CURRENT_FORMS_CODE	EQU	4029H 
PMERR_SPL_NOT_AUTHORISED	EQU	402AH 
PMERR_SPL_TEMP_NETWORK_ERROR	EQU	402BH 
PMERR_SPL_HARD_NETWORK_ERROR	EQU	402CH 
PMERR_DEL_NOT_ALLOWED	EQU	402DH 
PMERR_CANNOT_DEL_QP_REF	EQU	402EH 
PMERR_CANNOT_DEL_QNAME_REF	EQU	402FH 
PMERR_CANNOT_DEL_PRINTER_DD_REF	EQU	4030H 
PMERR_CANNOT_DEL_PRN_NAME_REF	EQU	4031H 
PMERR_CANNOT_DEL_PRN_ADDR_REF	EQU	4032H 
PMERR_SPOOLER_QP_NOT_DEFINED	EQU	4033H 
PMERR_PRN_NAME_NOT_DEFINED	EQU	4034H 
PMERR_PRN_ADDR_NOT_DEFINED	EQU	4035H 
PMERR_PRINTER_DD_NOT_DEFINED	EQU	4036H 
PMERR_PRINTER_QUEUE_NOT_DEFINED	EQU	4037H 
PMERR_PRN_ADDR_IN_USE	EQU	4038H 
PMERR_SPL_TOO_MANY_OPEN_FILES	EQU	4039H 
PMERR_SPL_CP_NOT_REQD	EQU	403AH 
PMERR_UNABLE_TO_CLOSE_DEVICE	EQU	4040H 
PMERR_SPL_ERROR_1	EQU	( SPLERR_BASE + 4001  )
PMERR_SPL_ERROR_2	EQU	( SPLERR_BASE + 4002  )
PMERR_SPL_ERROR_3	EQU	( SPLERR_BASE + 4003  )
PMERR_SPL_ERROR_4	EQU	( SPLERR_BASE + 4004  )
PMERR_SPL_ERROR_5	EQU	( SPLERR_BASE + 4005  )
PMERR_SPL_ERROR_6	EQU	( SPLERR_BASE + 4006  )
PMERR_SPL_ERROR_7	EQU	( SPLERR_BASE + 4007  )
PMERR_SPL_ERROR_8	EQU	( SPLERR_BASE + 4008  )
PMERR_SPL_ERROR_9	EQU	( SPLERR_BASE + 4009  )
PMERR_SPL_ERROR_10	EQU	( SPLERR_BASE + 4010  )
PMERR_SPL_ERROR_11	EQU	( SPLERR_BASE + 4011  )
PMERR_SPL_ERROR_12	EQU	( SPLERR_BASE + 4012  )
PMERR_SPL_ERROR_13	EQU	( SPLERR_BASE + 4013  )
PMERR_SPL_ERROR_14	EQU	( SPLERR_BASE + 4014  )
PMERR_SPL_ERROR_15	EQU	( SPLERR_BASE + 4015  )
PMERR_SPL_ERROR_16	EQU	( SPLERR_BASE + 4016  )
PMERR_SPL_ERROR_17	EQU	( SPLERR_BASE + 4017  )
PMERR_SPL_ERROR_18	EQU	( SPLERR_BASE + 4018  )
PMERR_SPL_ERROR_19	EQU	( SPLERR_BASE + 4019  )
PMERR_SPL_ERROR_20	EQU	( SPLERR_BASE + 4020  )
PMERR_SPL_ERROR_21	EQU	( SPLERR_BASE + 4021  )
PMERR_SPL_ERROR_22	EQU	( SPLERR_BASE + 4022  )
PMERR_SPL_ERROR_23	EQU	( SPLERR_BASE + 4023  )
PMERR_SPL_ERROR_24	EQU	( SPLERR_BASE + 4024  )
PMERR_SPL_ERROR_25	EQU	( SPLERR_BASE + 4025  )
PMERR_SPL_ERROR_26	EQU	( SPLERR_BASE + 4026  )
PMERR_SPL_ERROR_27	EQU	( SPLERR_BASE + 4027  )
PMERR_SPL_ERROR_28	EQU	( SPLERR_BASE + 4028  )
PMERR_SPL_ERROR_29	EQU	( SPLERR_BASE + 4029  )
PMERR_SPL_ERROR_30	EQU	( SPLERR_BASE + 4030  )
PMERR_SPL_ERROR_31	EQU	( SPLERR_BASE + 4031  )
PMERR_SPL_ERROR_32	EQU	( SPLERR_BASE + 4032  )
PMERR_SPL_ERROR_33	EQU	( SPLERR_BASE + 4033  )
PMERR_SPL_ERROR_34	EQU	( SPLERR_BASE + 4034  )
PMERR_SPL_ERROR_35	EQU	( SPLERR_BASE + 4035  )
PMERR_SPL_ERROR_36	EQU	( SPLERR_BASE + 4036  )
PMERR_SPL_ERROR_37	EQU	( SPLERR_BASE + 4037  )
PMERR_SPL_ERROR_38	EQU	( SPLERR_BASE + 4038  )
PMERR_SPL_ERROR_39	EQU	( SPLERR_BASE + 4039  )
PMERR_SPL_ERROR_40	EQU	( SPLERR_BASE + 4040  )
PMERR_SPLMSGBOX_INFO_CAPTION	EQU	( SPLERR_BASE + 4041  )
PMERR_SPLMSGBOX_WARNING_CAPTION	EQU	( SPLERR_BASE + 4042  )
PMERR_SPLMSGBOX_ERROR_CAPTION	EQU	( SPLERR_BASE + 4043  )
PMERR_SPLMSGBOX_SEVERE_CAPTION	EQU	( SPLERR_BASE + 4044  )
PMERR_SPLMSGBOX_JOB_DETAILS	EQU	( SPLERR_BASE + 4045  )
PMERR_SPLMSGBOX_ERROR_ACTION	EQU	( SPLERR_BASE + 4046  )
PMERR_SPLMSGBOX_SEVERE_ACTION	EQU	( SPLERR_BASE + 4047  )
PMERR_SPLMSGBOX_BIT_0_TEXT	EQU	( SPLERR_BASE + 4048  )
PMERR_SPLMSGBOX_BIT_1_TEXT	EQU	( SPLERR_BASE + 4049  )
PMERR_SPLMSGBOX_BIT_2_TEXT	EQU	( SPLERR_BASE + 4050  )
PMERR_SPLMSGBOX_BIT_3_TEXT	EQU	( SPLERR_BASE + 4051  )
PMERR_SPLMSGBOX_BIT_4_TEXT	EQU	( SPLERR_BASE + 4052  )
PMERR_SPLMSGBOX_BIT_5_TEXT	EQU	( SPLERR_BASE + 4053  )
PMERR_SPLMSGBOX_BIT_15_TEXT	EQU	( SPLERR_BASE + 4054  )
PMERR_SPL_NOPATHBUFFER	EQU	( SPLERR_BASE + 4055  )
PMERR_SPL_ALREADY_INITIALISED	EQU	( SPLERR_BASE + 4093  )
PMERR_SPL_ERROR	EQU	( SPLERR_BASE + 4095  )
NERR_BASE	EQU	2100 
NERR_NetNotStarted	EQU	(NERR_BASE+2 )   
NERR_RedirectedPath	EQU	(NERR_BASE+17 )  
NERR_BufTooSmall	EQU	(NERR_BASE+23 )  
NERR_InvalidAPI	EQU	(NERR_BASE+42 )  
NERR_QNotFound	EQU	(NERR_BASE+50 )  
NERR_JobNotFound	EQU	(NERR_BASE+51 )  
NERR_DestNotFound	EQU	(NERR_BASE+52 )  
NERR_DestExists	EQU	(NERR_BASE+53 )  
NERR_QExists	EQU	(NERR_BASE+54 )  
NERR_QNoRoom	EQU	(NERR_BASE+55 )  
NERR_JobNoRoom	EQU	(NERR_BASE+56 )  
NERR_DestNoRoom	EQU	(NERR_BASE+57 )  
NERR_DestIdle	EQU	(NERR_BASE+58 )  
NERR_DestInvalidOp	EQU	(NERR_BASE+59 )  
NERR_SpoolerNotLoaded	EQU	(NERR_BASE+61 )  
NERR_DestInvalidState	EQU	(NERR_BASE+62 )  
NERR_JobInvalidState	EQU	(NERR_BASE+64 )  
NERR_SpoolNoMemory	EQU	(NERR_BASE+65 )  
NERR_DriverNotFound	EQU	(NERR_BASE+66 )  
NERR_DataTypeInvalid	EQU	(NERR_BASE+67 )  
NERR_ProcNotFound	EQU	(NERR_BASE+68 )  
NERR_BadDev	EQU	(NERR_BASE+241 ) 
NERR_CommDevInUse	EQU	(NERR_BASE+243 ) 
NERR_InvalidComputer	EQU	(NERR_BASE+251 ) 
NERR_OpenFiles	EQU	(NERR_BASE+301 ) 
NERR_LocalDrive	EQU	(NERR_BASE+305 ) 
endif 
endif 
ifdef INCL_PICERRORS
ifndef INCL_PICERRORS_INCL
PMERR_INV_TYPE	EQU	5001H 
PMERR_INV_CONV	EQU	5002H 
PMERR_INV_SEGLEN	EQU	5003H 
PMERR_DUP_SEGNAME	EQU	5004H 
PMERR_INV_XFORM	EQU	5005H 
PMERR_INV_VIEWLIM	EQU	5006H 
PMERR_INV_3DCOORD	EQU	5007H 
PMERR_SMB_OVFLOW	EQU	5008H 
PMERR_SEG_OVFLOW	EQU	5009H 
PMERR_PIC_DUP_FILENAME	EQU	5010H 
endif 
endif 
