/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*
************************************************************************
**
** Classification: IBM Test Tool
**
** Original Author and Date: Vince Rapp, Dec. 1994.
**
** Revisions:
**
** Comments:
**
** Public Class/ Functions:
**
*************************************************************************
*/
#ifndef DDT_H
#define DDT_H
#include "device.h"

// Script file expected string/ characters.

#define DDT_ENV_CHAR	         '%'
#define DDT_FORMAT_CHAR         '|'          // Used to specify output format
#define DDT_LBRACKET_CHAR        '['         // Used to specify output format
#define DDT_RBRACKET_CHAR       ']'          // Used to specify output format
#define DDT_COMMENT_CHAR       '*'           // Comment identifier.
#define DDT_COMMAND_CHAR       '@'           // Command identifier.
#define DDT_SPACE_CHAR         ' '           // Space.
#define DDT_SEPERATOR_CHAR     '='           // Seperates value from assignee.
#define DDT_CM_THREAD          "@THREAD"     // Create new thread.
#define DDT_CM_PAUSE           "@PAUSE"      // Pause (followed by <milliseconds>).
#define DDT_CM_LOOP            "@LOOP"       // Loop (followed by <number of loops>).
#define DDT_CM_END_LOOP        "@ENDLOOP"    // End of loop.
#define DDT_CM_IMPORT          "@IMPORT"     // Import from (followed by <script name>).
#define DDT_CM_OPEN            "@NEWALIAS"   // Initialize alias.
#define DDT_CM_FLUSH           "@FLUSH"      // Flush Alias.
#define DDT_CM_LOG             "@LOG"
#define DDT_CMPSTR             " \t\n\r\v\b\f"

// DDT Errors.

#define DDT_OK                        0
#define DDT_DLL_NOT_VALID  9999999

#endif
