/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef DDTBIDI_H
#define DDTBIDI_H
//***************************************************************************/
//
// Filename:      DDTBIDI.H
//
// Description:   Device Driver Test, DDT, include file for Bi-Directional
//                Printer Drivers testing.
//
// Owner:         
//
// Last Modified: 
//
//***************************************************************************/
#include "ddt.h"
#include <stdio.h>


//***** 
//
//Bi-directional Printer Device Driver Test Procedures.
//
//
//*****

APIRET _export Para_Open(  Kwd_List& );
APIRET _export Para_Close( Kwd_List& );
APIRET _export Bidi_SetComMode( Kwd_List& );
APIRET _export Bidi_QComMode( Kwd_List& );
APIRET _export Bidi_SetRdTimeOut( Kwd_List& );
APIRET _export Bidi_QRdTimeOut( Kwd_List& );
APIRET _export Bidi_QDeviceID( Kwd_List& );
APIRET _export Para_SetFrameCtrl( Kwd_List& );
APIRET _export Para_SetInfinRetry( Kwd_List& );
APIRET _export Para_InitParllPort( Kwd_List& );
APIRET _export Para_ActivateFont( Kwd_List& );
APIRET _export Para_SetPrtJobTitle( Kwd_List& );
APIRET _export Para_SetPPWrtTimeOut( Kwd_List& );
APIRET _export Para_QFrameCtrl( Kwd_List& );
APIRET _export Para_QInfinRetry( Kwd_List& );
APIRET _export Para_QParllPort( Kwd_List& );
APIRET _export Para_QActiveFont( Kwd_List& );
APIRET _export Para_VerifyFont( Kwd_List& );
APIRET _export Para_QPPWrtTimeOut( Kwd_List& );
APIRET Para_WriteSubFn( Kwd_List& );
#endif
