/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*
************************************************************************
**
** Classification: IBM Test Tool
**
** Original Author and Date: Barkha J. Herman, May. 1994
**
** Revisions:
**
** Comments:
**
** Public Class/ Functions:
**
*************************************************************************
*/
class _export ScatGat
{
public:
  ScatGat(size_t size, USHORT nbuff, BOOL bflag = FALSE);
  virtual ~ScatGat();
  virtual size_t size(){return size_;};
  virtual BOOL   flag(){return bflag_;};
  virtual SCATGATENTRY * _Seg16 entry();  	//AL changed __far16
  virtual IString out();
  virtual USHORT nbuff(){return nbuff_;};
  virtual BOOL GetByte( void *presult, size_t start, size_t length );
private:
  size_t size_;
  USHORT nbuff_;
  BOOL   bflag_;
  SCATGATENTRY * _Seg16 entry_;		//AL changed __far16
  FPBYTE *adds_;
  USHORT msize(PUSHORT, PUSHORT);
};

