/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#if !defined (GRECOLR_H)
#define GRECOLR_H
/***************************************************************************
 *\\ddd
 * Subtask Name: pdvt
 *
 * Module name:  grecolr.c
 *
 * Purpose: gre color dll include file
 *
 *  $header$
 *
 * Revision Log:  <date>, <project>, <author>
 *                      - <reason for revision>
 *
 * Contents: <list items accessed via this header file>
 *
 * Limitations:
 *
 *\\end
 ***************************************************************************/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY GreColorApp(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreCreatLogColorTableRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryLogColorTableRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryColorDataRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryRealColorsRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryNearestColorRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryColorIndexRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryRGBColorRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreRealizeColorTableRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreUnRealizeColorTableRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS 10

PCHAR pGroupName = "GRE Color";
PCHAR pTestName0 = "GreColorApp";
PCHAR pTestName1 = "GreCreateLogColorTableRc";
PCHAR pTestName2 = "GreQueryLogColorTableRc";
PCHAR pTestName3 = "GreQueryColorDataRc";
PCHAR pTestName4 = "GreQueryRealColorsRc";
PCHAR pTestName5 = "GreQueryNearestColorRc";
PCHAR pTestName6 = "GreQueryColorIndexRc";
PCHAR pTestName7 = "GreQueryRGBColorRc";
PCHAR pTestName8 = "GreRealizeColorTableRc";
PCHAR pTestName9 = "GreUnRealizeColorTableRc";

#endif
