/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
 /***************************************************************************
 *\\ddd
 * Subtask Name: Graphics Engine Tests
 *
 * Module name: Gre Device Context Test Case
 *
 * Purpose: GreDvCon.dll include file
 *
 *  $header$
 *
 * Revision Log:   01/23/92,      Graphics Suite Extension, Author
 *                                Initial Design.
 *
 * Contents:  This file contains the following definitions:
 *
 *    - function prototypes
 *    - number of tests
 *    - name of tests
 *
 * Limitations:
 *  None
 *
 *\\end
 ***************************************************************************/

// declare all functions

VOID EnterMain2(HPS ,HWND ,CHAR * ,PLONG );
//16DWC VOID VerifyReturn(HWND hWndClient, PLONG ErrorCount, SHORT Sel, ULONG ulType, ULONG ulID);
VOID VerifyReturn(HWND hWndClient, PLONG ErrorCount, PVOID Sel, ULONG ulType, ULONG ulID);
VOID  APIENTRY GreQueryDevResourceExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreOpenAndCloseDCExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetAndGetHandleExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreSetAndGetProcessControlExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreQueryEngineVersionExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID  APIENTRY GreQueryDevResourceRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreOpenDCRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreCloseDCRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreSetHandleRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetHandleRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreSetProcessControlRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID APIENTRY GreGetProcessControlRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);

// Set function name for dll init routine

CHAR * TestCaseName= "GreDevContext";

static  NAMES_AND_ADDRESSES EntryPointList[]=
    {
          TOKENIZEFUNCTIONNAME(GreQueryDevResourceExh),
          TOKENIZEFUNCTIONNAME(GreOpenAndCloseDCExh),
          TOKENIZEFUNCTIONNAME(GreSetAndGetHandleExh),
          TOKENIZEFUNCTIONNAME(GreSetAndGetProcessControlExh),
          TOKENIZEFUNCTIONNAME(GreQueryDevResourceRc),
          TOKENIZEFUNCTIONNAME(GreQueryEngineVersionExh),
          TOKENIZEFUNCTIONNAME(GreOpenDCRc),
          TOKENIZEFUNCTIONNAME(GreCloseDCRc),
          TOKENIZEFUNCTIONNAME(GreSetHandleRc),
          TOKENIZEFUNCTIONNAME(GreGetHandleRc),
          TOKENIZEFUNCTIONNAME(GreSetProcessControlRc),
          TOKENIZEFUNCTIONNAME(GreGetProcessControlRc)

         };

// define the enter main calling macro for test does dev calls.

#define ENTER_MAIN2(EntryPoint)                                            \
 if (DeviceIsDisplay()) (VOID)EnterMain(hPS,hWndClient,EntryPoint,&ErrorCount);\
 else  (VOID)EnterMain2(hPS,hWndClient,EntryPoint,&ErrorCount)

// define DEBUG variable to turn on questionable test code.
// 0 is OFF, 1 is ON.

#define DEBUG 0

#define randL(a, b) (LONG)((a) + (((LONG)rand() << 15 | (LONG)rand()) % \
                                        ((LONG)(b) - (LONG)(a) + 1L)))

LONG ErrorCount;       // Error counter.
static CHAR LogText1[200];
static CHAR LogText2[200];
