/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#if !defined (GREESC_H)
#define GREESC_H
/***************************************************************************
 *\\ddd
 * Subtask Name: greesc.dll
 *
 * Module name: greesc.c
 *
 * Purpose: gre escape dll include file
 *
 *  $header$
 *
 * Revision Log:
 *
 * Contents:
 *
 * Limitations:
 *
 *\\end
 ***************************************************************************/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY GreEscapeApp(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryEscapeSupportRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreStartDocRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreEndDocRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreNextBandRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreAbortDocRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreNewFrameRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreDraftModeRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreFlushOutputRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreRawDataRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreStdJournalRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreGetScalingFactorRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS 12  /* number of test case functions or entry points */

PCHAR pGroupName = "GRE Escape";
PCHAR pTestName0 = "GreEscapeApp";
PCHAR pTestName1 = "GreQueryEscapeSupportRc";
PCHAR pTestName2 = "GreStartDocRc";
PCHAR pTestName3 = "GreEndDocRc";
PCHAR pTestName4 = "GreNextBandRc";
PCHAR pTestName5 = "GreAbortDocRc";
PCHAR pTestName6 = "GreNewFrameRc";
PCHAR pTestName7 = "GreDraftModeRc";
PCHAR pTestName8 = "GreFlushOutputRc";
PCHAR pTestName9 = "GreRawDataRc";
PCHAR pTestName10= "GreStdJournalRc";
PCHAR pTestName11 = "GreGetScalingFactorRc";

#endif
