/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/***************************************************************************
 *\\ddd
 * Subtask Name: DTT
 *
 * Module name: GreGen2
 *
 * Purpose: GreGen2.dll include file
 *
 *  $header$
 *
 * Revision Log:  01/07/91 ,PDVT ,Mike Abuzant
 *                Prototype
 *
 *                12/04/91 ,DTT , Ken McFadden
 *                              Gre Journal Testcase
 *                              Gre General2 Testcase
 *
 *
 *
 *
 *
 * Contents:  This file contains the following definitions:
 *
 *              - function prototypes
 *              - number of tests
 *              - name of tests
 *
 * Limitations:
 *  None
 *
 *\\end
 ***************************************************************************/

/* declare all dll functions */
VOID  APIENTRY InitTest(PVOID , PTESTINITINFO );
VOID APIENTRY GreDisjointLinesPre(HPS, HWND, BOOL);
extern VOID APIENTRY GreSetColorCursorExh(HPS, HWND, BOOL);
extern VOID APIENTRY GreGetandSetPickWindowExh(HPS, HWND, BOOL);
extern VOID APIENTRY GreDisjointLinesExh(HPS, HWND, BOOL);
extern VOID APIENTRY GreSetColorCursorRc(HPS, HWND, BOOL);
extern VOID APIENTRY GreGetPickWindowRc(HPS, HWND, BOOL);
extern VOID APIENTRY GreSetPickWindowRc(HPS, HWND, BOOL);
extern VOID APIENTRY GreDisjointLinesRc(HPS, HWND, BOOL);


PCHAR  TestCaseName= "GreGen2";
int    seed = 0;
LONG   ErrorCount;
HDC    hDC;


static  NAMES_AND_ADDRESSES EntryPointList[]=
   {
        TOKENIZEFUNCTIONNAME(GreDisjointLinesPre),
        TOKENIZEFUNCTIONNAME(GreSetColorCursorExh),
        TOKENIZEFUNCTIONNAME(GreGetandSetPickWindowExh),
        TOKENIZEFUNCTIONNAME(GreDisjointLinesExh),
        TOKENIZEFUNCTIONNAME(GreSetColorCursorRc),
        TOKENIZEFUNCTIONNAME(GreGetPickWindowRc),
        TOKENIZEFUNCTIONNAME(GreSetPickWindowRc),
        TOKENIZEFUNCTIONNAME(GreDisjointLinesRc),
   };
