/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#if !defined (GREQURY_H)
#define GREQURY_H
/***************************************************************************
 *\\ddd
 * Subtask Name: pdvt
 *
 * Module name: grequry.c
 *
 * Purpose:
 *   Include file, i.e. definitions and prototypes for grequry.c
 *
 *  $header$
 *
 * Revision Log:
 *                11/3/90, pdvt, mark richardson
 *                      - initial code
 *                12/3/90, pdvt, mark richardson
 *                      - initial code
 *
 * Limitations:
 *   None.
 *
 *\\end
 ***************************************************************************/

VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY GreQueryApp(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryDeviceBitmapsRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryHardcopyCapsRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GreQueryDeviceCapsRc(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS 4    /* number of test functions or entry points in this dll */

PCHAR pGroupName = "GRE Query";
PCHAR pTestName0 = "GreQueryApp";
PCHAR pTestName1 = "GreQueryHardcopyCapsRc";
PCHAR pTestName2 = "GreQueryDeviceCapsRc";
PCHAR pTestName3 = "GreQueryDeviceBitmapsRc";

#define DATA_SIZE 100     /* set the size of the out_data array for */

#endif
