/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPIAREA_H
#define GPIAREA_H
/************************************************************************
 * Module Name: GpiArea.h
 ************************************************************************/

// Test Case Function Prototypes.

VOID APIENTRY GpiAreaApp (HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiBeginAreaExh  (HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryPatternExh (HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryPatternSetExh (HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryPatternRefPointExh (HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiPaintRegionExh (HPS hPS,HWND hWndClient,BOOL SelectionCall);
static VOID DrawCircle ( HPS hps, PPOINTL pptl ) ;


// These defines are used to access bitmaps in the GpiSetPatternSetExh test.

   #define IDBITMAP_BRICKS  1
   #define IDBITMAP_SQUARES 2
   #define IDBITMAP_CHECKS  3
   #define IDBITMAP_CROSSES 4

#define LCID_FONT 6L
#define NPOINTS   16
#define XMULT     450
#define YMULT     350

#ifdef MAINSOURCEFILE

CHAR achLogLine[100];      //Buffer used for printing error messages

LONG ErrorCount;          //Error counter.

/* set function name for dll init routine */

CHAR *TestCaseName = "GpiArea";

static  NAMES_AND_ADDRESSES EntryPointList[]=
    {
        TOKENIZEFUNCTIONNAME(GpiAreaApp                    ),
        TOKENIZEFUNCTIONNAME(GpiBeginAreaExh               ),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryPatternExh        ),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryPatternSetExh     ),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryPatternRefPointExh),
        TOKENIZEFUNCTIONNAME(GpiPaintRegionExh             ),
    };
#else
    extern CHAR achLogLine[];

    extern LONG ErrorCount;

#endif

#endif
