
#  gpiclip.mak make file creates gpiclip.dll
#  for the Printer Driver Testing Tool
#  11-01-93


CFLAGS = /c /G3 /W3 /DLINT_ARGS /Sp /Ti- /O- /Ms /Gd+ /Gm+ /Ge- /Sm /Ss
LFLAGS = /M /li /STACK:64000 /PACKC /PACKD /CO, , /nod DDE4MBS DDE4MBM OS2386

OBJS = gpiclip.obj  clip_rtn.obj \
       routines.obj gpi_grid.obj std_util.obj \
       stdutil2.obj stdutil3.obj pttdllvr.obj

gpiclip.dll: $(OBJS) gpiclip.def
    link386 $(OBJS), $@ $(LFLAGS), gpiclip.def;

gpiclip.obj: gpiclip.c gpiclip.h pttdlldf.h std_util.h stdutil3.h gpi_grid.h routines.h
    icc $(CFLAGS) /Fo$@ gpiclip.c

clip_rtn.obj: clip_rtn.c pttdlldf.h std_util.h gpi_grid.h routines.h
    icc $(CFLAGS) /Fo$@ clip_rtn.c

routines.obj: routines.c pttdlldf.h std_util.h routines.h
    icc $(CFLAGS) /Fo$@ routines.c

gpi_grid.obj: gpi_grid.c pttdlldf.h
    icc $(CFLAGS) /Fo$@ gpi_grid.c

std_util.obj: std_util.c pttdlldf.h
    icc $(CFLAGS) /Fo$@ std_util.c

stdutil2.obj: stdutil2.c pttdlldf.h
    icc $(CFLAGS) /Fo$@ stdutil2.c

stdutil3.obj: stdutil3.c pttdlldf.h
    icc $(CFLAGS) /Fo$@ stdutil3.c

pttdllvr.obj: pttdllvr.c pttdlldf.h
    icc $(CFLAGS) /Fo$@ pttdllvr.c
