/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef ROUTINES_H
#define ROUTINES_H
/*****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module Name: GPICLIP
 * 
 * Purpose: Include file for GpiClipping dll.
 *
 *  $header$
 *
 * Revision Log: 10/25/90, PDVT, Gisselle Labault
 *               - created initial file
 *               01/02/91, pdvt, gisselle labault
 *               - submitted for code review
 *
 * SRS References: Section 5.7
 *
 * Contents:  This file contains the following definitions:
 *              - function prototypes
 *              - define's specific to GPICLIP
 *
 * Limitations:
 *           none
 *\\end
 *****************************************************************************/
VOID check_rtn(INT complx, HWND hWndClient, CHAR function_name[]);
VOID rvis_returned_rtn(INT rvis_returned, HWND hWndClient, CHAR function_name[]);
VOID display_text(HPS hPS, LONG column, LONG row, CHAR str_msg[]);
#endif

