#  Makefile For GPICOLOR
# 11/03/93

CFLAGS = /c /G3 /W3 /DLINT_ARGS /Sp /Ti+ /O- /Mp /Gd+ /Gm+ /Ge- /Sm /Ss
LFLAGS    = /CO /NOD /M /STACK:64000 /PACKC /PACKD


LIBS      = DDE4MBS DDE4MBM OS2386   #   Lib's to link DLLs with.
TESTNAME  = GPICOLOR          #   1) Add Testname Here
MAPNAME   = GPICOLOR.MAP      #   Map file name. Supplied to the LINKER.
RESFILE   = $(TESTNAME).RES   #   Resource file name produced from .RC file
ARFFILE   = $(TESTNAME).ARF   #   Automatic Response File. Used for linking.
DEFFILE   = $(TESTNAME).DEF   #   Definition file name.
DEPLIST   = $(LOBJ1) $(LOBJ2)  $(LOBJ3)
           # Bitmap Files that need to be included within DLLs as
           # resources.

BITMAP    =

#  2)  Put object files to link here.

LOBJ1     = PTTdllvr.obj
LOBJ2     = gpicolor.obj common.obj
LOBJ3     =

          #  Header files that are common to one DLL.

HFILES    = $(TESTNAME).H  PTTdlldf.h  set_delt.h common.h  gpi_grid.h


.SUFFIXES: .RES .RC .DLL   # make 'make.exe'  aware of these uncommon file
#                            extensions.

.RC.RES:
      @RC -R $*.RC

$(TESTNAME).DLL: $(DEPLIST)
     @LINK386  $(LFLAGS) @<<$(ARFFILE)
   $(LOBJ1)+
   $(LOBJ2)+
   $(LOBJ3),
   $(TESTNAME).DLL,
   $(MAPNAME),
   $(LIBS),
   $(DEFFILE)
<<

 @IF exist $(RESFILE) RC $(RESFILE) ..\bin\$(TESTNAME).DLL
 @IF exist $(ARFFILE) DEL $(ARFFILE) >NUL


$(RESFILE):     $(TESTNAME).RC  $(BITMAP)

# 3) Put object build parts here.

gpicolor.obj:    gpicolor.h gpicolor.c PTTdlldf.h
  icc $(CFLAGS) /Fo$@ gpicolor.c

common.obj:      common.c common.h
  icc $(CFLAGS) /Fo$@ common.c

PTTdllvr.obj:   PTTdllvr.c
  icc $(CFLAGS) /Fo$@ pttdllvr.c

