# Makefile For GPIELEMENT
# 11/03/93

CFLAGS = /c /G3 /W3 /DLINT_ARGS /Sp /Ti+ /O- /Mp /Gd+ /Gm+ /Ge- /Sm /Ss
LFLAGS    = /CO /NOD /M /STACK:64000 /PACKC /PACKD

LIBS      = DDE4MBS DDE4MBM OS2386  #   Lib's to link DLLs with.

# Step 1) Add the test case name here, must agree with def file.

TESTNAME  = gpielmnt          #   1) Add Testname Here
MAPNAME   = $(TESTNAME).MAP   #   Map file name. Supplied to the LINKER.
RESFILE   = $(TESTNAME).RES   #   Resource file name produced from .RC file
ARFFILE   = $(TESTNAME).ARF   #   Automatic Response File. Used for linking.
DEFFILE   = $(TESTNAME).DEF   #   Definition file name.
DEPLIST   = $(LOBJ1) $(LOBJ2)  $(LOBJ3)
           # Bitmap Files that need to be included within DLLs as
           # resources.

BITMAP    =

# Step 2) Put object files to link here.

LOBJ1     = PTTdllvr.obj
LOBJ2     = gpielmnt.obj
LOBJ3     = common1.obj   common2.obj

          #  Header files that are common to one DLL.

HFILES    = $(TESTNAME).H PTTdlldf.h common1.h common2.h


.SUFFIXES: .RES .RC .DLL   # make 'nmake.exe'  aware of these uncommon file
#                            extensions.

.RC.RES:
      @RC -R $*.RC

#$(TESTNAME).SYM: $(TESTNAME).DLL
#   MAPSYM $(TESTNAME)

$(TESTNAME).DLL: $(DEPLIST)
     @LINK386  $(LFLAGS) @<<$(ARFFILE)
   $(LOBJ1)+
   $(LOBJ2)+
   $(LOBJ3),
   $(TESTNAME).DLL,
   $(MAPNAME),
   $(LIBS),
   $(DEFFILE)
<<

 @IF exist $(RESFILE) RC $(RESFILE) ..\bin\$(TESTNAME).DLL
 @IF exist $(ARFFILE) DEL $(ARFFILE) >NUL


$(RESFILE):     $(TESTNAME).RC  $(BITMAP)

# Step 3) Put object build parts here.

gpielmnt.obj:   gpielmnt.c gpielmnt.h common1.h common2.h PTTdlldf.h
   icc $(CFLAGS) /Fo$@ gpielmnt.c

common1.obj:    common1.c   common1.h
   icc $(CFLAGS) /Fo$@ common1.c

common2.obj:    common2.c  common2.h
   icc $(CFLAGS) /Fo$@ common2.c

pttdllvr.obj:   pttdllvr.c pttdlldf.h
   icc $(CFLAGS) /Fo$@ pttdllvr.c
