/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPISTD_H
#define GPISTD_H
/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name: GPISTD
 *
 * Purpose: Include file for GpiStd dll.
 *
 *  $header$
 *
 * Revision Log: 10/29/90, PDVT, Kim Cairns
 *               - created initial file
 *
 * SRS References:  Section 5.1
 *
 * Contents:  This file contains the following definitions:
 *
 *              - function prototypes
 *              - defines specific to GPISTD
 *
 * Limitations:
 *           none
 *
 *\\end
****************************************************************************/

/* declare all dll functions */
VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO init_info_p);
VOID  APIENTRY GpiPathPre(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiPathApp(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiFillPathExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiOutlinePathExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiStrokePathExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiSetLineExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS  6     /* number of functions or entry points in this dll */

LONG    lErrorCount;
CHAR    out_string[80];

VOID APIENTRY PathApp(HPS hPS, HWND hWndClient);

#endif
