/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPI_GRID_H
#define GPI_GRID_H
/****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module name: GPI_GRID.H
 *
 * Purpose: Include file for gpi_grid.obj
 *
 *  $header$
 *
 * Revision Log: 10/29/90, PDVT, Kim Cairns
 *               - created initial file
 *               02/11/91, PDVT, Kim Cairns
 *               - changed defines to longs
 *
 * Contents:  This file contains the following definitions:
 *
 *		- function prototypes
 *		- defines specific to GPI_GRID
 * 
 * Limitations:
 *           None
 *
 *\\end
****************************************************************************/

#define HALFINCH 1L
#define INCH		2L
#define TWOINCH  4L

VOID EXPENTRY gpi_grid (HPS hPS, LONG scale);

#endif 
