/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPIREGN_H
#define GPIREGN_H
/*****************************************************************************
 *\\ddd
 * Subtask Name: PDVT
 *
 * Module Name: GPIREGN
 *
 * Purpose: Include file for GpiRegn dll.
 *
 *  $header$
 *
 * Revision Log: 10/25/90, PDVT, Gisselle Labault
 *               - created initial file
 *
 * SRS References: Section 5.7
 *
 * Contents:  This file contains the following definitions:
 *              - function prototypes
 *              - define's specific to GPIREGN
 *
 * Limitations:
 *           none
 *\\end
 *****************************************************************************/

/* declare all dll functions */
VOID  APIENTRY InitTest(PVOID sel, PTESTINITINFO pInitInfo);
VOID  APIENTRY GpiRegionApp1(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiCombineRegionExh1(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiCombineRegionExh2(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiEqualRegionExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiOffsetRegionExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiPtInRegionExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiRectInRegionExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiSetRegionExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY GpiQueryRegionBoxExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);
VOID  APIENTRY RegionApp2(HPS hPS, HWND hWndClient);

INT RegionCreateTest1(HPS hPS, HWND hWndClient);
INT RegionCreateTest2(HPS hPS, HWND hWndClient);
INT RegionBoxTest1(HPS hPS,HWND hWndClient);
INT RegionBoxTest2(HPS hPS,HWND hWndClient);
INT RegionBoxTest3(HPS hPS,HWND hWndClient);
INT RegionSetTest1(HPS hPS,HWND hWndClient);
INT RegionSetTest2(HPS hPS,HWND hWndClient);

extern VOID  APIENTRY GpiCreateRegionExh(HPS hPS, HWND hWndClient, BOOL SelectionCall);

#define NTESTS 10  /* number of functions or entry points in this dll */


#ifdef MAINSOURCEFILE

LONG ErrorCount;          //Error counter.
LONG lErrorCount;

#endif

#endif
