/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
#ifndef GPIXFORM_H
#define GPIXFORM_H
/***************************************************************************
 *\\ddd
 * Subtask Name: pdvt
 *
 * Module name: gpibtmp
 *
 * Purpose: Gpi bit map dll include file
 *
 *  $header$
 *
 * Revision Log:  11/09/90 ,PDVT ,Mike Abuzant
 *                              - Created Initial file
 *                12/07/90 ,PDVT ,Mike Abuzant
 *                              - Eliminated hAB parameter
 *                01/07/91 ,PDVT ,Mike Abuzant
 *                              -This file is Created by modifying GREBTMP.H
 *
 *
 * Contents:  This file contains the following definitions:
 *
 *              - function prototypes
 *              - define's specific to Gpibtmp
 *
 *
 * Limitations:
 *  None
 *
 *\\end
 ***************************************************************************/

/* declare all dll functions */
VOID APIENTRY GpiSetAndQryPageViewportPre(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryModelXformMatPre(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQrySegmentXformMatPre(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiCallSegmentMatrixPre(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryDefViewMatrixPre(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryViewingXformMatPre(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiTransformApp(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryPageViewportExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryModelXformMatExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQrySegmentXformMatExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiCallSegmentMatrixExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryDefViewMatrixExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiSetAndQryViewingXformMatExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);
VOID APIENTRY GpiConvertExh(HPS hPS,HWND hWndClient,BOOL SelectionCall);

static CHAR * TestCaseName = "GpiTransform";

static  NAMES_AND_ADDRESSES EntryPointList[]=
    {
        TOKENIZEFUNCTIONNAME(GpiSetAndQryPageViewportPre),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryModelXformMatPre),
        TOKENIZEFUNCTIONNAME(GpiSetAndQrySegmentXformMatPre),
        TOKENIZEFUNCTIONNAME(GpiCallSegmentMatrixPre),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryDefViewMatrixPre),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryViewingXformMatPre),
        TOKENIZEFUNCTIONNAME(GpiTransformApp),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryPageViewportExh),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryModelXformMatExh),
        TOKENIZEFUNCTIONNAME(GpiSetAndQrySegmentXformMatExh),
        TOKENIZEFUNCTIONNAME(GpiCallSegmentMatrixExh),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryDefViewMatrixExh),
        TOKENIZEFUNCTIONNAME(GpiSetAndQryViewingXformMatExh),
        TOKENIZEFUNCTIONNAME(GpiConvertExh),
    };

// These function are needed to test the function GreDeviceCreateBitmap().

#define ZERO_FIXED (FIXED)0x00000000    /* 0.0 in fixed format */
#define ONE_FIXED  (FIXED)0x00010000    /* 1.0 in fixed format */
#define HALF_FIXED (FIXED)0x00008000    /* 0.5 in fixed format */
#define TWO_FIXED  (FIXED)0x00020000    /* 2.0 in fixed format */

#endif

