/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = PTTDLG.H
 *
 * DESCRIPTIVE NAME = This header file contains all the constants for
 *                    the dialog boxes.
 *
 *
 *
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION :
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/

#define  IDLG_CONFIG   100
#define  DLG_CFG1DEVTEXT 276
#define  DLG_CFG1DEVLIST 277
#define  DLG_CFG1DCONTEXTGROUP 278
#define  DLG_CFG1ODDIRECT 279
#define  DLG_CFG1ODQUEUED 280
#define  DLG_CFG1ODINFO 281
#define  DLG_CFG1ODMETAFILE 282
#define  DLG_CFG1ODMETAFILENQ 283
#define  DLG_CFG1ODMEMORY 284
#define  DLG_CFG1DATATYPEGROUP
#define  DLG_CFG1PMQSTD 285
#define  DLG_CFG1PMQRAW 286
#define  DLG_CFG1PSTYPEGROUP 287
#define  DLG_CFG1MICRO 288
#define  DLG_CFG1NORMAL 289
#define  DLG_CFG1QPTEXT 290
#define  DLG_CFG1QPLIST 291
#define  DLG_CFG1PSUNITGROUP 292
#define  DLG_CFG1ARBITRARY 293
#define  DLG_CFG1PELS  294
#define  DLG_CFG1LOMETRIC 295
#define  DLG_CFG1HIMETRIC 296
#define  DLG_CFG1LOENGLISH 297
#define  DLG_CFG1HIENGLISH 298
#define  DLG_CFG1TWIPS 299
#define  DLG_REFRESH   300

/*
** defines for logging dialog box
*/

#define  IDLG_LOGWINDOW 102
#define  DLG_LOGLISTBOX 276

/*
** defines for about dialog box
*/

#define  IDLG_ABOUT    103

/*
** defines for command line help dialog box
*/

#define  IDLG_CMDLINE  104

/*
** defines for change logging level dialog box
*/

#define  IDLG_LOGLEVEL 105
#define  DLG_LOG_HDR   376
#define  DLG_LOG_ABORT 377
#define  DLG_LOG_FAIL  378
#define  DLG_LOG_WARN  379
#define  DLG_LOG_TRACE 380
#define  DLG_LOG_LOTRACE 381
#define  DLG_LOG_DEBUG 382
#define  DLG_LOG_OK    390
#define  DLG_LOG_CANCEL 391

/*
** defines for testcase dialog box
*/

#define  IDLG_TESTCASES 106
#define  DLG_GROUPLB   276
#define  DLG_TESTSLB   277
#define  DLG_TEST_SELECT 280
#define  DLG_TEST_CANCEL 281
#define  DLG_TEST_HELP 282
#define  DLG_ADD_MATCH 600
#define  DLG_DELETE_MATCH 700
#define  DLG_CHOOSE_PATTERN 500
#define  ID_MESSAGE    900
#define  ID_MESSAGE_TEXT 901
